/*
 * Created on Jun 10, 2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package gov.va.med.hds.cd.ccow.desktop;

import java.util.LinkedList;

import gov.va.med.hds.cd.ccow.IChartLauncher;
import gov.va.med.hds.cd.ccow.internal.ChartLauncher;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IPluginRegistry;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.runtime.logging.ILogger;

/**
 * @author vhaisltumad
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
class DesktopChartLauncher extends ChartLauncher {

	static void init(IRuntimeContext runtime) {
		if (runtime == null)
			return;

		IPluginRegistry pluginRegistry = runtime.getPluginRegistry();
		IConfigurationElement[] extensions =
			pluginRegistry.getConfigurationElementsFor(
				IChartLauncher.EXTENSION_POINT_ID);

		ILogger log = runtime.getLogger(DesktopChartLauncher.class);
		LinkedList launchers = new LinkedList();

		for (int i = 0; i < extensions.length; i++)
			try {
				launchers.add(
					(IChartLauncher) extensions[i].createExecutableExtension(
						"className"));
			} catch (Throwable t) {
				String className = extensions[i].getAttribute("className");
				log.error(
					"Could not create chart launcher class " + className);
			}

		IChartLauncher[] result = new IChartLauncher[launchers.size()];
		result = (IChartLauncher[]) launchers.toArray(result);
		addLaunchers(result);
	}

}
