package gov.va.med.hds.cd.config.itest;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public class AllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(AllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for gov.va.med.hds.cd.config.itest");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(ConfiguratorTest.class));
		suite.addTest(new TestSuite(MConfigDAOTest.class));
		suite.addTest(new TestSuite(ConfigurationTest.class));
		suite.addTest(new TestSuite(ParameterCategoryTest.class));
		//$JUnit-END$
		return suite;
	}
}
