package gov.va.med.hds.cd.config.dialog;

import java.awt.event.ActionEvent;

import javax.swing.Action;

import gov.va.med.hds.cd.prism.action.AbstractAction;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public class PreferencesAction extends AbstractAction {

	public static final String DEFAULT_NAME = "Preferences...";

	private PreferencesDialog pDialog;

	/**
	 * Constructor for PreferencesAction.
	 * @param runtime
	 */
	public PreferencesAction() {
		putValue(Action.NAME, DEFAULT_NAME);
	}

	public void actionPerformed(ActionEvent e) {
		if (pDialog == null) {
			pDialog =
				new PreferencesDialog(
					getDesktop().getActiveWindow().getFrame(),
					true,
					runtime);
		}
		pDialog.setVisible(true);
	}
}
