package gov.va.med.hds.cd.config;

import java.util.EventObject;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public class ConfigurationReadyEvent extends EventObject {
	private IConfiguration configuration;
	
	/**
	 * Constructor for ConfigurationReadyEvent.
	 * @param source
	 */
	public ConfigurationReadyEvent(Object source) {
		super(source);
		this.configuration = (IConfiguration) source;
	}

	/**
	 * Returns the configuration.
	 * @return IConfiguration
	 */
	public IConfiguration getConfiguration() {
		return configuration;
	}

}
