package gov.va.med.hds.cd.daoregistry.cookbook;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;

/**
 * This interface is used as an example of a IDataAccessObject
 * interface. Note that IDataAccessObject decends from the
 * IExecutableExtension interface which requires that method
 * setInitializationData be implemented and is called upon 
 * initialization
 */
public interface IMyData extends IDataAccessObject {
	/**
	 * DAO abstraction for this DAO to get an integer as data
	 * @return
	 * @throws Exception
	 */
	int getData() throws Exception;
	/**
	 * DAO abstraction for this DAO to set an integer as data
	 * @param data
	 * @throws Exception
	 */
	void setData(int data) throws Exception;
}
