/*
 * Created on May 19, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.dashboard.dao;

/**
 * @author vhaislschras
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 *
 * Interface for the Dashboard Event Data Access Layer.  This is mostly just a tagging
 * interface.  The classname is used as the key to the Data Access Layer repository. 
 */
public interface IDashboardEventsDAO extends IDashboardItemDAO
{
  /**
   * The item type id for dashboard events.  Used to define a dashboard type.
   */
  public static final String ITEM_TYPE_ID = "dashboard.events";
}
