/*
 * Created on May 19, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.dashboard.dao;

/**
 * @author vhaislschras
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * Interface for the Dashboard Signable Items Data Access Layer.  This is mostly just a tagging
 * interface.  The classname is used as the key to the Data Access Layer repository. 
 */
public interface IDashboardSignableDAO extends IDashboardItemDAO
{
  /**
   * The item type id for dashboard signable items.  Used to define a dashboard type.
   */
  public static final String ITEM_TYPE_ID = "dashboard.signable";

  /**
   * Remote Procedure Call for signing Orders and Documents. 
   */
  public static final String SIGN_RPC = "SIGN";

}
