package gov.va.med.hds.dashboard.items;

import java.util.EventObject;

/**
 * Message event class for dashboard items.
 */
public class DashItemMessageEvent
	extends EventObject
	implements IDashItemMessageEvent {
	private String message = "";

	/**
	 * @param source
	 */
	public DashItemMessageEvent(Object source) {
		super(source);
	}

	/**
	 * @param source
	 * @param message
	 */
	public DashItemMessageEvent(Object source, String message) {
		super(source);
		this.message = message;
	}

	public String getMessage() {
		return message;
	}

}
