/*
 * Created on Apr 21, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.dashboard.items;

import java.util.Iterator;

/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public interface IDashboardDefinition
{
  public String getID();
  
  public IDashboardEntry getDefinition(String id);
  
  public IDashboardEntry getDefinition(int sequence);
  
  public IDashboardEntry getDefinitionByType(String itemType);
  
  public Iterator iterator();
  
  public int size();
  
}
