/*
 * Created on Apr 21, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.dashboard.items;

import java.util.List;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;
import gov.va.med.hds.cd.runtime.IExecutableExtension;
/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public interface IItemEntry
{
  public abstract IExecutableExtension getInstance() throws Exception;
  public abstract IDataAccessObject getItemDAOInstance() throws Exception;
  public abstract String getItemDAO();
  public abstract String getItemShortId();
  public abstract String getName();
  public abstract String getID();
  public abstract String getItemType();
  public abstract String getURL();
  public abstract boolean requiresSignature();
  public abstract List getPermissions();
//  public abstract String getCommunicatorId();
}