package gov.va.med.hds.cd.help;

/**
 * Generally thrown when a help set cannot be found
 */
public class CouldNotFindHelpSetException extends Exception {

	/**
	 * @see java.lang.Object#Object()
	 */
	public CouldNotFindHelpSetException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String)
	 */
	public CouldNotFindHelpSetException(String message) {
		super(message);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String, java.lang.Throwable)
	 */
	public CouldNotFindHelpSetException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.Throwable)
	 */
	public CouldNotFindHelpSetException(Throwable cause) {
		super(cause);
	}
}
