package gov.va.med.hds.cd.help;

/**
 * Generally thrown for errors with configuration of a module implementing IHelp
 */
public class HelpConfigException extends Exception {

	/**
	 * @see java.lang.Object#Object()
	 */
	public HelpConfigException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String)
	 */
	public HelpConfigException(String message) {
		super(message);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String, java.lang.Throwable)
	 */
	public HelpConfigException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.Throwable)
	 */
	public HelpConfigException(Throwable cause) {
		super(cause);
	}

}
