program RunUpdated;
{$APPTYPE CONSOLE}
uses
  SysUtils, Windows;

const
  SUFFIX_TMP = '.tmp';
  SUFFIX_EXE = '.exe';
  SUFFIX_BAK = '.bak';

var
  ExeName:      string;
  TmpName:      string;
  BakName:      string;

function AllParams: string;
var
  i: Integer;
begin
  Result := ' ';
  if ParamCount < 2 then Exit;
  for i := 2 to ParamCount do
  begin
    if Pos(' ', ParamStr(i)) > 0
      then Result := ' "' + ParamStr(i) + '"'
      else Result := ' ' + ParamStr(i);
  end;
  if Result = ' ' then Result := '';
end;

procedure RunProgram(const AppName: string);
var
  StartInfo: TStartupInfo;
  ProcInfo: TProcessInformation;
begin
  FillChar(StartInfo, SizeOf(StartInfo), 0);
  StartInfo.CB := SizeOf(StartInfo);
  CreateProcess(nil, PChar(AppName), nil, nil, False, DETACHED_PROCESS or NORMAL_PRIORITY_CLASS,
    nil, nil, StartInfo, ProcInfo);
end;

begin {main}
  if ParamCount < 1 then Exit;
  TmpName := ParamStr(1) + SUFFIX_TMP;
  ExeName := ParamStr(1) + SUFFIX_EXE;
  BakName := ParamStr(1) + SUFFIX_BAK;
  Sleep(500);  // give calling application a chance to exit
  if FileExists(TmpName) then
  begin
    if FileExists(ExeName) then
    begin
       if SysUtils.RenameFile(ExeName, BakName)
         then SysUtils.RenameFile(TmpName, ExeName);
    end
    else SysUtils.RenameFile(TmpName, ExeName);
  end;
  Sleep(100);   // give system a chance to rename the file
  if FileExists(ExeName) then RunProgram(ExeName + AllParams);
end.


