unit fLinks;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, uFnString;

type
  TfrmLinks = class(TForm)
    lblConfigs: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
    lstServers: TListBox;
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ChooseURL(Choices: TStrings): string;

implementation

{$R *.DFM}

function ChooseURL(Choices: TStrings): string;
var
  frmLinks: TfrmLinks;
  i: Integer;
  x: string;
begin
  Result := '';
  frmLinks := TfrmLinks.Create(Application);
  for i := 0 to Pred(Choices.Count) do
  begin
    x := Choices[i];
    x := Piece(x, '=', 1) + #9 + Piece(x, '=', 2);
    frmLinks.lstServers.Items.Add(x);
  end;
  frmLinks.ShowModal;
  if (frmLinks.ModalResult = mrOK) and (frmLinks.lstServers.ItemIndex > -1)
    then Result := Trim(Piece(frmLinks.lstServers.Items[frmLinks.lstServers.ItemIndex], #9, 2));
  frmLinks.Release;
end;

procedure TfrmLinks.btnOKClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

procedure TfrmLinks.btnCancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

end.
