package gov.va.med.hds.cd.m.internal;

import javax.security.auth.login.LoginException;

/**
 * The exception is thrown when a required option context is needed on the server,
 * but is either not found, or has an incompatible version.
 */
public class InvalidContextException extends LoginException {

	/**
	 * Constructor for InvalidContextException with null as its detail message.
	 */
	public InvalidContextException() {
		super();
	}

	/**
	 * Constructor for InvalidContextException with the specified detail message.
	 */
	public InvalidContextException(String msg) {
		super(msg);
	}

}
