package gov.va.med.hds.cd.m.internal;

/**
 * Server info
 */
public class ServerInfo {

	private String server;
	private String volume;
	private String uci;
	private String port;

	/** 
	 * Constructor
	 * @param server
	 * @param volume
	 * @param uci
	 * @param port
	 */
	public ServerInfo(String server, String volume, String uci, String port) {
		this.server = server;
		this.volume = volume;
		this.uci = uci;
		this.port = port;
	}
	
	/**
	 * Server port
	 * @return
	 */
	public String getPort() {
		return port;
	}

	/**
	 * Mumps server
	 * @return
	 */
	public String getServer() {
		return server;
	}

	/**
	 * Mumps UCI
	 * @return
	 */
	public String getUci() {
		return uci;
	}

	/**
	 * Mumps volume
	 * @return
	 */
	public String getVolume() {
		return volume;
	}

}
