package gov.va.med.hds.cd.m.internal;
import gov.va.med.hds.cd.m.IMumpsConnectionSettings;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.security.PluginException;

import javax.security.auth.login.Configuration;
/**
 * XML cache based silent security plugin
 */
class SilentXmlCachePlugin extends AbstractPlugin {
	public SilentXmlCachePlugin(IRuntimeContext runtime, IMumpsConnectionSettings settings) {
		SilentXmlCacheConfiguration.getInstance().setRuntimeContext(runtime);
	}
	public Configuration getConfiguration() throws PluginException {
		return SilentXmlCacheConfiguration.getInstance();
	}
	protected String getLoginModuleKeyName(){return SilentXmlCacheLoginModule.class.getName();}
}
