package gov.va.med.hds.cd.m.internal;

import gov.va.med.hds.cd.m.IConnectRequest;

/**
 * Used generally for making connections to a XmlCacheCallQueue
 */
class XmlCacheConnectRequest implements IConnectRequest {
	private static final int DEFAULT_TIME_LIMIT = 30;

	/**
	 * Constructs a connect request for an XmlCacheCallQueue given a connect
	 * time limit.
	 * 
	 * @param timeLimit
	 */
	public XmlCacheConnectRequest(int timeLimit) {
		this.timeLimit = timeLimit;
	}
	/**
	 * unused
	 */
	public void setServerName(String serverName) {
	}
	/**
	 * 
	 * unused
	 */
	public String getServerName() {
		return null;
	}
	/**
	 * 
	 * unused
	 */
	public void setServerPort(int serverPort) {
	}
	/**
	 * unused
	 */
	public int getServerPort() {
		return 0;
	}
	/**
	 * @see gov.va.med.hds.cd.m.IConnectRequest#getTimeLimit()
	 */
	public int getTimeLimit() {
		return timeLimit;
	}
	private int timeLimit = DEFAULT_TIME_LIMIT;
}
