package gov.va.med.hds.cd.m.internal;

import gov.va.med.hds.cd.m.IMumpsUserInfo;

import java.security.Principal;

/**
 * Security principal for XML Cache based security
 */
class XmlCachePrincipal implements Principal,IMumpsUserInfo{
	XmlCachePrincipal(IMumpsUserInfo info) {
		this.divisionIEN = info.getDivisionIEN();
		this.divisionStationName = info.getDivisionStationName();
		this.divisionStationNumber = info.getDivisionStationNumber();
		this.dTime = info.getDTime();
		this.duz = info.getDuz();
		this.newPerson01 = info.getNewPerson01();
		this.firstName = info.getFirstName();
		this.lastName = info.getLastName();
		this.middleName = info.getMiddleName();
		this.prefix = info.getPrefix();
		this.suffix = info.getSuffix();
		this.title = info.getTitle();
		this.language = info.getLanguage();
		this.serviceSection = info.getServiceSection();
	}
	/**
	 * 
	 * @see java.security.Principal#getName()
	 */
	public String getName() {
		return XmlCachePrincipal.class.getName();
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.m.IMumpsUserInfo#getDivisionIEN()
	 */
	public String getDivisionIEN() {
		return divisionIEN;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.m.IMumpsUserInfo#getDivisionStationName()
	 */
	public String getDivisionStationName() {
		return divisionStationName;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.m.IMumpsUserInfo#getDivisionStationNumber()
	 */
	public String getDivisionStationNumber() {
		return divisionStationNumber;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.m.IMumpsUserInfo#getDTime()
	 */
	public String getDTime() {
		return dTime;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.m.IMumpsUserInfo#getDuz()
	 */
	public String getDuz() {
		return duz;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.m.IMumpsUserInfo#getNewPerson01()
	 */
	public String getNewPerson01() {
		return newPerson01;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getFirstName()
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getLastName()
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getMiddleName()
	 */
	public String getMiddleName() {
		return middleName;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getPrefix()
	 */
	public String getPrefix() {
		return prefix;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getSuffix()
	 */
	public String getSuffix() {
		return suffix;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getTitle()
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getLanguage()
	 */
	public String getLanguage() {
		return language;
	}
	/**
	 * 
	 * @see gov.va.med.hds.cd.security.IUserInfo#getServiceSection()
	 */
	public String getServiceSection() {
		return serviceSection;
	}
	private String divisionIEN;
	private String divisionStationName;
	private String divisionStationNumber;
	private String dTime;
	private String duz;
	private String newPerson01;
	private String firstName;
	private String lastName;
	private String middleName;
	private String prefix;
	private String suffix;
	private String title;
	private String language;
	private String serviceSection;
}
