<?xml version="1.0" encoding="UTF-8"?>
<structure version="1" schemafile="CallRequestCacheSchema.xsd" workingxmlfile="xmlcacheExample.xml" templatexmlfile="">
	<template>
		<properties bgcolor="#FEF0CF"/>
		<match overwrittenxslmatch="/"/>
		<children>
			<template>
				<match match="callRequestCache"/>
				<children>
					<template>
						<match match="callEntry"/>
						<children>
							<template>
								<match match="name"/>
								<children>
									<newline/>
									<text fixtext="RPC Name">
										<styles font-style="italic" font-weight="bold"/>
									</text>
									<text fixtext=":  ">
										<styles font-weight="bold"/>
									</text>
									<xpath allchildren="1">
										<styles color="red" font-weight="bold"/>
									</xpath>
								</children>
							</template>
							<template>
								<styles text-indent="1cm"/>
								<match match="params"/>
								<children>
									<newline/>
									<text fixtext="Params">
										<styles font-style="italic" font-weight="bold" text-indent="1cm"/>
									</text>
									<text fixtext=":">
										<styles font-weight="bold" text-indent="1cm"/>
									</text>
									<template>
										<styles text-indent="1cm"/>
										<match match="param"/>
										<children>
											<template>
												<styles text-indent="1cm"/>
												<match match="simple"/>
												<children>
													<newline/>
													<text fixtext="Simple">
														<styles font-style="italic" font-weight="bold" text-indent="1cm"/>
													</text>
													<text fixtext=":">
														<styles font-weight="bold" text-indent="1cm"/>
													</text>
													<newline/>
													<xpath allchildren="1">
														<styles color="blue" text-indent="1cm"/>
													</xpath>
												</children>
											</template>
											<template>
												<styles text-indent="1cm"/>
												<match match="list"/>
												<children>
													<newline/>
													<text fixtext="List">
														<styles font-style="italic" font-weight="bold" text-indent="1cm"/>
													</text>
													<text fixtext=":">
														<styles font-weight="bold" text-indent="1cm"/>
													</text>
													<template>
														<styles text-indent="1cm"/>
														<match match="item"/>
														<children>
															<newline/>
															<xpath allchildren="1">
																<styles color="blue" text-indent="1cm"/>
															</xpath>
														</children>
													</template>
												</children>
											</template>
											<template>
												<styles text-indent="1cm"/>
												<match match="map"/>
												<children>
													<newline/>
													<text fixtext="Map">
														<styles font-style="italic" font-weight="bold" text-indent="1cm"/>
													</text>
													<text fixtext=":">
														<styles font-weight="bold" text-indent="1cm"/>
													</text>
													<template>
														<styles text-indent="1cm"/>
														<match match="item"/>
														<children>
															<newline/>
															<template>
																<styles text-indent="1cm"/>
																<match match="key"/>
																<children>
																	<text fixtext="{ ">
																		<styles text-indent="1cm"/>
																	</text>
																	<xpath allchildren="1">
																		<styles color="maroon" text-indent="1cm"/>
																	</xpath>
																</children>
															</template>
															<text fixtext=" , ">
																<styles text-indent="1cm"/>
															</text>
															<template>
																<styles text-indent="1cm"/>
																<match match="value"/>
																<children>
																	<xpath allchildren="1">
																		<styles color="blue" text-indent="1cm"/>
																	</xpath>
																	<text fixtext=" }">
																		<styles text-indent="1cm"/>
																	</text>
																</children>
															</template>
														</children>
													</template>
												</children>
											</template>
										</children>
									</template>
								</children>
							</template>
							<template>
								<match match="context"/>
								<children>
									<newline/>
									<text fixtext="Context: ">
										<styles font-style="italic" font-weight="bold"/>
									</text>
									<xpath allchildren="1">
										<styles color="blue"/>
									</xpath>
								</children>
							</template>
							<template>
								<match match="elapsedTime"/>
								<children>
									<newline/>
									<text fixtext="Elapsed Time: ">
										<styles font-style="italic" font-weight="bold"/>
									</text>
									<xpath allchildren="1">
										<styles color="red"/>
									</xpath>
								</children>
							</template>
							<template>
								<match match="result"/>
								<children>
									<newline/>
									<text fixtext="Result: ">
										<styles font-style="italic" font-weight="bold"/>
									</text>
									<newline/>
									<xpath allchildren="1">
										<styles color="blue" font-family="Arial terminal" font-size="smaller" left="1cm"/>
									</xpath>
								</children>
							</template>
							<newline/>
						</children>
					</template>
				</children>
			</template>
		</children>
	</template>
</structure>
