package gov.va.med.hds.cd.m;

/**
 * Generally thrown when an call does not exist in a cache 
 */
public class CallDoesNotExistInCacheException extends Exception {

	/**
	 * @see java.lang.Object#Object()
	 */
	public CallDoesNotExistInCacheException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String)
	 */
	public CallDoesNotExistInCacheException(String message) {
		super(message);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String, java.lang.Throwable)
	 */
	public CallDoesNotExistInCacheException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.Throwable)
	 */
	public CallDoesNotExistInCacheException(Throwable cause) {
		super(cause);
	}

}
