package gov.va.med.hds.cd.m;
/**
 * Thrown by objects implementing the ICallQueue interface.
 * Thrown for general encryption exceptions
 */
public class EncryptException extends CallQueueException {
	/**
	 * @see java.lang.Object#Object()
	 */
	public EncryptException() {
		super();
	}
	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public EncryptException(String message) {
		super(message);
	}
	/**
	 * @see java.lang.Throwable#Throwable(String, Throwable)
	 */
	public EncryptException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * @see java.lang.Throwable#Throwable(Throwable)
	 */
	public EncryptException(Throwable cause) {
		super(cause);
	}
}
