package gov.va.med.hds.cd.m;

import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

/** 
 * Factory abstraction to create an ICallQueue
 */
public interface ICallQueueFactory {
	/**
	 * Creates an ICallQueue
	 * @param runtime
	 * @param configs
	 * @return
	 * @throws CallQueueException
	 */
	public ICallQueue create(IRuntimeContext runtime, IConfigurationElement[] configs) throws CallQueueException;
}
