package gov.va.med.hds.cd.m;
import gov.va.med.hds.cd.security.IUserInfo;

/**
 * Mumps specific user demographics information
 */
public interface IMumpsUserInfo extends IUserInfo {
	/**
	 * Division IEN
	 * @return
	 */
	public String getDivisionIEN();
	/**
	 * Division station name
	 * @return
	 */
	public String getDivisionStationName();
	/**
	 * Division station number
	 * @return
	 */
	public String getDivisionStationNumber();
	/**
	 * How many seconds of inactivity will be tolerated.
	 * @return
	 */
	public String getDTime();
	/**
	 * Unique user identifier
	 * @return
	 */
	public String getDuz();
	/**
	 * Name of the user. Usually Last,First
	 * @return
	 */
	public String getNewPerson01();
}
