package gov.va.med.hds.cd.m;

import java.util.EventObject;

/**
 * Event object for an RPC log entry
 */
public class RPCLogEventObject extends EventObject {
	/**
	 * Constructor
	 * @param source
	 * @param request
	 * @param result
	 * @param exception
	 */
	public RPCLogEventObject(
		Object source,
		ICallRequest request,
		TimedResult result,
		Exception exception) {
			super(source);
			this.request = request;
			this.result = result;
			this.exception = exception;
	}
	public String toString(){
		return request.getCallName();
	}
	public ICallRequest request;
	public TimedResult result;
	public Exception exception;
}
