package gov.va.med.hds.cd.mum.config;

/**
 * Used by the JarFileAnalyser to send notifications about classes being
 * analyzed in a jar file.
 */
public interface IClassListener {
	/**
	 * Called by the JarFileAnalyzer when a class is found in a jar file.
	 * @param className - the name of the found class.
	 */
	void classFound(String className);
}
