package gov.va.med.hds.cd.mum.boot.test;

import gov.va.med.hds.cd.mum.boot.IStartupInfo;
import gov.va.med.hds.cd.mum.boot.StartupInfo;

import java.io.File;

/**
 * enclosing_type
 */
public class TestStartupInfo extends StartupInfo {

	/**
	 * Constructor for TestStartupInfo.
	 * @param args
	 */
	public TestStartupInfo(String[] args) {
		super(args);
	}

	public TestStartupInfo() {
		super(null);
	}
	
	public void setStartupDirectory(File startupDirectory) {
		super.setStartupDirectory(startupDirectory);
	}

	/**
	 * Sets the pluginsDirectory.
	 * @param pluginsDirectory The pluginsDirectory to set
	 */
	public void setPluginsDirectory(File pluginsDirectory) {
		super.setPluginsDirectory(pluginsDirectory);
	}

	/**
	 * Sets the rootDirectory.
	 * @param rootDirectory The rootDirectory to set
	 */
	public void setRootDirectory(File rootDirectory) {
		super.setRootDirectory(rootDirectory);
	}

	/**
	 * Sets the args.
	 * @param args The args to set
	 */
	public void setArgs(String[] args) {
		super.setArgs(args);
	}

	public void reset(IStartupInfo info) {
		setRootDirectory(info.getRootDirectory());
		setStartupDirectory(info.getStartupDirectory());
		setPluginsDirectory(info.getPluginsDirectory());
		setLoader(info.getLoader());
		setSplashScreen(info.getSplashScreen());
		setArgs(info.getArgs());
	}
}

