package gov.va.med.hds.cd.mum;

import gov.va.med.hds.cd.mum.boot.utils.ITreeData;

/**
 * Information about a plugin that is passed to the application throught the
 * IApplication interface.
 */
public interface IPluginSource {
	/**
	 * The xml of the plugin manifest.
	 * @return ITreeData
	 */
	ITreeData getManifest();

	/**
	 * The class loader use to load classes for the plugin.
	 * @return ClassLoader
	 */
	ClassLoader getClassLoader();
}
