package gov.va.med.hds.cd.mum;

import gov.va.med.hds.cd.mum.boot.MUMException;

/**
 * Indicates that a given configuration is invalid.
 */
public class InvalidConfigurationException extends MUMException {

	/**
     * Constructor for InvalidConfigurationException with null as its detail message. 
     */
    public InvalidConfigurationException() {
		super();
	}

	/**
     * Constructor for InvalidConfigurationException with the specified detail message. 
     */
    public InvalidConfigurationException(String message) {
		super(message);
	}

	/**
     * Constructor for InvalidConfigurationException with the specified detail message and cause. 
     */
    public InvalidConfigurationException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for InvalidConfigurationException with the specified cause.
     */
    public InvalidConfigurationException(Throwable cause) {
		super(cause);
	}

}