package gov.va.med.hds.cd.mum;

import java.io.Serializable;

/**
 * Thrown to indicate that the application has attempted to convert a string
 * to one of the numeric types, but that the string does not have the appropriate format.
 */
public class VersionFormatException
	extends IllegalArgumentException
	implements Serializable {

	/**
	 * Constructs a VersionFormatException with no detail message.
	 */
	public VersionFormatException() {
		super();
	}

	/**
	 * Constructs a VersionFormatException with the specified detail message.
	 * @param s the detail message.
	 */
	public VersionFormatException(String s) {
		super(s);
	}

}
