package gov.va.med.hds.cd.mum.boot;

/**
 * Thrown when an exception is raised during the startup process.  Usually contains a cause 
 * exception indicating the reason for the error. 
 */
public class BootFailureException extends MUMException {

    /**
     * Constructor for BootFailureException with the specified detail message. 
     */
    public BootFailureException(String message) {
        super(message);
    }

    /**
     * Constructor for BootFailureException with the specified detail message and cause.
     */
    public BootFailureException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Constructor for BootFailureException with the specified cause.
     */
    public BootFailureException(Throwable cause) {
        super(cause);
    }

}
