package gov.va.med.hds.cd.mum.boot;

/**
 * Constants used for plugins both by the MUM and other plugins.
 */
public interface IPluginConstants {
    public String PLUGIN_ELEMENT = "plugin";
    public String NAME_ATTRIBUTE = "name";
    public String PREREQUISITES_ELEMENT = "prerequisites";
    public String PREREQUISITE_ELEMENT = "requires";

    public String ID_ATTRIBUTE = "id";
    public String VERSION_ATTRIBUTE = "version";
    public String CLASS_ATTRIBUTE = "class";
    public String MODULE_ATTRIBUTE = "module";

    public String EXTENSION_POINTS_ELEMENT = "extension-points";
    public String EXTENSION_POINT_ELEMENT = "extension-point";
    public String EXTENSIONS_ELEMENT = "extensions";
    public String EXTENSION_ELEMENT = "extension";
    public String EXTENDS_ATTRIBUTE = "extends";

    public String PUBLISHED_ELEMENT = "published";
    public String PUBLISH_ELEMENT = "publish";

    public String MATCH_ATTRIBUTE = "match";

    public String EXPORT_ATTRIBUTE = "export";
    public String EXPORT_VALUE = "true";

    public String GREATER_OR_EQUAL_MATCH_CONDITION = "greaterOrEqual";
    public String COMPATIBLE_MATCH_CONDITION = "compatible";
    public String EQUIVALENT_MATCH_CONDITION = "equivalent";
    public String PERFECT_MATCH_CONDITION = "perfect";
}
