package gov.va.med.hds.cd.mum.boot;

/**
 * Classes that implement this interface can be launched by the boot.
 */
public interface IStartup {
	
	/**
	 * Called by the Boot to run the startup class in the startup jar.
	 * @param info - The shared startup info.
	 */
	void run(IStartupInfo info) throws Throwable;
}
