package gov.va.med.hds.cd.mum.boot;

/**
 * Used to create IStartupInfo instances.
 */
public class StartupInfoFactory implements IStartupInfoFactory {

	/**
	 * Constructor for StartupInfoFactory.
	 */
	public StartupInfoFactory() {
		super();
	}

	/**
     * @see gov.va.med.hds.cd.mum.boot.IStartupInfoFactory#createStartupInfo(java.lang.String[])
     */
	public IStartupInfo createStartupInfo(String[] args) {
		return new StartupInfo(args);
	}

}
