package gov.va.med.hds.cd.mum.boot.loader;

/**
 * Used when a single class loader is needed to load classes and other resources from multiple 
 * plugins, such as when passing a class loader to a third party library.
 */
public interface IDelegatingClassLoader {

	/**
     * Adds a LinkedPluginLoader to the list of class loaders that the class loader delegates to.
     */
    void addLoader(LinkedPluginLoader loader);
}
