package gov.va.med.hds.cd.mum.boot.loader;

/**
 * Common interface for all class loaders, used to assign plugins to the class loader regardless of
 * which type of class loader is being used.
 */
public interface IDesktopClassLoader {
	
	/**
     * Links the class loader to the plugin.
     */
    void assignPlugin(IDesktopPlugin plugin) throws ClassLoaderException;
}
