package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicMenuItemUI;

public class DesktopMenuItemUI extends BasicMenuItemUI {

	public static ComponentUI createUI(JComponent c) {
		return new DesktopMenuItemUI();
	}

	private DesktopMenuItemRenderer renderer;

	DesktopMenuItemUI() {
		renderer = new DesktopMenuItemRenderer(getPropertyPrefix());
	}

	protected void paintMenuItem(
		Graphics g,
		JComponent c,
		Icon checkIcon,
		Icon arrowIcon,
		Color background,
		Color foreground,
		int defaultTextIconGap) {
		renderer.paintMenuItem(
			g,
			c,
			checkIcon,
			arrowIcon,
			background,
			foreground,
			defaultTextIconGap);
	}
}
