package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import java.awt.Frame;

import javax.swing.SwingUtilities;

public class LookAndFeelUtilities {
	public static void updateFrames() {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				internalUpdateFrames();
			}
		});
	}

	static void internalUpdateFrames() {
		Frame[] frames = Frame.getFrames();
		for (int i = 0; i < frames.length; ++i) {
			SwingUtilities.updateComponentTreeUI(frames[i]);
			frames[i].repaint();
		}

	}
}
