package gov.va.med.hds.cd.mum.boot.utils;

/**
 * This interface is used by the MUM when building configurations.  It informs
 * the MUM that a class which implements the IStartup interface, but which also
 * implements this interface, should not be considered a startup class.  This is
 * used mainly for testing purposes, to allow test classes to implement the
 * IStartup interface without actually specifying that class as the
 * startup class in the configuration.
 */
public interface IIgnoreStartup {

}
