package gov.va.med.hds.cd.mum.boot.utils;

import java.io.File;
import java.io.IOException;
import java.io.Writer;

/**
 * Adds saving of XML data the ITreeData interface
 */
public interface ISavableTreeData extends ILoadableTreeData {
	
	/**
	 * Saves xml data to a file
	 * @param file
	 */
	void save(File file) throws IOException;
	
	/**
	 * Saves xml data to a writer
	 * @param out
	 * @throws IOException
	 */
	void save(Writer writer) throws IOException;
}
