package gov.va.med.hds.cd.mum.boot.utils;

/**
 * Thrown when an error occurs processing XML through the tree data classes
 */
public class TreeDataException extends Exception {

	/**
     * Constructor for TreeDataException with null as its detail message.
     */
	public TreeDataException() {
		super();
	}

	/**
     * Constructor for TreeDataException with the specified detail message.
     */
	public TreeDataException(String message) {
		super(message);
	}

	/**
     * Constructor for TreeDataException with the specified detail message and cause.
     */
	public TreeDataException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for TreeDataException with the specified cause.
     */
	public TreeDataException(Throwable cause) {
		super(cause);
	}

}
