package gov.va.med.hds.cd.mum.update;

import gov.va.med.hds.cd.mum.IBasePlugin;

import java.io.File;

/**
 * Interface representing a plugin already installed on the workstation.
 */
public interface IExistingPlugin extends IBasePlugin {
	/**
	 * Returns an instance of the ExistingFileEntry for each file in the plugin.
	 * @param index
	 * @return ExistingFileEntry
	 */
	ExistingFileEntry getFile(int index);

	/**
	 * Returns an array of files representing all the files in the plugin.
	 * @return File[]
	 */
	File[] getFiles();
}
