package gov.va.med.hds.cd.mum.update;

import javax.swing.JOptionPane;

/**
 * Used to inform the user about certain events
 */
public class UpdateNotifier implements IUpdateNotifier, IUpdateConstants {

	/**
	 * Constructor for UpdateNotifier.
	 */
	protected UpdateNotifier() {
		super();
	}

	/**
     * @see gov.va.med.hds.cd.mum.update.IUpdateNotifier#fatalErrorMessage(java.lang.String, java.lang.String)
     */
    public void fatalErrorMessage(String message, String title) {
		JOptionPane.showMessageDialog(null, message, title, JOptionPane.ERROR_MESSAGE);
	}

	/**
     * @see gov.va.med.hds.cd.mum.update.IUpdateNotifier#fatalErrorMessage(java.lang.String)
     */
    public void fatalErrorMessage(String message) {
		fatalErrorMessage(message, UPDATE_ABORTED_TITLE);
	}

}
