package gov.va.med.hds.cd.print;

/**
 * Generally thrown for exceptions thrown during construction
 */
public class ConstructionException extends Exception {

	/**
	 * Default construction
	 */
	public ConstructionException() {
		super();
	}

	/**
	 * Constructor
	 * @param message
	 */
	public ConstructionException(String message) {
		super(message);
	}

	/**
	 * Constructor
	 * @param message
	 * @param cause
	 */
	public ConstructionException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor
	 * @param cause
	 */
	public ConstructionException(Throwable cause) {
		super(cause);
	}

}
