package gov.va.med.hds.cd.print;

import gov.va.med.hds.cd.runtime.IRuntimeContext;

import java.awt.print.PageFormat;

/**
 * Abstraction for an object that can print preview
 */
public interface IPrintPreviewable {
	/**
	 * Constructor
	 * 
	 * @param runtime - system runtime
	 * @param printable - object to be printed
	 * @param pageFormat - desired page format
	 * @param title - title of Print Preview Window
	 */
	public void init(IRuntimeContext runtime, IPrintable printable, PageFormat pageFormat, String title);
}