package gov.va.med.hds.cd.print;

/**
 * General exception for failures with printing
 */
public class PrintFailedException extends Exception {
	/**
	 * Constructor
	 */
	public PrintFailedException() {
		super();
	}
	/**
	 * Constructor
	 * @param message
	 */
	public PrintFailedException(String message) {
		super(message);
	}
	/**
	 * Constructor
	 * @param message
	 * @param cause
	 */
	public PrintFailedException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * Constructor
	 * @param cause
	 */
	public PrintFailedException(Throwable cause) {
		super(cause);
	}
}
