package gov.va.med.hds.cd.print;

/**
 * Thrown generally for problems with a print plugin
 */
public class PrintPluginException extends Exception {

	/**
	 * Constructor
	 */
	public PrintPluginException() {
		super();
	}

	/**
	 * Constructor
	 * @param message
	 */
	public PrintPluginException(String message) {
		super(message);
	}

	/**
	 * Constructor
	 * @param message
	 * @param cause
	 */
	public PrintPluginException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor
	 * @param cause
	 */
	public PrintPluginException(Throwable cause) {
		super(cause);
	}
}
