package gov.va.med.hds.cd.prism.action.internal;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;

import gov.va.med.hds.cd.prism.IPrismConstants;
import gov.va.med.hds.cd.prism.action.AbstractAction;


public class AboutAction extends AbstractAction {

	public static final String DEFAULT_NAME = "About " + IPrismConstants.DESKTOP_NAME + "...";
	public static final Integer DEFAULT_MNEMONIC = new Integer(KeyEvent.VK_A);

	private AboutDialog dialog;

	public AboutAction() {
		putValue(Action.NAME, DEFAULT_NAME);
		putValue(MNEMONIC_KEY, DEFAULT_MNEMONIC);
	}

	public void actionPerformed(ActionEvent e) {
		if (dialog == null) {
			dialog = new AboutDialog(getDesktop().getActiveWindow().getFrame(), runtime.getPluginRegistry());
		}
		dialog.setVisible(true);
	}
}
