package gov.va.med.hds.cd.prism.action.internal;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import gov.va.med.hds.cd.prism.DesktopCloseVetoException;
import gov.va.med.hds.cd.prism.action.AbstractAction;

public class ExitAction extends AbstractAction {
	
	public static final String DEFAULT_NAME = "Exit";
	public static final Integer DEFAULT_MNEMONIC = new Integer(KeyEvent.VK_X);
	
	public ExitAction() {
		putValue(NAME, DEFAULT_NAME);
		putValue(MNEMONIC_KEY, DEFAULT_MNEMONIC);
	}
	
	public void actionPerformed(ActionEvent e) {
		try {
			getDesktop().close();
		} catch (DesktopCloseVetoException ex) {
			// NOOP
		}
	}
}
