/*
 * Created on May 5, 2003
 */
package gov.va.med.hds.cd.prism.action.internal;

import java.awt.event.ActionEvent;

import gov.va.med.hds.cd.prism.IDesktopWindow;

/**
 */
public class InitPrintActionEvent extends ActionEvent {
	public static final int ADD = 0;
	public static final int REMOVE = 1;
	
	/**
	 * Constructor
	 * @param window - active desktop window
	 * @param source
	 * @param id
	 */
	public InitPrintActionEvent(IDesktopWindow window,Object source,int id) {
		super(source, id, null);
		this.window = window;
	}

	/**
	 * Constructor
	 * @param window - active desktop window
	 * @param source
	 * @param id
	 * @param modifiers
	 */
	public InitPrintActionEvent(IDesktopWindow window,Object source, int id, int modifiers) {
		super(source, id, null, modifiers);
		this.window = window;
	}

	/**
	 * Constructor
	 * @param window - active desktop window
	 * @param source
	 * @param id
	 * @param when
	 * @param modifiers
	 */
	public InitPrintActionEvent(IDesktopWindow window,Object source, int id, long when, int modifiers) {
		super(source, id, null, when, modifiers);
		this.window = window;
	}

	public IDesktopWindow getWindow(){
		return window;	 
	}
	private IDesktopWindow window;
}
