package gov.va.med.hds.cd.prism.action.internal;

import java.awt.event.KeyEvent;

import javax.swing.Action;

import gov.va.med.hds.cd.print.IPrintActionHandlerProvider;

public class PrintAction extends AbstractPrintAction{
	public static final String DEFAULT_NAME= "Print...";
	private static final Integer DEFAULT_MNEMONIC_KEY= new Integer(KeyEvent.VK_P);
	
	public PrintAction(){
		super();
		putValue(Action.NAME, DEFAULT_NAME);
		putValue(Action.MNEMONIC_KEY, DEFAULT_MNEMONIC_KEY);
	}
	protected void removeActionEnablingListener(IPrintActionHandlerProvider php){
		php.removePrintActionEnablingListener(this);
	}
	protected void addActionEnablingListener(IPrintActionHandlerProvider php){
		php.addPrintActionEnablingListener(this);
	}
}
