package gov.va.med.hds.cd.prism.action.internal;

import java.awt.event.KeyEvent;

import javax.swing.Action;

import gov.va.med.hds.cd.print.IPrintActionHandlerProvider;

public class PrintPreviewAction extends AbstractPrintAction{
	public static final String DEFAULT_NAME= "Print Preview...";
	private static final Integer DEFAULT_MNEMONIC_KEY= new Integer(KeyEvent.VK_V);
	public PrintPreviewAction(){
		super();
		putValue(Action.NAME, DEFAULT_NAME);
		putValue(Action.MNEMONIC_KEY, DEFAULT_MNEMONIC_KEY);
	}
	protected void removeActionEnablingListener(IPrintActionHandlerProvider php){
		php.removePrintPreviewActionEnablingListener(this);
	}
	protected void addActionEnablingListener(IPrintActionHandlerProvider php){
		php.addPrintPreviewActionEnablingListener(this);
	}
}
