
package gov.va.med.hds.cd.prism.action.internal;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;

import gov.va.med.hds.cd.prism.action.AbstractAction;
import gov.va.med.hds.cd.prism.internal.LogWindow;

/** 
 * Display the log window, containing output written to the logging system.
 */
public class ShowLogAction extends AbstractAction {

    private static final String  DEFAULT_NAME         = "Show Log Window";
    private static final Integer DEFAULT_MNEMONIC_KEY = new Integer(KeyEvent.VK_C);
    
    public ShowLogAction() {
        putValue(Action.NAME, DEFAULT_NAME);
        putValue(Action.MNEMONIC_KEY, DEFAULT_MNEMONIC_KEY);
    }

    public void actionPerformed(ActionEvent e) {
    	LogWindow.setLogWindowVisible(true);
    }
}
