package gov.va.med.hds.cd.prism.internal;

import gov.va.med.hds.cd.prism.ISelection;
import gov.va.med.hds.cd.prism.ISelectionListener;
import gov.va.med.hds.cd.prism.SelectionEvent;

public class SelectionTracker extends SelectionSource
	implements ISelectionListener {

	private ISelection selection;

	public ISelection getSelection() {
		return selection;
	}

	public void selectionChanged(SelectionEvent event) {
		if (this.selection != null && this.selection.equals(event.getSelection())) return;
		this.selection = event.getSelection();
		fireSelectionChanged(event);
	}
}
