package gov.va.med.hds.cd.prism.perspective.internal;

import gov.va.med.hds.cd.prism.perspective.IPerspectiveDescriptor;
import gov.va.med.hds.cd.prism.perspective.IPerspectiveLayout;

public class PerspectiveDescriptor implements IPerspectiveDescriptor {
	
	private String id;
	private String name;
	private IPerspectiveLayout layout;

	public PerspectiveDescriptor(String id, String name, IPerspectiveLayout layout) {
		this.id = id;
		this.name = name;
		this.layout = layout;
	}

	public String getId() {
		return id;
	}

	public String getName() {
		return name;
	}
	
	public IPerspectiveLayout getLayout() {
		return layout;
	}
}
