package gov.va.med.hds.cd.prism.visualcomponent.internal;

import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponent;
import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponentDescriptor;
import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponentReference;

public class VisualComponentReference implements IVisualComponentReference {

	private IVisualComponentDescriptor descriptor;
	private IVisualComponent component;

	public VisualComponentReference(IVisualComponentDescriptor descriptor, IVisualComponent component) {
		this.descriptor = descriptor;
		this.component = component;
	}

	public IVisualComponentDescriptor getDescriptor() {
		return descriptor;
	}

	public IVisualComponent getVisualComponent() {
		return component;
	}

}
