package gov.va.med.hds.cd.prism.test;

import mockmaker.ExceptionalReturnValue;
import mockmaker.ReturnValues;
import mockmaker.VoidReturnValues;

import com.mockobjects.ExpectationCounter;
import com.mockobjects.ExpectationList;

import gov.va.med.hds.cd.prism.IDesktop;
import gov.va.med.hds.cd.prism.IDesktopListener;
import gov.va.med.hds.cd.prism.IDesktopWindow;
import gov.va.med.hds.cd.prism.IDesktopWindowListener;
import gov.va.med.hds.cd.prism.action.IActionRegistry;
import gov.va.med.hds.cd.prism.perspective.IPerspectiveEventSource;
import gov.va.med.hds.cd.prism.perspective.IPerspectiveRegistry;
import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponentEventSource;
import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponentRegistry;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
public class MockClinicianDesktop implements IDesktop {
	private ExpectationCounter myAddDesktopListenerCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop AddDesktopListenerCalls");
	private ReturnValues myActualAddDesktopListenerReturnValues = new VoidReturnValues(false);
	private ExpectationList myAddDesktopListenerParameter0Values =
		new ExpectationList("gov.va.med.hds.cd.prism.IDesktop gov.va.med.hds.cd.prism.IDesktopListener");
	private ExpectationCounter myRemoveDesktopListenerCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop RemoveDesktopListenerCalls");
	private ReturnValues myActualRemoveDesktopListenerReturnValues = new VoidReturnValues(false);
	private ExpectationList myRemoveDesktopListenerParameter0Values =
		new ExpectationList("gov.va.med.hds.cd.prism.IDesktop gov.va.med.hds.cd.prism.IDesktopListener");
	private ExpectationCounter myGetRuntimeCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetRuntimeCalls");
	private ReturnValues myActualGetRuntimeReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetPerspectiveRegistryCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetPerspectiveRegistryCalls");
	private ReturnValues myActualGetPerspectiveRegistryReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetVisualComponentRegistryCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetVisualComponentRegistryCalls");
	private ReturnValues myActualGetVisualComponentRegistryReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetActionRegistryCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetActionRegistryCalls");
	private ReturnValues myActualGetActionRegistryReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetPerspectiveEventSourceCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetPerspectiveEventSourceCalls");
	private ReturnValues myActualGetPerspectiveEventSourceReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetVisualComponentEventSourceCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetVisualComponentEventSourceCalls");
	private ReturnValues myActualGetVisualComponentEventSourceReturnValues =
		new ReturnValues(false);
	private ExpectationCounter myGetWindowsCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop GetWindowsCalls");
	private ReturnValues myActualGetWindowsReturnValues = new ReturnValues(false);
	private ExpectationCounter myOpenWindowCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop OpenWindowCalls");
	private ReturnValues myActualOpenWindowReturnValues = new ReturnValues(false);
	private ExpectationList myOpenWindowParameter0Values =
		new ExpectationList("gov.va.med.hds.cd.prism.IDesktop java.lang.String");
	private ExpectationCounter myCloseCalls =
		new ExpectationCounter("gov.va.med.hds.cd.prism.IDesktop CloseCalls");
	private ReturnValues myActualCloseReturnValues = new VoidReturnValues(false);
	public void setExpectedAddDesktopListenerCalls(int calls) {
		myAddDesktopListenerCalls.setExpected(calls);
	}
	public void addExpectedAddDesktopListenerValues(IDesktopListener arg0) {
		myAddDesktopListenerParameter0Values.addExpected(arg0);
	}
	public void addDesktopListener(IDesktopListener arg0) {
		myAddDesktopListenerCalls.inc();
		myAddDesktopListenerParameter0Values.addActual(arg0);
		Object nextReturnValue = myActualAddDesktopListenerReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
	}
	public void setupExceptionAddDesktopListener(Throwable arg) {
		myActualAddDesktopListenerReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setExpectedRemoveDesktopListenerCalls(int calls) {
		myRemoveDesktopListenerCalls.setExpected(calls);
	}
	public void addExpectedRemoveDesktopListenerValues(IDesktopListener arg0) {
		myRemoveDesktopListenerParameter0Values.addExpected(arg0);
	}
	public void removeDesktopListener(IDesktopListener arg0) {
		myRemoveDesktopListenerCalls.inc();
		myRemoveDesktopListenerParameter0Values.addActual(arg0);
		Object nextReturnValue = myActualRemoveDesktopListenerReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
	}
	public void setupExceptionRemoveDesktopListener(Throwable arg) {
		myActualRemoveDesktopListenerReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setExpectedGetRuntimeCalls(int calls) {
		myGetRuntimeCalls.setExpected(calls);
	}
	public IRuntimeContext getRuntime() {
		myGetRuntimeCalls.inc();
		Object nextReturnValue = myActualGetRuntimeReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IRuntimeContext) nextReturnValue;
	}
	public void setupExceptionGetRuntime(Throwable arg) {
		myActualGetRuntimeReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetRuntime(IRuntimeContext arg) {
		myActualGetRuntimeReturnValues.add(arg);
	}
	public void setExpectedGetPerspectiveRegistryCalls(int calls) {
		myGetPerspectiveRegistryCalls.setExpected(calls);
	}
	public IPerspectiveRegistry getPerspectiveRegistry() {
		myGetPerspectiveRegistryCalls.inc();
		Object nextReturnValue = myActualGetPerspectiveRegistryReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IPerspectiveRegistry) nextReturnValue;
	}
	public void setupExceptionGetPerspectiveRegistry(Throwable arg) {
		myActualGetPerspectiveRegistryReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetPerspectiveRegistry(IPerspectiveRegistry arg) {
		myActualGetPerspectiveRegistryReturnValues.add(arg);
	}
	public void setExpectedGetVisualComponentRegistryCalls(int calls) {
		myGetVisualComponentRegistryCalls.setExpected(calls);
	}
	public IVisualComponentRegistry getVisualComponentRegistry() {
		myGetVisualComponentRegistryCalls.inc();
		Object nextReturnValue = myActualGetVisualComponentRegistryReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IVisualComponentRegistry) nextReturnValue;
	}
	public void setupExceptionGetVisualComponentRegistry(Throwable arg) {
		myActualGetVisualComponentRegistryReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetVisualComponentRegistry(IVisualComponentRegistry arg) {
		myActualGetVisualComponentRegistryReturnValues.add(arg);
	}
	public void setExpectedGetActionRegistryCalls(int calls) {
		myGetActionRegistryCalls.setExpected(calls);
	}
	public IActionRegistry getActionRegistry() {
		myGetActionRegistryCalls.inc();
		Object nextReturnValue = myActualGetActionRegistryReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IActionRegistry) nextReturnValue;
	}
	public void setupExceptionGetActionRegistry(Throwable arg) {
		myActualGetActionRegistryReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetActionRegistry(IActionRegistry arg) {
		myActualGetActionRegistryReturnValues.add(arg);
	}
	public void setExpectedGetPerspectiveEventSourceCalls(int calls) {
		myGetPerspectiveEventSourceCalls.setExpected(calls);
	}
	public IPerspectiveEventSource getPerspectiveEventSource() {
		myGetPerspectiveEventSourceCalls.inc();
		Object nextReturnValue = myActualGetPerspectiveEventSourceReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IPerspectiveEventSource) nextReturnValue;
	}
	public void setupExceptionGetPerspectiveEventSource(Throwable arg) {
		myActualGetPerspectiveEventSourceReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetPerspectiveEventSource(IPerspectiveEventSource arg) {
		myActualGetPerspectiveEventSourceReturnValues.add(arg);
	}
	public void setExpectedGetVisualComponentEventSourceCalls(int calls) {
		myGetVisualComponentEventSourceCalls.setExpected(calls);
	}
	public IVisualComponentEventSource getVisualComponentEventSource() {
		myGetVisualComponentEventSourceCalls.inc();
		Object nextReturnValue = myActualGetVisualComponentEventSourceReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IVisualComponentEventSource) nextReturnValue;
	}
	public void setupExceptionGetVisualComponentEventSource(Throwable arg) {
		myActualGetVisualComponentEventSourceReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetVisualComponentEventSource(IVisualComponentEventSource arg) {
		myActualGetVisualComponentEventSourceReturnValues.add(arg);
	}
	public void setExpectedGetWindowsCalls(int calls) {
		myGetWindowsCalls.setExpected(calls);
	}
	public IDesktopWindow[] getWindows() {
		myGetWindowsCalls.inc();
		Object nextReturnValue = myActualGetWindowsReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IDesktopWindow[]) nextReturnValue;
	}
	public void setupExceptionGetWindows(Throwable arg) {
		myActualGetWindowsReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetWindows(IDesktopWindow[] arg) {
		myActualGetWindowsReturnValues.add(arg);
	}
	public void setExpectedOpenWindowCalls(int calls) {
		myOpenWindowCalls.setExpected(calls);
	}
	public void addExpectedOpenWindowValues(String arg0) {
		myOpenWindowParameter0Values.addExpected(arg0);
	}
	public IDesktopWindow openWindow(String arg0) {
		myOpenWindowCalls.inc();
		myOpenWindowParameter0Values.addActual(arg0);
		Object nextReturnValue = myActualOpenWindowReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IDesktopWindow) nextReturnValue;
	}
	public void setupExceptionOpenWindow(Throwable arg) {
		myActualOpenWindowReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupOpenWindow(IDesktopWindow arg) {
		myActualOpenWindowReturnValues.add(arg);
	}
	public void setExpectedCloseCalls(int calls) {
		myCloseCalls.setExpected(calls);
	}
	public void close() {
		myCloseCalls.inc();
		Object nextReturnValue = myActualCloseReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
	}
	public void setupExceptionClose(Throwable arg) {
		myActualCloseReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void verify() {
		myGetRuntimeCalls.verify();
		myGetPerspectiveRegistryCalls.verify();
		myGetVisualComponentRegistryCalls.verify();
		myGetActionRegistryCalls.verify();
		myGetPerspectiveEventSourceCalls.verify();
		myGetVisualComponentEventSourceCalls.verify();
		myGetWindowsCalls.verify();
		myOpenWindowCalls.verify();
		myOpenWindowParameter0Values.verify();
		myCloseCalls.verify();
	}
	public void addWindowListener(IDesktopWindowListener l) {
	}

	public IDesktopWindow getActiveWindow() {
		return null;
	}

	public void removeWindowListener(IDesktopWindowListener l) {
	}

}
