package gov.va.med.hds.cd.prism.test;

import gov.va.med.hds.cd.prism.IDesktop;
import gov.va.med.hds.cd.prism.IDesktopListener;
import gov.va.med.hds.cd.prism.IDesktopWindow;
import gov.va.med.hds.cd.prism.IDesktopWindowListener;
import gov.va.med.hds.cd.prism.action.IActionRegistry;
import gov.va.med.hds.cd.prism.perspective.IPerspectiveEventSource;
import gov.va.med.hds.cd.prism.perspective.IPerspectiveRegistry;
import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponentEventSource;
import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponentRegistry;
import gov.va.med.hds.cd.runtime.IPlugin;
import gov.va.med.hds.cd.runtime.IPluginDescriptor;
import gov.va.med.hds.cd.runtime.IPluginRegistry;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

public class MockPrism implements IPlugin, IDesktop {
	
	private IRuntimeContext runtime;
	
	public void shutdown() throws Exception {
	}

	public void startup(IRuntimeContext runtime, IPluginDescriptor plugin) throws Exception {
		this.runtime = runtime;
	}

	public void close() {
	}
	
	public IDesktopWindow getActiveWindow() {
		return new MockWindow(this);
	}

	public IPluginRegistry getRegistry() {
		return runtime.getPluginRegistry();
	}
	
	public IRuntimeContext getRuntime() {
		return runtime;
	}

	public IDesktopWindow[] getWindows() {
		return null;
	}

	public IDesktopWindow openWindow(String perspectiveID) {
		return null;
	}

	public IPerspectiveRegistry getPerspectiveRegistry() {
		return null;
	}

	public IVisualComponentRegistry getVisualComponentRegistry() {
		return null;
	}

	public IActionRegistry getActionRegistry() {
		return null;
	}
	
	public void addWindowListener(IDesktopWindowListener l) {
	}

	public void removeWindowListener(IDesktopWindowListener l) {
	}
	
	public IPerspectiveEventSource getPerspectiveEventSource() {
		return null;
	}
	public IVisualComponentEventSource getVisualComponentEventSource() {
		return null;
	}
	public void addDesktopListener(IDesktopListener l) {
	}
	public void removeDesktopListener(IDesktopListener l) {
	}

}
