package gov.va.med.hds.cd.prism.test;

import javax.swing.JTable;

import junit.framework.TestCase;

import gov.va.med.hds.cd.prism.internal.TableSelectionSource;

public class TableSelectionProviderTest extends TestCase {

	private static final String[] COLUMN_NAMES = { "Jedi Name", "Force Affinity" };
	private static final String[][] DATA = {	{"Anakin", "Light"},
												  	{"Yoda", "Light"},
													{"Obi-wan", "Light"},
													{"Darth Sidious", "Dark"},
													{"Luke", "Light"},
													{"Darth Maul", "Dark"} };
	
	public TableSelectionProviderTest(String name) {
		super(name);
	}

	public void testSelectionProvider() {
		JTable table = new JTable(DATA, COLUMN_NAMES);
		TableSelectionSource tsp = new TableSelectionSource(table);
		table.changeSelection(1, 0, false, false);
		assertEquals("Yoda", tsp.getSelection().getFirstElement());
	}
}
