package gov.va.med.hds.cd.prism.perspective;

import javax.swing.SwingConstants;

public interface ILayoutNode extends SwingConstants {
	
	public int UNSPECIFIED = -1;
	
	public int START = 1;
	public int CENTER = 2;
	public int END = 3;
	public int BASELINE = 4;
	public int STRETCH = 5;
	
	public IContainerNode getParent();
	
	public int getFlex();
	
	public int getHeight();
	public int getWidth();
	
	public int getMinHeight();
	public int getMaxHeight();
	public int getMinWidth();
	public int getMaxWidth();
	
	public int getOrientation();
	public int getAlign();
}
