package gov.va.med.hds.cd.prism.perspective;

import java.util.EventObject;

import gov.va.med.hds.cd.prism.IDesktopWindow;

public class PerspectiveEvent extends EventObject {
	
	private IPerspectiveReference perspective;
	private IDesktopWindow window;
	
	public PerspectiveEvent(Object source, IPerspectiveReference p, IDesktopWindow w) {
		super(source);
		this.perspective = p;
		this.window = w;
	}
	
	public IPerspectiveReference getPerspective() {
		return perspective;
	}
	
	public IDesktopWindow getWindow() {
		return window;
	}
}
