/*
 * Initially Created on Apr 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import java.awt.event.ActionEvent;

/**
 * Implements the IQueryActionEvent interface.
 */
public class QueryActionEvent extends ActionEvent implements IQueryActionEvent {
	private IQueryID queryID;
	private Object oldValue;
	private Object newValue;
	private boolean eventConsumed = false;
	
	public QueryActionEvent(Object source, int actionID) {
		super(source, actionID, null);
	}

	public void setQueryID(IQueryID queryID) {
		this.queryID = queryID;
	}

	public IQueryID getQueryID() {
		return queryID;
	}

	public void setOldValue(Object oldValue) {
		this.oldValue = oldValue;
	}

	public Object getOldValue() {
		return oldValue;
	}

	public void setNewValue(Object newValue) {
		this.newValue = newValue;
	}

	public Object getNewValue() {
		return newValue;
	}

	public boolean isEventConsumed() {
		return eventConsumed;
	}

	public void consumeEvent() {
		eventConsumed = true;
	}

}
