/*
 * Initially Created on Apr 24, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import java.util.EventObject;

public class QueryCollectionEvent
	extends EventObject
	implements IQueryCollectionEvent {
		
	private int eventID;
	private ISoftListItem[] items;

	/**
	 * @param source
	 */
	public QueryCollectionEvent(Object source) {
		super(source);
	}
	
	public QueryCollectionEvent(Object source, int eventID, ISoftListItem[] items) {
		super(source);
		this.eventID = eventID;
		this.items = items;
	}

	public void setEventID(int eventID) {
		this.eventID = eventID;
	}

	public int getEventID() {
		return eventID;
	}

	public void setItems(ISoftListItem[] items) {
		this.items = items;
	}

	public ISoftListItem[] getItems() {
		return items;
	}

}
