/*
 * Initially Created on Jun 10, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import java.util.EventObject;

/**
 * Implements the IStateEvent interface.
 */
public class StateEvent extends EventObject implements IStateEvent {
	private IQueryToolState oldState;
	private IQueryToolState newState;

	public StateEvent(Object source) {
		super(source);
	}

	public StateEvent(Object source, IQueryToolState oldState, IQueryToolState newState) {
		super(source);
		this.oldState = oldState;
		this.newState = newState;
	}

	public IQueryToolState getOldState() {
		return oldState;
	}

	public IQueryToolState getNewState() {
		return newState;
	}

}
