/*
 * Initially Created on Jun 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQuery;
import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

/**
 * 
 */
public class Create extends Edit implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public Create(IQueryTool queryTool) {
		super(queryTool, IQueryTool.CREATE_ACTION, IQueryTool.CREATE_CHAR);
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
			IQuery newQuery = qt.getNewQuery(null);
			if (newQuery==null) {
				logger.error(qt.getMessage(), qt.getError());
			}
			qt.setCurrentQuery(newQuery);
			super.dispatchActionEvent(e);
	}

	public void validateState() {
		setEnabled(qt.getRunModel()==null);
	}

}
