/*
 * Initially Created on Jun 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.IValue;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Edit Parameter action
 */
public class EditParameter
	extends AbstractQueryAction
	implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public EditParameter(IQueryTool queryTool) {
		super(queryTool, IQueryTool.EDIT_PARM_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.EDIT_PARM_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.dispatchEvent(new QueryToolEvent(qt, IQueryToolEvent.EDIT_PARAMETER, qt.getCurrentQuery(), (IValue)e.getNewValue()));
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null && qt.getResultsModel()==null && qt.getRunModel()==null);
		super.validateState();
	}

}
