/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Export completed query action.
 */
public class Export extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public Export(IQueryTool queryTool) {
		super(queryTool, IQueryTool.EXPORT_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.EXPORT_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.EXPORT));
	}

	public void validateState() {
		setEnabled(qt.getResultsModel()!=null && qt.getRunModel()!=null && qt.getRunModel().getRowCount()>0);
		super.validateState();
	}

}
