/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

/**
 * Run complete w/message action.
 */
public class RunCompleteMessage extends RunComplete implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public RunCompleteMessage(IQueryTool queryTool) {
		super(queryTool, IQueryTool.RUN_COMPLETE_MESSAGE_ACTION, IQueryTool.RUN_COMPLETE_MESSAGE_CHAR);
	}

	public RunCompleteMessage(IQueryTool queryTool, String actionName, char mnemonic) {
		super(queryTool, actionName, mnemonic);
	}
	
	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.MESSAGE));
		super.dispatchActionEvent(e);
	}
	
}
