/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Run complete for non-sensitive patients action.  This action is used by the query
 * tool by the RunQuery object.
 */
public class RunCompleteNonSensitive
	extends AbstractQueryAction
	implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public RunCompleteNonSensitive(IQueryTool queryTool) {
		super(queryTool, IQueryTool.RUN_COMPLETE_NON_SENSITIVE_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.RUN_COMPLETE_NON_SENSITIVE_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.RUN_COMPLETE_NON_SENSITIVE));
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null && qt.getRunModel()!=null);
		super.validateState();
	}

}
