/*
 * Initially Created on Jun 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import javax.swing.Action;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

/**
 * Select all sensitive patients action.
 */
public class SelectAllSensitive
	extends AbstractQueryAction
	implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public SelectAllSensitive(IQueryTool queryTool) {
		super(queryTool, IQueryTool.SELECT_ALL_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.SELECT_ALL_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.getRunModel().getSensitiveDataModel().getSensitivePtList().checkAll();
	}

	public void validateState() {
		setEnabled(qt.getRunModel()!=null && qt.getRunModel().getSensitiveDataModel()!=null && qt.getRunModel().getSensitiveDataModel().getSensitivePtList()!=null);
		super.validateState();
	}

}
