/*
 * Initially Created on Jun 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Unselect all sensitive patients action
 */
public class SelectNoneSensitive
	extends AbstractQueryAction
	implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public SelectNoneSensitive(IQueryTool queryTool) {
		super(queryTool, IQueryTool.SELECT_NONE_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.SELECT_NONE_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.getRunModel().getSensitiveDataModel().getSensitivePtList().clearAllChecks();
	}

	public void validateState() {
		setEnabled(qt.getRunModel()!=null && qt.getRunModel().getSensitiveDataModel()!=null && qt.getRunModel().getSensitiveDataModel().getSensitivePtList()!=null);
		super.validateState();
	}

}
