/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Stop a running query action.
 */
public class Stop extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public Stop(IQueryTool queryTool) {
		super(queryTool, IQueryTool.STOP_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.STOP_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.STOPPED));
		qt.getRunModel().stopQuery();
	}

	public void validateState() {
		setEnabled(qt.getRunModel()!=null);
		super.validateState();
	}

}
