/*
 * Initially Created on Jun 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;

/**
 * Unselect action.
 */
public class Unselect extends Select implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public Unselect(IQueryTool queryTool) {
		super(queryTool, IQueryTool.UNSELECT_ACTION, IQueryTool.UNSELECT_CHAR);
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null);
		super.validateState();
	}

}
