/*
 * Initially Created on Jun 9, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.m;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;
import gov.va.med.hds.cd.m.IMumps;
import gov.va.med.hds.cd.m.IMumpsFactory;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IPluginDescriptor;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.IQueryToolCoreConstants;

/**
 * Abstract M DAO to set up supporting objects.
 */
public abstract class AbstractMDAO implements IDataAccessObject {
	protected IRuntimeContext runtime;
	protected IMumps mumps;

	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName,
		Object data)
		throws Exception {
		
		this.runtime = runtime;
		IPluginDescriptor desc = runtime.getPluginRegistry().getPluginDescriptor(IQueryToolCoreConstants.PLUGIN_ID);
		mumps = ((IMumpsFactory)runtime.getPluginInstance(IMumpsFactory.PLUGIN_ID)).create(desc);
	}

}
