/*
 * Initially Created on Jun 20, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.IConsultServiceAllDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M Consult service all DAO.
 */
public class ConsultServiceAllDAO
	extends MAbstractReferenceDAO
	implements IConsultServiceAllDAO {

	public String getCallName() {
		return "ORRHCO CSLTGRP";
	}

	public Object getKey(Object item) throws QueryDataDAOException {
		return StringUtil.piece(item.toString(), '^', 2);
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.piece(item.toString(), '^', 1);
	}

}
