package gov.va.med.hds.querytool.m;

import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.querytool.dao.IClinicianListDAOFactory;

/**
 * Clinician list DAO factory
 */
public class MClinicianListDAOFactory extends AbstractMDAO implements IClinicianListDAOFactory {

	public IDataNeededListener getBufferModelDAO() throws BufferModelException {
		return new MBufferListDAO(new MClinicianListCalls(), mumps, runtime);
	}

}
