package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.IOrderSigStatusListDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M implementation of a order signature status reference DAO.
 */
public class MOrderSigStatusListDAO extends MAbstractReferenceDAO implements IOrderSigStatusListDAO {

	public String getCallName() {
		return "SIGNSTS";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
