package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.IOrderStatusListDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M implementation of an order status reference DAO
 */
public class MOrderStatusListDAO extends MAbstractReferenceDAO implements IOrderStatusListDAO {

	public String getCallName() {
		return "ORDSTS";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
