package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.ITeamRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M implementation of a team reference provider.
 */
public class MTeamRefDAO extends MAbstractReferenceDAO implements ITeamRefDAO {

	public String getCallName() {
		return "TEAMS";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
