package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.IWardRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * Implements a reference DAO in M that returns a full list of objects.
 */
public class MWardRefDAO extends MAbstractReferenceDAO implements IWardRefDAO {

	public String getCallName() {
		return "WARDS";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
