package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.IReportRow;
import java.util.ArrayList;
import java.util.List;

/**
 * @author vhaislmonsos
 *
 * Feb 10, 2003 2:13:29 PM
 */
public class ReportRow implements IReportRow {
	private List itemList = new ArrayList();
	private Object id;
	
	public ReportRow() {
		super();
	}

	public ReportRow(Object id) {
		this();
		this.id = id;
	}

	/**
	 * @see gov.va.med.hds.querytool.IReportRow#getItem(int)
	 */
	public Object getItem(int position) {
		return itemList.get(position);
	}

	/**
	 * @see gov.va.med.hds.querytool.IReportRow#setRowID(Object)
	 */
	public void setRowID(Object rowID) {
		this.id = rowID;
	}
	
	/**
	 * @see gov.va.med.hds.querytool.IReportRow#getRowID()
	 */
	public Object getRowID() {
		return id;
	}

	/**
	 * @see gov.va.med.hds.querytool.IReportRow#addItem(Object)
	 */
	public void addItem(Object item) {
		itemList.add(item);
	}

	/**
	 * @see gov.va.med.hds.querytool.IReportRow#itemSize()
	 */
	public int itemSize() {
		return itemList.size();
	}

}
