/*
 * Initially Created on Jun 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.ISensitiveRunDAO;

/**
 * Run DAO for M for the sensitive patients.
 */
public class RunSensitiveIteration extends MRunDAO implements ISensitiveRunDAO {
	private static final String ITERATOR_CALL = "ORRHCQ1 QSITR";

	protected String getIteratorCall() {
		return ITERATOR_CALL;
	}

	public void setInitialIterator(Object iterator) {
		this.iterator = iterator.toString();
		finished = false;
		recordCount = 0;
		patientSelected = false;
	}
	

}
