/*
 * Initially Created on Jun 10, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.state;

import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.IQueryToolState;
import gov.va.med.hds.querytool.IRunQuery;

/**
 * Query execution state.
 */
public class QueryExecuteMain extends AbstractQueryState implements IQueryToolState {
	private IRunQuery runQuery;

	public QueryExecuteMain() {
		super();
	}

	public QueryExecuteMain(IRuntimeContext runtime) {
		super(runtime);
	}
	
	public IRunQuery getRunModel() {
		return runQuery;
	}

	public void setRunModel(IRunQuery runQuery) {
		this.runQuery = runQuery;
	}

}
