package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.dao.IDisplayGroupTreeDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;

import javax.swing.tree.TreeModel;

/**
 * @author vhaislmonsos
 *
 * Jan 7, 2003 3:02:58 PM
 */
public class MDisplayGroupTreeDAOTest extends MAbstractTestCase {
	private IDisplayGroupTreeDAO displayGroupTreeDAO;

	/**
	 * Constructor for MDisplayGroupTreeDAOTest.
	 * @param arg0
	 */
	public MDisplayGroupTreeDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MDisplayGroupTreeDAOTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		displayGroupTreeDAO = (IDisplayGroupTreeDAO)daoRegistry.getDAO(IDisplayGroupTreeDAO.class.getName());
	}

	public void testGetTree() throws QueryDAOException {
		TreeModel treeModel = displayGroupTreeDAO.getTree();
		assertNotNull("MDisplayGroupTreeDAO.getTree failed: null tree returned.",treeModel);
		assertNotNull("MDisplayGroupTreeDAO.getTree failed: null root returned.",treeModel.getRoot());
	}	
}
