package gov.va.med.hds.querytool.itest;
import gov.va.med.hds.querytool.dao.IDocStatusListDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

/**
 * Tests for the M document status reference DAO
 */
public class MDocStatusListDAOTest extends MAbstractTestCase {
	private IDocStatusListDAO docStatusListDAO;

	/**
	 * Constructor for MDocStatusListDAOTest.
	 * @param arg0
	 */
	public MDocStatusListDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MDocStatusListDAOTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		docStatusListDAO = (IDocStatusListDAO)daoRegistry.getDAO(IDocStatusListDAO.class.getName());
	}

	public void testGet() throws QueryDataDAOException {
		Map docStatus = new HashMap();
		docStatusListDAO.get(docStatus);
		assertEquals("MDocStatusListDAO.get failed:",14,docStatus.size());
		String[] values = (String[]) docStatus.values().toArray(new String[0]);
		Arrays.sort(values);
		assertEquals("MDocStatusListDAO.get failed:","Active",values[0]);
		assertEquals("MDocStatusListDAO.get failed:","Unverified",values[13]);
	}

}
