package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.IDisplayField;
import gov.va.med.hds.querytool.dao.IFieldDefnDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;

import java.util.ArrayList;
import java.util.List;

/**
 * @author vhaislmonsos
 *
 * Feb 5, 2003 12:20:10 PM
 */
public class MFieldDefnDAOTest extends MAbstractTestCase {
	private IFieldDefnDAO fieldDefnDAO;
	private List list;
	private int count;

	/**
	 * Constructor for MFieldDefnDAOTest.
	 * @param arg0
	 */
	public MFieldDefnDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MFieldDefnDAOTest.class);
	}

	/**
	 * @see MAbstractTestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		fieldDefnDAO = (IFieldDefnDAO) daoRegistry.getDAO(IFieldDefnDAO.class.getName());
		list = new ArrayList();
	}
	
	/**
	 * @see gov.va.med.hds.querytool.IDisplayFieldReceiver#addField(IDisplayField)
	 */
	public void addField(IDisplayField field) {
		list.add(field);
		assertTrue("MFieldDefnDAO.getFieldsRequest failed:",field.getCategory().toString().length()>0);
		assertEquals("MFieldDefnDAO.getFieldsRequest failed:",80,field.getColumnWidth());
		assertTrue("MFieldDefnDAO.getFieldsRequest failed:",field.getDisplayText().length()>0);
		assertTrue("MFieldDefnDAO.getFieldsRequest failed:",field.getID().toString().length()>0);
		assertTrue("MFieldDefnDAO.getFieldsRequest failed:",field.getListDisplayName().length()>0);
		count++;
	}
	
	public void testGetFields() throws QueryDAOException {
		List request = new ArrayList();
		request.add("P");
		request.add("O");
		request.add("D");
		request.add("V");
		List list = fieldDefnDAO.getFields(request);
		assertEquals("MFieldDefnDAO.getFieldsRequest failed:",20,list.size());
	}
	
}
