package gov.va.med.hds.querytool.itest;
import gov.va.med.hds.querytool.dao.IOrderSigStatusListDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

/**
 * Tests for the M order signature status reference DAO
 */
public class MOrderSigStatusListDAOTest extends MAbstractTestCase {
	private IOrderSigStatusListDAO orderSigStatusListDAO;

	/**
	 * Constructor for MOrderSigSigStatusListDAOTest.
	 * @param arg0
	 */
	public MOrderSigStatusListDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MOrderSigStatusListDAOTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		orderSigStatusListDAO = (IOrderSigStatusListDAO)daoRegistry.getDAO(IOrderSigStatusListDAO.class.getName());
	}

	public void testGet() throws QueryDataDAOException {
		Map orderSigStatus = new HashMap();
		orderSigStatusListDAO.get(orderSigStatus);
		assertEquals("MOrderSigStatusListDAO.get failed:",8,orderSigStatus.size());
		String[] values = (String[]) orderSigStatus.values().toArray(new String[0]);
		Arrays.sort(values);
		assertEquals("MOrderSigStatusListDAO.get failed:","Digitally Signed",values[0]);
		assertEquals("MOrderSigStatusListDAO.get failed:","Service Correction To Signed Order",values[7]);
	}

}
