package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.dao.IOrderStatusListDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

/**
 * Tests for the M order status reference DAO
 */
public class MOrderStatusListDAOTest extends MAbstractTestCase {
	private IOrderStatusListDAO orderStatusListDAO;

	public MOrderStatusListDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MOrderStatusListDAOTest.class);
	}
	
	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		orderStatusListDAO = (IOrderStatusListDAO)daoRegistry.getDAO(IOrderStatusListDAO.class.getName());
	}
	
	public void testGet() throws QueryDataDAOException {
		Map orderStatus = new HashMap();
		orderStatusListDAO.get(orderStatus);
		assertEquals("MOrderStatusListDAO.get failed:",16,orderStatus.size());
		String[] values = (String[]) orderStatus.values().toArray(new String[0]);
		Arrays.sort(values);
		assertEquals("MOrderStatusListDAO.get failed:","Active",values[0]);
		assertEquals("MOrderStatusListDAO.get failed:","Unreleased",values[15]);
	}

}
