/*
 * Initially Created on Jul 30, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.ExecutionException;
import gov.va.med.hds.querytool.IQuery;
import gov.va.med.hds.querytool.IQueryToolState;
import gov.va.med.hds.querytool.IRunListener;
import gov.va.med.hds.querytool.IRunQuery;
import gov.va.med.hds.querytool.ISensitiveDataModel;
import gov.va.med.hds.querytool.ISensitiveList;
import gov.va.med.hds.querytool.ISensitiveListItem;
import gov.va.med.hds.querytool.dao.ICompleteQueryDataDAO;
import gov.va.med.hds.querytool.state.SensitiveReview;

import java.awt.event.ActionListener;
import java.util.Date;

import javax.swing.text.Document;
import javax.swing.text.PlainDocument;

/**
 * Tests for the querytool SensitiveReview state.
 */
public class SensitiveReviewTest extends MAbstractTestCase implements IRunQuery,ISensitiveList {
	private IQueryToolState state;

	public SensitiveReviewTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(SensitiveReviewTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
		state = new SensitiveReview(runtime);
	}

	public void testGetRunModel() {
		state.setRunModel(this);
		assertEquals("SensitiveReview.getRunModel failed:",this,state.getRunModel());
	}

	public void testGetSensitiveMessage() {
		Document doc = new PlainDocument();
		state.setSensitiveMessage(doc);
		assertEquals("SensitiveReview.getSensitiveMessage failed:",doc,state.getSensitiveMessage());
	}

	public void testGetSensitivePatientList() {
		state.setSensitivePatientList(this);
		assertEquals("SensitiveReview.getSensitivePatientList failed:",this,state.getSensitivePatientList());
	}

	public void setQuery(IQuery query) {}
	public void setRuntime(IRuntimeContext runtime) {}
	public int getRowCount() {return 0;}
	public int getScreenedCount() {return 0;}
	public int getPatientCount() {return 0;}
	public boolean isRunning() {return false;}
	public void runQuery() {}
	public void stopQuery() {}
	public void addRunListener(IRunListener listener) {	}
	public void removeRunListener(IRunListener listener) {	}
	public ExecutionException getException() {return null;}
	public void setMaxRows(int maxRows) {	}
	public void resumeFromPause() {	}
	public ISensitiveDataModel getSensitiveDataModel() {return null;}
	public ICompleteQueryDataDAO getCompleteQueryDataDAO() {return null;}
	public Date getStartDate() {return null;}
	public void clear() {	}





	public void add(ISensitiveListItem item) {}
	public ISensitiveListItem getItem(int index) {return null;}
	public int getSize() {return 0;}
	public void checkAll() {}
	public void clearAllChecks() {	}
	public void addActionListener(ActionListener listener) {	}
	public void removeActionListener(ActionListener listener) {	}
	public void removeAllListeners() {	}
	public void clearList() {	}
	public void setChanging(boolean changing) {	}
	public boolean isChanging() {return false;}

}
