/*
 * Initially Created on Jul 30, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.itest;

import java.util.Date;

import javax.swing.event.TableModelListener;

import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.ExecutionException;
import gov.va.med.hds.querytool.IDetailReceivable;
import gov.va.med.hds.querytool.IDisplayField;
import gov.va.med.hds.querytool.IPatDetailReceivable;
import gov.va.med.hds.querytool.IQuery;
import gov.va.med.hds.querytool.IQueryToolState;
import gov.va.med.hds.querytool.IRunListener;
import gov.va.med.hds.querytool.IRunQuery;
import gov.va.med.hds.querytool.ISensitiveDataModel;
import gov.va.med.hds.querytool.dao.ICompleteQueryDataDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;
import gov.va.med.hds.querytool.state.ViewCompleteState;
import gov.va.med.hds.querytool.ui.IResultsTable;

/**
 * Tests for the querytool ViewCompleteState state
 */
public class ViewCompleteStateTest extends MAbstractTestCase implements IResultsTable,IRunQuery {
	private IQueryToolState state;

	public ViewCompleteStateTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ViewCompleteStateTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
		state = new ViewCompleteState(runtime);
	}

	public void testGetResults() {
		state.setResultsTable(this);
		assertEquals("ViewCompleteState.getResults failed:",this,state.getResults());
	}

	public void testGetRunModel() {
		state.setRunModel(this);
		assertEquals("ViewCompleteState.getRunModel failed:",this,state.getRunModel());
	}

	public void setSortColumn(int columnPosition, int direction) throws QueryDAOException {}
	public int getSortColumnPosition() {return 0;}
	public int getSortDirection() {return 0;}
	public void reset() throws QueryDAOException {}
	public void setSortColumn(IDisplayField field, boolean ascending) throws QueryDAOException {}
	public void setDAOModel(ICompleteQueryDataDAO completeQueryDataDAO) {}
	public void getDetailRequest(int row, IDetailReceivable detailReceivable) {}
	public void getPatientDetailRequest(int row, IPatDetailReceivable patDetailReceivable) {}
	public void setRuntime(IRuntimeContext runtime) {}
	public void clearModels() {}
	public int getRowCount() {return 0;}
	public int getColumnCount() {return 0;}
	public String getColumnName(int columnIndex) {return null;}
	public Class getColumnClass(int columnIndex) {return null;}
	public boolean isCellEditable(int rowIndex, int columnIndex) {return false;}
	public Object getValueAt(int rowIndex, int columnIndex) {return null;}
	public void setValueAt(Object aValue, int rowIndex, int columnIndex) {}
	public void addTableModelListener(TableModelListener l) {}
	public void removeTableModelListener(TableModelListener l) {}

	public void setQuery(IQuery query) {}
	public int getScreenedCount() {return 0;}
	public int getPatientCount() {return 0;}
	public boolean isRunning() {return false;}
	public void runQuery() {}
	public void stopQuery() {}
	public void addRunListener(IRunListener listener) {}
	public void removeRunListener(IRunListener listener) {}
	public ExecutionException getException() {return null;}
	public void setMaxRows(int maxRows) {}
	public void resumeFromPause() {}
	public ISensitiveDataModel getSensitiveDataModel() {return null;}
	public ICompleteQueryDataDAO getCompleteQueryDataDAO() {return null;}
	public Date getStartDate() {return null;}
	public void clear() {}

}
