package gov.va.med.hds.querytool.test;

import java.util.Date;

import gov.va.med.hds.querytool.DateRange;
import junit.framework.TestCase;

/**
 * @author vhaislmonsos
 *
 * Feb 27, 2003 9:34:25 AM
 */
public class DateRangeTest extends TestCase {

	/**
	 * Constructor for DateRangeTest.
	 * @param arg0
	 */
	public DateRangeTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(DateRangeTest.class);
	}

	public void testSetConcreteRange() {
		DateRange range = new DateRange(new Date(),":");
		assertEquals("DateRange constructor failed:",":",range.toString());
		range = new DateRange(new Date(),"T-100:T+100");
		assertEquals("DateRange constructor failed:","T-100:T+100",range.toString());
	}

	public void testSetOtherRange() {
		DateRange range = new DateRange(new Date(),":");
		range.setRange("YC");
		assertFalse("DateRange.setOtherRange failed:",range.isConcreteRange());
		assertEquals("DateRange.setOtherRange failed:","YC",range.toString());
	}

}
