package gov.va.med.hds.querytool.test;

import gov.va.med.hds.cd.daoregistry.IDaoRegistry;
import gov.va.med.hds.cd.runtime.test.RuntimeTestCase;
import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.querytool.dao.IClinicianListDAOFactory;

/**
 * @author vhaislmonsos
 *
 * Dec 19, 2002 2:51:39 PM
 */
public class MockMBufferListDAOTest extends RuntimeTestCase {
	private IClinicianListDAOFactory factory;
	
	/**
	 * Constructor for MockMBufferListDAOTest.
	 * @param arg0
	 */
	public MockMBufferListDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MockMBufferListDAOTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		parseRegistryResource("QueryToolTest.xml");
		IDaoRegistry daoRegistry = (IDaoRegistry) getRuntime().getPluginInstance(IDaoRegistry.PLUGIN_ID);
		factory = (IClinicianListDAOFactory)daoRegistry.getDAO(IClinicianListDAOFactory.class.getName());
	}

	public void testGetDAO() throws BufferModelException {
		IDataNeededListener bmdp = factory.getBufferModelDAO();
		assertNotNull("MockMClinBufferListDAOFactory.getBufferModelDAO returned a null value.",bmdp);
	}

//	public void testClinBufferProvider() throws BufferModelException {
//		IDataNeededListener provider = factory.getBufferModelDAO();
//		Object[] items = provider.getTop(100);
//		assertEquals("MockMBufferListDAO.getTop failed:",123,items.length);
//	}	
	
}
