package gov.va.med.hds.querytool.test;

import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.cd.spectrum.test.DummyDataProvider;
import gov.va.med.hds.querytool.dao.IClinicListDAOFactory;

/**
 * Mock m clinician list DAO factory implementation.
 */
public class MockMClinicListDAOFactory
	implements IClinicListDAOFactory {

	/**
	 * @see gov.va.med.hds.querytool.IClinicListDAOFactory#getBufferModelDAO()
	 */
	public IDataNeededListener getBufferModelDAO()
		throws BufferModelException {
//		return new MockMBufferListDAO(new MClinicListCalls(),queue);
		return new DummyDataProvider();
	}

	/**
	 * @see gov.va.med.hds.cd.daoregistry.IDataAccessObject#init(IRuntimeContext)
	 */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName, Object data)
		throws Exception {
	}

}
