package gov.va.med.hds.querytool.test;

import gov.va.med.hds.cd.m.ICallQueue;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.querytool.dao.IClinicianListDAOFactory;
import gov.va.med.hds.querytool.m.MClinicianListCalls;

/**
 * @author vhaislmonsos
 *
 * Dec 19, 2002 10:41:16 AM
 */
public class MockMClinicianListDAOFactory implements IClinicianListDAOFactory {
	private ICallQueue queue;

	/**
	 * @see gov.va.med.hds.querytool.IClinBufferListDAOFactory#getBufferListDAO()
	 */
	public IDataNeededListener getBufferModelDAO() throws BufferModelException {
		return new MockMBufferListDAO(new MClinicianListCalls(),queue);
	}

	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName, Object data)
		throws Exception {
	}

}
