package gov.va.med.hds.querytool.test;

import gov.va.med.hds.cd.daoregistry.IDaoRegistry;
import gov.va.med.hds.cd.runtime.test.RuntimeTestCase;
import gov.va.med.hds.querytool.dao.IConstraintDAO;

/**
 * @author vhaislmonsos
 *
 * Nov 1, 2002 5:37:16 PM
 */
public class MockMConstraintDAOTest extends RuntimeTestCase {
	private IConstraintDAO constraintDAO = null;

	/**
	 * Constructor for MockMConstraintDAOTest.
	 * @param name
	 */
	public MockMConstraintDAOTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MockMConstraintDAOTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		parseRegistryResource("QueryToolTest.xml");
		IDaoRegistry daoRegistry = (IDaoRegistry) getRuntime().getPluginInstance(IDaoRegistry.PLUGIN_ID);
		constraintDAO = (IConstraintDAO)daoRegistry.getDAO(IConstraintDAO.class.getName());
	}

//	public void testGet() throws ConstraintDAOException {
//		QueryID queryID = new QueryID("79");
//		IQuery q = new Query(queryID,new UserContext("3"));
//		constraintDAO.get(q,MockSharedBroker.getQuery(queryID));
//		assertEquals("MockMConstraintDAO creation or get failed:","0",q.getCriterion("0").getID());
//		assertNull("MockMConstraintDAO.getDisplayName returned unexpected value.", q.getCriterion("0").getDisplayText());
////		assertEquals("MockMConstraintDAO.getDisplayName failed:","",con.getDisplayText());
////		assertEquals("MockMConstraintDAO.getFullName failed:","",con.getFullDisplayText());
//	}

	public void testGet() {
		assertNotNull("MockMConstraintDAO is null.",constraintDAO);
	}

}
