package gov.va.med.hds.querytool.test;

import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.cd.spectrum.test.DummyDataProvider;
import gov.va.med.hds.querytool.dao.IDocTitleListDAOFactory;

/**
 * @author vhaislmonsos
 *
 */
public class MockMDocTitleListDAOFactory implements IDocTitleListDAOFactory {

	/**
	 * @see gov.va.med.hds.cd.daoregistry.IDataAccessObject#init(IRuntimeContext)
	 */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName, Object data)
		throws Exception {
	}

	/**
	 * @see gov.va.med.hds.querytool.dao.IDataNeededFactory#getBufferModelDAO()
	 */
	public IDataNeededListener getBufferModelDAO() throws BufferModelException {
		return new DummyDataProvider();
	}

}
