package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.dao.IDocTitleRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.querytool.m.Entry;

import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author vhaislmonsos
 *
 */
public class MockMDocTitleRefDAO extends MockMAbstractNameValueDAO implements IDocTitleRefDAO {
	private TreeMap tree;
	
	public MockMDocTitleRefDAO() {
		super();
		tree = super.getSortedMap();
	}

	/**
	 * @see gov.va.med.hds.querytool.dao.INameValuePairDAO#get(Map)
	 */
	public TreeMap get(Map items) throws QueryDataDAOException {
		if (items.size()>0) {
			Iterator it = items.keySet().iterator();
			while (it.hasNext()) {
				String key = it.next().toString();
				String value = "*"+key+"*";
				items.put(key,value);
				tree.put(value+key,new Entry(key,value));
			}
		}
		return tree;
	}
	
}
