package gov.va.med.hds.querytool.test;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.util.dao.IServerDateDAO;
import gov.va.med.hds.util.dao.UtilDaoException;

/**
 * @author vhaislmonsos
 *
 */
public class MockMServerDateDAO implements IServerDateDAO {

	/**
	 * @see gov.va.med.hds.util.dao.IServerDateDAO#getDate()
	 */
	public Date getDate() throws UtilDaoException {
		SimpleDateFormat format = new SimpleDateFormat("MM/dd/yyyy");
		try {
			return format.parse("07/01/2003");
		} catch (ParseException e) {
			throw new UtilDaoException(e);
		}
	}

	/**
	 * @see gov.va.med.hds.cd.daoregistry.IDataAccessObject#init(gov.va.med.hds.cd.runtime.IRuntimeContext)
	 */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName, Object data)
		throws Exception {
	}

}
