/*
 * Created on Jul 1, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.IDetailReceivable;
import gov.va.med.hds.querytool.IPrivacyLevel;
import gov.va.med.hds.querytool.ISensitiveList;
import gov.va.med.hds.querytool.ISensitiveListItem;
import gov.va.med.hds.querytool.PrivacyLevel;
import gov.va.med.hds.querytool.SensitiveListItem;
import gov.va.med.hds.querytool.dao.ISensitiveDataDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;

public class MockSensitiveDataDAO
	extends AbstractMockDAO
	implements ISensitiveDataDAO {

	public int getSize() throws QueryDAOException {
		return 10;
	}

	public void remove(Object patientKey) throws QueryDAOException {
	}

	public void getSensitiveMessage(
		Object patientKey,
		IDetailReceivable receivable)
		throws QueryDAOException {
		receivable.setDetail("This patient is SENSITIVE!!! Don't look at him cross-eyed!!!");
	}

	public void getList(ISensitiveList list) {
		for (int i = 0; i < 10; i++) {
			ISensitiveListItem item = new SensitiveListItem(Integer.toString(i),"fred"+Integer.toString(i),new PrivacyLevel(IPrivacyLevel.LEVEL_2),true);
			list.add(item);
		}
	}

}
