package gov.va.med.hds.querytool.types.test;

import gov.va.med.hds.querytool.DateRange;
import gov.va.med.hds.querytool.IDateRange;
import gov.va.med.hds.querytool.types.TimeFrame;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import junit.framework.TestCase;

/**
 * @author vhaislmonsos
 *
 * Dec 13, 2002 5:47:41 PM
 */
public class TimeFrameTest extends TestCase {

	/**
	 * Constructor for TimeFrameTest.
	 * @param arg0
	 */
	public TimeFrameTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(TimeFrameTest.class);
	}

	public void testGetDisplayText() {
		TimeFrame timeFrame = new TimeFrame();
		timeFrame.setReferenceDate(new Date());
		IDateRange value = new DateRange(new Date(),"T-30:T");
		List values = new ArrayList();
		values.add(value);
		assertEquals("TimeFrame.getDefaultDisplayText failed:",timeFrame.getEmptyDisplayText(),timeFrame.getDefaultDisplayText());
		timeFrame.setValues(values);
		assertEquals("TimeFrame.getDefaultDisplayText failed:","during the Past Month",timeFrame.getDefaultDisplayText());
		timeFrame.getValues().clear();
		assertEquals("TimeFrame.getDefaultDisplayText failed:",timeFrame.getEmptyDisplayText(),timeFrame.getDefaultDisplayText());
		
	}
		
}
