/*
 * Initially Created on Mar 14, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.test;

import gov.va.med.hds.querytool.ui.TablePanel;

import javax.swing.JFrame;
import javax.swing.table.DefaultTableColumnModel;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;

/**
 * 
 */
public class TablePanelTester {

	public static final void main(String args[]) {
		try {
			JFrame frame = new JFrame("TablePanel");
			TablePanel tablePanel = new TablePanel();
			DefaultTableModel tableModel = new DefaultTableModel();
			tableModel.addColumn("col1", new String[] {"one","two","three"});
			tableModel.addColumn("col2", new String[] {"2one","2two","2three"});
			tableModel.addColumn("col3", new String[] {"3one","3two","3three"});
			TableColumnModel columns = new DefaultTableColumnModel();
			
			TableColumn col = null;
			col = new TableColumn();
			col.setHeaderValue("col1");
			col.setModelIndex(0);
			col.setPreferredWidth(80);
			col.setResizable(true);
			columns.addColumn(col);
			
			col = new TableColumn();
			col.setHeaderValue("col2");
			col.setModelIndex(1);
			col.setPreferredWidth(80);
			col.setResizable(true);
			columns.addColumn(col);
			
			col = new TableColumn();
			col.setHeaderValue("col3");
			col.setModelIndex(2);
			col.setPreferredWidth(80);
			col.setResizable(true);
			columns.addColumn(col);
			
			tablePanel.setTableModel(tableModel);
			tablePanel.setTableColumnModel(columns);
			frame.getContentPane().add(tablePanel);
			frame.pack();
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			frame.show();

		} catch (Exception ioe) {
			ioe.printStackTrace();
		}
	}
	
}
