package gov.va.med.hds.querytool.ui.types.test;

import gov.va.med.hds.cd.m.ICallQueue;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.cd.spectrum.test.DummyDataProvider;
import gov.va.med.hds.querytool.dao.IClinicianListDAOFactory;

/**
 * @author vhaislmonsos
 *
 * Dec 20, 2002 2:22:25 PM
 */
public class MockMClinicianListDAOFactory implements IClinicianListDAOFactory {
	ICallQueue callQueue;

	/**
	 * @see gov.va.med.hds.querytool.IClinBufferListDAOFactory#getBufferListDAO()
	 */
	public IDataNeededListener getBufferModelDAO() throws BufferModelException {
		return new DummyDataProvider();
	}

	/**
	 * @see gov.va.med.hds.cd.daoregistry.IDataAccessObject#init(IRuntimeContext)
	 */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName, Object data)
		throws Exception {
	}

}
