package gov.va.med.hds.querytool.ui.types.test;

import gov.va.med.hds.cd.runtime.test.RuntimeTestCase;
import gov.va.med.hds.querytool.dao.factory.ClinicianListFactory;
import gov.va.med.hds.querytool.dao.factory.ClinicianRefFactory;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.EditorPanel;
import gov.va.med.hds.querytool.ui.types.SingleBucketEditor;
import java.util.ArrayList;

/**
 * @author vhaislmonsos
 *
 * Jan 6, 2003 2:40:33 PM
 */
public class SingleBucketEditorTest extends RuntimeTestCase {
	/**
	 * Constructor for SingleBucketEditTest.
	 * @param arg0
	 */
	public SingleBucketEditorTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(SingleBucketEditorTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		parseRegistryResource("registry.xml");
	}

	public void testPanel() throws EditorException {
		EditorPanel editorPanel = new SingleBucketEditor(new ClinicianListFactory(), new ClinicianRefFactory(), new ArrayList());
		assertNotNull("SingleSlushSelector creation failed.",editorPanel);
		editorPanel.setRuntime(getRuntime());
		editorPanel.init();
	}
}
