package gov.va.med.hds.querytool.ui.types.test;

import gov.va.med.hds.querytool.dao.factory.OrderItemListFactory;
import gov.va.med.hds.querytool.dao.factory.OrderItemRefFactory;
import gov.va.med.hds.querytool.dao.factory.OrderSetRefFactory;
import gov.va.med.hds.querytool.ui.types.IBufferedListFactory;
import gov.va.med.hds.querytool.ui.types.IReferenceDAOFactory;
import gov.va.med.hds.querytool.ui.types.SingleBucketFilterEditor;

import java.awt.BorderLayout;

import javax.swing.JFrame;

/**
 * @author vhaislmonsos
 *
 */
public class SingleBucketFilterEditorTester {

	public static final void main(String args[]) {
		try {
			JFrame frame = new JFrame("SingleBucketFilterEditor");
			IBufferedListFactory listFactory = new OrderItemListFactory();
			IReferenceDAOFactory orderItemRef = new OrderItemRefFactory();
			IReferenceDAOFactory orderSetRef = new OrderSetRefFactory();
			SingleBucketFilterEditor bucket = new SingleBucketFilterEditor(listFactory, orderItemRef,orderSetRef,true);
			bucket.setFilterPrompt("Hello there");
			frame.getContentPane().add(bucket, BorderLayout.CENTER);
			frame.pack();
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
			frame.show();

		} catch (Exception ioe) {
			ioe.printStackTrace();
		}
	}
	
}
