package gov.va.med.hds.querytool.ui.types.test;

import gov.va.med.hds.cd.runtime.test.RuntimeTestCase;
import gov.va.med.hds.querytool.dao.factory.DisplayGroupTreeFactory;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.EditorPanel;
import gov.va.med.hds.querytool.ui.types.TreeBucketEditor;

/**
 * @author vhaislmonsos
 *
 * Jan 3, 2003 10:10:22 AM
 */
public class TreeBucketEditorTest extends RuntimeTestCase {

	/**
	 * Constructor for TreeBucketEditorTest.
	 * @param arg0
	 */
	public TreeBucketEditorTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(TreeBucketEditorTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		parseRegistryResource("registry.xml");
	}

	public void testPanel() throws EditorException {
		EditorPanel editorPanel = new TreeBucketEditor(new DisplayGroupTreeFactory());
		assertNotNull("TreeBucketEditor creation failed.",editorPanel);
		editorPanel.setRuntime(getRuntime());
		editorPanel.init();
	}
}
