/*
 * Initially Created on Jun 16, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;

import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponent;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

/**
 * Abstract visual component for the query tool UI.
 */
public abstract class AbstractVisualComponent implements IVisualComponent {
	protected IQueryPageDispatch pageDispatch;

	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName,
		Object data)
		throws Exception {

		pageDispatch = null;
		try {
			pageDispatch = (IQueryPageDispatch)runtime.getPluginInstance(IQuerytoolUIConstants.PLUGIN_ID);
		}
		catch (Exception e) {
			runtime.getLogger(this.getClass()).error("Error starting up querytool.ui.", e);
		}
		
	}

}
