package gov.va.med.hds.querytool.ui;

import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JCheckBox;

/**
 * @author vhaislmonsos
 *
 * Jan 22, 2003 9:26:15 AM
 */
public class CheckBoxTag extends JCheckBox implements ITagComponent {
	private String tag;

	/**
	 * Constructor for CheckBoxTag.
	 */
	public CheckBoxTag() {
		super();
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param icon
	 */
	public CheckBoxTag(Icon icon) {
		super(icon);
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param icon
	 * @param selected
	 */
	public CheckBoxTag(Icon icon, boolean selected) {
		super(icon, selected);
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param text
	 */
	public CheckBoxTag(String text) {
		super(text);
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param a
	 */
	public CheckBoxTag(Action a) {
		super(a);
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param text
	 * @param selected
	 */
	public CheckBoxTag(String text, boolean selected) {
		super(text, selected);
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param text
	 * @param icon
	 */
	public CheckBoxTag(String text, Icon icon) {
		super(text, icon);
	}

	/**
	 * Constructor for CheckBoxTag.
	 * @param text
	 * @param icon
	 * @param selected
	 */
	public CheckBoxTag(String text, Icon icon, boolean selected) {
		super(text, icon, selected);
	}

	/**
	 * @see gov.va.med.hds.querytool.ui.ITagComponent#getTag()
	 */
	public String getTag() {
		return tag;
	}

	/**
	 * @see gov.va.med.hds.querytool.ui.ITagComponent#setTag(String)
	 */
	public void setTag(String tag) {
		this.tag = tag;
	}

	/**
	 * @see gov.va.med.hds.querytool.ui.ITagComponent#isRadioButton()
	 */
	public boolean isRadioButton() {
		return false;
	}

}
