package gov.va.med.hds.querytool.ui;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

public class CriteriaPanel extends JPanel {
	private BoxLayout boxLayout = null;
	private BoxLayout bottomBoxLayout = null;
	private BoxLayout topBoxLayout = null;
	private BoxLayout upperLayout = null;
	private BoxLayout lowerLayout = null;
	private JPanel topPanel = new JPanel();
	private JPanel bottomPanel = new JPanel();
	private JPanel upperPanel = new JPanel();
	private JPanel lowerPanel = new JPanel();
	private JLabel label1 = new JLabel();
	private JLabel label2 = new JLabel();
	private JLabel label3 = new JLabel();
	private JComponent selectionPanel;

	public CriteriaPanel(JComponent selectionPanel) {
		super();
		this.selectionPanel = selectionPanel;
		init();
	}

	private void init() {
		boxLayout = new BoxLayout(this, BoxLayout.Y_AXIS);
		this.setLayout(boxLayout);

		bottomBoxLayout = new BoxLayout(bottomPanel, BoxLayout.X_AXIS);
		bottomPanel.setLayout(bottomBoxLayout);
		bottomPanel.add(selectionPanel);

		upperLayout = new BoxLayout(upperPanel, BoxLayout.X_AXIS);
		upperPanel.setLayout(upperLayout);

		lowerLayout = new BoxLayout(lowerPanel, BoxLayout.X_AXIS);
		lowerPanel.setLayout(lowerLayout);

		topBoxLayout = new BoxLayout(topPanel, BoxLayout.Y_AXIS);
		label1.setText(
			"Listed below are the criteria that will be used to create this report.");
		topPanel.setLayout(topBoxLayout);

		lowerPanel.add(label2, null);
		Component glue = Box.createGlue();
		label1.setHorizontalTextPosition(SwingConstants.LEFT);
		label3.setText("Blue items require editing.");
		label2.setText(
			"Click the underlined text if you wish to adjust any values.");
		lowerPanel.add(glue);
		lowerPanel.add(label3);

		upperPanel.add(label1, null);
		Component glue2 = Box.createGlue();
		this.setPreferredSize(new Dimension(40, 54));
		this.setMinimumSize(new Dimension(40, 54));
		label3.setForeground(Color.blue);
		upperPanel.add(glue2);
		this.add(topPanel, null);
		this.add(bottomPanel, null);
		topPanel.add(upperPanel, null);
		topPanel.add(lowerPanel, null);
	}
	
}