/*
 * Created on Jul 14, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.ui;

import gov.va.med.hds.querytool.IQueryTool;

/**
 * Interface for a progress dialog manager.
 */
public interface IProgressDialogManager extends IQueryPage {
	
	/**
	 * Sets the progress message that the user sees.
	 * @param message
	 */
	void setMessageText(String message);
	
	/**
	 * Sets the querytool model.
	 * @param queryTool
	 */
	void setQueryModel(IQueryTool queryTool);
	
	/**
	 * Signals the dialog page to begin polling for query progress numbers
	 */
	void startWaiting();
	
	/**
	 * Signals the dialog page to stop polling for query progress numbers.
	 */
	void stopWaiting();
	
}