/*
 * Initially Created on May 30, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;

import gov.va.med.hds.cd.spectrum.linkpanel.IHTMLSelectionModel;
import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolListener;

/**
 * Interface for the main query page.
 */
public interface IQueryMainPage extends IQueryToolListener, IQueryPage {
	
	/**
	 * Sets the currently selected query.
	 * @param query - IQuery model 
	 */
	void setModel(IQueryTool queryTool);
	
	/**
	 * @param listener - IQueryActionListener
	 */
	void addQueryActionListener(IQueryAction listener);
	
	/**
	 * @param listener - IQueryActionListener
	 */
	void removeQueryActionListener(IQueryAction listener);
	
	/**
	 * @return htmlSelectionModel
	 */
	IHTMLSelectionModel getQueryHTMLSelectionModel();

}
