/*
 * Initially Created on Mar 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.editor.factory;

import gov.va.med.hds.querytool.dao.factory.DisplayGroupTreeFactory;
import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.TreeBucketEditor;

/**
 * Implements the IDisplayGroupFactory to supply an editor.
 */
public class DisplayGroupFactory
	extends EditorFactory
	implements IDisplayGroupFactory {

	public IRunnableEditorPanel getEditor() throws EditorException {
		TreeBucketEditor editor = new TreeBucketEditor(new DisplayGroupTreeFactory());
		editor.setRuntime(runtime);
		editor.setDAORegistry(daoRegistry);
		editor.setWindowHeader("Service");
		return editor;
	}

}
