/*
 * Initially Created on Mar 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.editor.factory;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;
import gov.va.med.hds.querytool.ui.types.DocClassStrategy;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.ShortChecklistPanel;

/**
 * Implements the IDocClassFactory interface to provide an editor.
 */
public class DocClassFactory
	extends EditorFactory
	implements IDocClassFactory {

	public IRunnableEditorPanel getEditor() throws EditorException {
		ShortChecklistPanel editor = new ShortChecklistPanel(new DocClassStrategy());
		editor.setRuntime(runtime);
		editor.setDAORegistry(daoRegistry);
		editor.setWindowHeader("Document Class");
		return editor;
	}

}
