/*
 * Initially Created on Mar 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.editor.factory;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.OrderStatusStrategy;
import gov.va.med.hds.querytool.ui.types.ShortChecklistPanel;

/**
 * Implements an IOrderStatusFactory to provide an editor.
 */
public class OrderStatusFactory
	extends EditorFactory
	implements IOrderStatusFactory {

	public IRunnableEditorPanel getEditor() throws EditorException {
		ShortChecklistPanel editor = new ShortChecklistPanel(new OrderStatusStrategy());
		editor.setWindowHeader("Order Status");
		editor.setRuntime(runtime);
		editor.setDAORegistry(daoRegistry);
		return editor;
	}

}
