/*
 * Initially Created on Jun 16, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.icon;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;

import javax.swing.Icon;

/**
 * Abstract arrow icon class.
 */
public abstract class ArrowIcon implements Icon {
	protected int height = 16;
	protected int width = 16;
	protected int[] xx = new int[7];
	protected int[] yy = new int[7];

	public ArrowIcon() {
		super();
	}

	public ArrowIcon(int height, int width) {
		super();
		this.height = height;
		this.width = width;
	}

	public int getIconWidth() {
		return width;
	}

	public int getIconHeight() {
		return height;
	}
	
	public void paintIcon(Component c, Graphics g, int x, int y) {
		g.setColor(Color.black);
		g.fillPolygon(xx, yy, 7);
	}
	
}
