package gov.va.med.hds.querytool.ui.types;

import gov.va.med.hds.cd.daoregistry.IDaoRegistry;
import gov.va.med.hds.querytool.dao.IDocStatusListDAO;
import gov.va.med.hds.querytool.dao.INameValuePairDAO;

/**
 * @author vhaislmonsos
 *
 * Dec 17, 2002 2:09:31 PM
 */
public class DocStatusStrategy implements IShortListStrategy {

	/**
	 * @see gov.va.med.hds.querytool.ui.types.IShortListStrategy#getDAO(IRuntimeContext)
	 */
	public INameValuePairDAO getDAO(IDaoRegistry daoRegistry)
		throws EditorException {
		INameValuePairDAO nvpDAO = null;
		try {
			nvpDAO = (INameValuePairDAO)daoRegistry.getDAO(IDocStatusListDAO.class.getName());
		}
		catch (Exception e) {
			throw new EditorException(e);
		}
		return nvpDAO;
	}

}
