/*
 * Initially Created on Jul 17, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import gov.va.med.hds.cd.runtime.IRuntimeContext;

import javax.swing.event.ListDataListener;

/**
 * Interface for the model which contains display fields which can be added/removed from a query.  The
 * model adjusts based on the current criteria available for the report.
 */
public interface IAvailableColumnsList {
	
	void addListDataListener(ListDataListener listener);

	void removeListDataListener(ListDataListener listener);
	
	IDisplayField get(int index);

	int size();
	
	void setModel(IQuery query);
	
	void setRuntime(IRuntimeContext runtime);

	int indexOf(IDisplayField field);

	IDisplayField getMutable(int index);
	
}
