/*
 * Initially Created on May 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

/**
 * Query run event interface. 
 */
public interface IRunEvent {
	static final int NO_EVENT = 0;
	static final int REPORT_SETUP = 1;
	static final int REPORT_SUCCESS_NON_SENSITIVE = 2;
	static final int REPORT_EXCEEDS_MAX_LINES = 3;
	static final int REPORT_FAILURE = 4;
	static final int REPORT_SUCCESS = 5;
	static final int REPORT_CANCELLED = 6;
	
	/**
	 * Delegates to base implementation.
	 * @return source
	 */
	Object getSource();
	
	/**
	 * Returns the event ID
	 * @return eventID
	 */
	int getEventID();
	
	/**
	 * Sets the event ID.
	 * @param eventID
	 */
	void setEventID(int eventID);
	
}
