/*
 * Initially Created on Jun 23, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.dao.ISensitiveDataDAO;

import javax.swing.text.Document;

/**
 * Holds sensitive patient sub-models.
 */
public interface ISensitiveDataModel {

	ISensitiveList getSensitivePtList();
	
	void setSensitiveMessagePatient(ISensitiveListItem item) throws SensitivePatientException;
	
	void setRuntime(IRuntimeContext runtime);
	
	void setSensitiveDataDAO(ISensitiveDataDAO dataDAO);
	
	Document getSensitiveMessageModel();

	void remove(Object patientKey) throws SensitivePatientException;
	
}
