/*
 * Initially Created on Jun 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import java.awt.event.ActionListener;

/**
 * Interface for a list of ISensitiveListItems.
 */
public interface ISensitiveList {

	void add(ISensitiveListItem item);
	
	ISensitiveListItem getItem(int index);
	
	int getSize();
	
	void checkAll();
	
	public void clearAllChecks();
	
	public void addActionListener(ActionListener listener);

	public void removeActionListener(ActionListener listener);

	void removeAllListeners();

	void clearList();
	
	void setChanging(boolean changing);
		
	boolean isChanging();
	
}
