/*
 * Created on Jun 4, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool;

import gov.va.med.hds.cd.spectrum.checklist.ICheckable;

/**
 * Sensitive item interface, used by implementers for an object that holds a
 * sensitive patient item.
 */
public interface ISensitiveListItem extends ICheckable {

	/**
	 * @return name - patient name
	 */
	String getName();
	
	/**
	 * @param name - patient name
	 */
	void setName(String name);
	
	/**
	 * @return patientID
	 */
	Object getPatientID();
	
	/**
	 * @param patientID
	 */
	void setPatientID(Object id);
	
	/**
	 * @return privacyLevel
	 */
	IPrivacyLevel getPrivacyLevel();
	
	/**
	 * @param privacyLevel
	 */
	void setPrivacyLevel(IPrivacyLevel level);
	
}
