package gov.va.med.hds.querytool.dao;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;
import gov.va.med.hds.querytool.IQuery;

/**
 * @author vhaislmonsos
 *
 * Nov 1, 2002 5:31:31 PM
 */
public interface IConstraintDAO extends IDataAccessObject {
	
	/**
	 * Method get.
	 * @param query
	 * @param inputStrings
	 * @throws ConstraintDAOException
	 */
	void get(IQuery query, String[] inputStrings) throws ConstraintDAOException;

	/**
	 * Method getTag.
	 * @param query
	 * @param tag
	 */
	void getTag(IQuery query, String tag) throws ConstraintDAOException;

}
