/*
 * Initially Created on May 29, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.dao;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;
import gov.va.med.hds.querytool.IQuery;

/**
 * Run query setup DAO interface.
 */
public interface IRunSetupDAO extends IDataAccessObject {

	/**
	 * Saves an executable query to the server in preparation for query iteration
	 * calls.
	 * @param query
	 * @throws QueryDAOException
	 */
	void setQuery(IQuery query) throws QueryDAOException;

	/**
	 * Returns the initial iterator after the query model has been set.
	 * @return iterator
	 */
	Object getIterator();
}
