package gov.va.med.hds.querytool.ui;

/**
 * Exception for when the user can't write a file from the querytool.
 */
public class CantWriteFileException extends Exception {

	/**
	 * Delegates to parent.
	 */
	public CantWriteFileException() {
		super();
	}

	/**
	 * Delegates to parent.
	 * @param message
	 */
	public CantWriteFileException(String message) {
		super(message);
	}

	/**
	 * Delegates to parent.
	 * @param cause
	 */
	public CantWriteFileException(Throwable cause) {
		super(cause);
	}

	/**
	 * Delegates to parent.
	 * @param message
	 * @param cause
	 */
	public CantWriteFileException(String message, Throwable cause) {
		super(message, cause);
	}

}
