/*
 * Initially Created on Apr 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;

import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.IQueryAction;

/**
 * Interface for user input on query requests.
 */
public interface IQueryComponent {

	/**
	 * Adds a query action listener.
	 * @param listener
	 */
	void addEventListener(IQueryAction listener);
	
	/**
	 * Removes a query action listener.
	 * @param listener
	 */
	void removeEventListener(IQueryAction listener);
	
	/**
	 * Sets the runtime context.
	 * @param runtime
	 */
	void setRuntime(IRuntimeContext runtime);
	
}
