/*
 * Initially Created on Apr 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;

import gov.va.med.hds.cd.spectrum.linkpanel.IHTMLSelectionModel;
import gov.va.med.hds.cd.spectrum.linkpanel.ISelectionEventListener;
import gov.va.med.hds.querytool.IQuery;

/**
 * Html query display panel interface.
 */
public interface IQueryHTMLPanel {
	
	/**
	 * Sets the query model used by the component.  If query is null, it clears the 
	 * model.
	 * @param query
	 */
	void setQueryModel(IQuery query);
	
	/**
	 * Delegates to the IHTMLSelectionModel
	 * @param listener
	 */
	void addSelectionEventListener(ISelectionEventListener listener);
	
	/**
	 * Delegates to the IHTMLSelectionModel
	 * @param listener
	 */
	void removeSelectionEventListener(ISelectionEventListener listener);
	
	/**
	 * @return htmlSelectionModel
	 */
	IHTMLSelectionModel getSelectionModel();
	
}
