/*
 * Initially Created on May 6, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.types;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;

/**
 * An item in the MultiSourceEditor.
 */
public interface IMultiSourceEditItem {
	
	/**
	 * Returns the descr.
	 * @return String
	 */
	String getDescr();
	
	/**
	 * Returns the displayPanel.
	 * @return JPanel
	 */
	IRunnableEditorPanel getDisplayPanel();
	
	/**
	 * Returns the tabString.
	 * @return String
	 */
	String getTabString();
	
	/**
	 * Returns the typeID.
	 * @return String
	 */
	String getTypeID();
	
	/**
	 * Sets the descr.
	 * @param descr The descr to set
	 */
	void setDescr(String descr);
	
	/**
	 * Sets the displayPanel.
	 * @param displayPanel The displayPanel to set
	 */
	void setDisplayPanel(IRunnableEditorPanel displayPanel);
	
	/**
	 * Sets the tabString.
	 * @param tabString The tabString to set
	 */
	void setTabString(String tabString);
	
	/**
	 * Sets the typeID.
	 * @param typeID The typeID to set
	 */
	void setTypeID(String typeID);
	
}