package gov.va.med.hds.cd.runtime.internal;

import java.util.Comparator;

import gov.va.med.hds.cd.runtime.IPluginDescriptor;
import gov.va.med.hds.cd.runtime.VersionComparator;

public class PluginDescriptorComparator implements Comparator {

	private VersionComparator versionComparator = new VersionComparator();

	public int compare(Object o1, Object o2) {
		IPluginDescriptor p1 = (IPluginDescriptor) o1;
		IPluginDescriptor p2 = (IPluginDescriptor) o2;
		if (!p1.getUniqueIdentifier().equals(p2.getUniqueIdentifier())) return p1.getUniqueIdentifier().compareTo(p2.getUniqueIdentifier());
		return versionComparator.compare(p1.getVersion(), p2.getVersion());
	}

}
