package gov.va.med.hds.cd.runtime.internal;

import gov.va.med.hds.cd.runtime.IRuntimeConstants;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

public final class RuntimeDescriptor extends PluginDescriptor implements IRuntimeConstants {
	
	public static final String NAME = "Runtime";
	
	RuntimeDescriptor(IRuntimeContext runtime, ClassLoader classLoader) {
		super(runtime, classLoader, PLUGIN_ID, NAME, VERSION, Runtime.class.getName(), PROVIDER_NAME);
        addExtensionPoint(MAIN_PLUGIN_EXTENSION_POINT_ID, MAIN_PLUGIN_EXTENSION_POINT_NAME);
		addExtensionPoint(HANDLER_PLUGIN_EXTENSION_POINT_ID, HANDLER_PLUGIN_EXTENSION_POINT_NAME);
	}
}
