package gov.va.med.hds.cd.runtime.logging.internal;

import gov.va.med.hds.cd.runtime.logging.ILogger;
import gov.va.med.hds.cd.runtime.logging.ILoggingCapable;

public class NullLogging implements ILoggingCapable {

	private NullLogger logger = new NullLogger();

	public ILogger getLogger(Class c) {
		return logger;
	}

	public ILogger getLogger(String name) {
		return logger;
	}

	public ILogger getRootLogger() {
		return logger;
	}
}
