/*
 * Initially Created on Aug 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.cd.runtime.logging.log4j.internal;

import org.apache.log4j.TTCCLayout;
import org.apache.log4j.spi.LoggingEvent;

/**
 * HealtheVet Desktop logging layout manager.
 */
public class DesktopLayout extends TTCCLayout {

	public String format(LoggingEvent event) {
		StringBuffer result = new StringBuffer(super.format(event));
		if (event.getThrowableInformation()!=null) {
			for (int i = 0; i < event.getThrowableStrRep().length; i++) {
				result.append("\t" + event.getThrowableStrRep()[i] + "\n");
			}
		}
		return result.toString();
	}

	public boolean ignoresThrowable() {
		return false;
	}

}
