package gov.va.med.hds.cd.runtime.test;

import junit.framework.Test;
import junit.framework.TestSuite;

public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for gov.va.med.hds.cd.runtime.test");
		//$JUnit-BEGIN$
		suite.addTestSuite(VersionComparatorTest.class);
		suite.addTestSuite(PluginDescriptorTest.class);
		suite.addTestSuite(PluginDescriptorMapTest.class);
		suite.addTestSuite(PluginDescriptorComparatorTest.class);
		suite.addTestSuite(ValidDOMPluginReaderTest.class);
		suite.addTestSuite(ValidTreeDataPluginReaderTest.class);
		suite.addTestSuite(InvalidDOMPluginReaderTest.class);
		suite.addTestSuite(InvalidTreeDataPluginReaderTest.class);
		suite.addTestSuite(PluginRegistryTest.class);
		suite.addTestSuite(ValidPluginRegistryReaderTest.class);
		suite.addTestSuite(InvalidPluginRegistryReaderTest.class);
		suite.addTestSuite(ActivePluginManagerTest.class);
		suite.addTestSuite(RuntimeTest.class);
		suite.addTestSuite(Log4JLoggingTest.class);
		suite.addTestSuite(ConfigurationElementLogConfiguratorTest.class);
		suite.addTestSuite(DesktopLayoutTest.class);
		
		//$JUnit-END$
		return suite;
	}
}
