package gov.va.med.hds.cd.runtime.test;

import mockmaker.ExceptionalReturnValue;
import mockmaker.ReturnValues;

import com.mockobjects.ExpectationCounter;
import com.mockobjects.ExpectationList;

import gov.va.med.hds.cd.mum.Version;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IExtension;
import gov.va.med.hds.cd.runtime.IExtensionPoint;
import gov.va.med.hds.cd.runtime.IPluginDescriptor;
import gov.va.med.hds.cd.runtime.IPluginRegistry;
import gov.va.med.hds.cd.runtime.VersionMatchCondition;
public class MockPluginRegistry implements IPluginRegistry{
   private ExpectationCounter myGetConfigurationElementsForStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetConfigurationElementsForStringCalls");
   private ReturnValues myActualGetConfigurationElementsForStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetConfigurationElementsForStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetConfigurationElementsForStringStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetConfigurationElementsForStringStringCalls");
   private ReturnValues myActualGetConfigurationElementsForStringStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetConfigurationElementsForStringStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetConfigurationElementsForStringStringParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetConfigurationElementsForStringStringStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetConfigurationElementsForStringStringStringCalls");
   private ReturnValues myActualGetConfigurationElementsForStringStringStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetConfigurationElementsForStringStringStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetConfigurationElementsForStringStringStringParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetConfigurationElementsForStringStringStringParameter2Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionStringStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionStringStringCalls");
   private ReturnValues myActualGetExtensionStringStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetExtensionStringStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetExtensionStringStringParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionStringStringStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionStringStringStringCalls");
   private ReturnValues myActualGetExtensionStringStringStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetExtensionStringStringStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetExtensionStringStringStringParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetExtensionStringStringStringParameter2Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionsStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionsStringCalls");
   private ReturnValues myActualGetExtensionsStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetExtensionsStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionsStringStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionsStringStringCalls");
   private ReturnValues myActualGetExtensionsStringStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetExtensionsStringStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetExtensionsStringStringParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionPointStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionPointStringCalls");
   private ReturnValues myActualGetExtensionPointStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetExtensionPointStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionPointStringStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionPointStringStringCalls");
   private ReturnValues myActualGetExtensionPointStringStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetExtensionPointStringStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetExtensionPointStringStringParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetExtensionPointsCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetExtensionPointsCalls");
   private ReturnValues myActualGetExtensionPointsReturnValues = new ReturnValues(false);
   private ExpectationCounter myGetPluginDescriptorStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetPluginDescriptorStringCalls");
   private ReturnValues myActualGetPluginDescriptorStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetPluginDescriptorStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationCounter myGetPluginDescriptorStringVersionCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetPluginDescriptorStringVersionCalls");
   private ReturnValues myActualGetPluginDescriptorStringVersionReturnValues = new ReturnValues(false);
   private ExpectationList myGetPluginDescriptorStringVersionParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetPluginDescriptorStringVersionParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry gov.va.med.hds.cd.mum.Version");
   private ExpectationCounter myGetPluginDescriptorStringVersionVersionMatchConditionCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetPluginDescriptorStringVersionVersionMatchConditionCalls");
   private ReturnValues myActualGetPluginDescriptorStringVersionVersionMatchConditionReturnValues = new ReturnValues(false);
   private ExpectationList myGetPluginDescriptorStringVersionVersionMatchConditionParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   private ExpectationList myGetPluginDescriptorStringVersionVersionMatchConditionParameter1Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry gov.va.med.hds.cd.mum.Version");
   private ExpectationList myGetPluginDescriptorStringVersionVersionMatchConditionParameter2Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry gov.va.med.hds.cd.runtime.VersionMatchCondition");
   private ExpectationCounter myGetPluginDescriptorsCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetPluginDescriptorsCalls");
   private ReturnValues myActualGetPluginDescriptorsReturnValues = new ReturnValues(false);
   private ExpectationCounter myGetPluginDescriptorsStringCalls = new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginRegistry GetPluginDescriptorsStringCalls");
   private ReturnValues myActualGetPluginDescriptorsStringReturnValues = new ReturnValues(false);
   private ExpectationList myGetPluginDescriptorsStringParameter0Values = new ExpectationList("gov.va.med.hds.cd.runtime.IPluginRegistry java.lang.String");
   public void setExpectedGetConfigurationElementsForStringCalls(int calls){
      myGetConfigurationElementsForStringCalls.setExpected(calls);
   }
   public void addExpectedGetConfigurationElementsForStringValues(String arg0){
      myGetConfigurationElementsForStringParameter0Values.addExpected(arg0);
   }
   public IConfigurationElement[] getConfigurationElementsFor(String arg0){
      myGetConfigurationElementsForStringCalls.inc();
      myGetConfigurationElementsForStringParameter0Values.addActual(arg0);
      Object nextReturnValue = myActualGetConfigurationElementsForStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IConfigurationElement[]) nextReturnValue;
   }
   public void setupExceptionGetConfigurationElementsForString(Throwable arg){
      myActualGetConfigurationElementsForStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetConfigurationElementsForString(IConfigurationElement[] arg){
      myActualGetConfigurationElementsForStringReturnValues.add(arg);
   }
   public void setExpectedGetConfigurationElementsForStringStringCalls(int calls){
      myGetConfigurationElementsForStringStringCalls.setExpected(calls);
   }
   public void addExpectedGetConfigurationElementsForStringStringValues(String arg0, String arg1){
      myGetConfigurationElementsForStringStringParameter0Values.addExpected(arg0);
      myGetConfigurationElementsForStringStringParameter1Values.addExpected(arg1);
   }
   public IConfigurationElement[] getConfigurationElementsFor(String arg0, String arg1){
      myGetConfigurationElementsForStringStringCalls.inc();
      myGetConfigurationElementsForStringStringParameter0Values.addActual(arg0);
      myGetConfigurationElementsForStringStringParameter1Values.addActual(arg1);
      Object nextReturnValue = myActualGetConfigurationElementsForStringStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IConfigurationElement[]) nextReturnValue;
   }
   public void setupExceptionGetConfigurationElementsForStringString(Throwable arg){
      myActualGetConfigurationElementsForStringStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetConfigurationElementsForStringString(IConfigurationElement[] arg){
      myActualGetConfigurationElementsForStringStringReturnValues.add(arg);
   }
   public void setExpectedGetConfigurationElementsForStringStringStringCalls(int calls){
      myGetConfigurationElementsForStringStringStringCalls.setExpected(calls);
   }
   public void addExpectedGetConfigurationElementsForStringStringStringValues(String arg0, String arg1, String arg2){
      myGetConfigurationElementsForStringStringStringParameter0Values.addExpected(arg0);
      myGetConfigurationElementsForStringStringStringParameter1Values.addExpected(arg1);
      myGetConfigurationElementsForStringStringStringParameter2Values.addExpected(arg2);
   }
   public IConfigurationElement[] getConfigurationElementsFor(String arg0, String arg1, String arg2){
      myGetConfigurationElementsForStringStringStringCalls.inc();
      myGetConfigurationElementsForStringStringStringParameter0Values.addActual(arg0);
      myGetConfigurationElementsForStringStringStringParameter1Values.addActual(arg1);
      myGetConfigurationElementsForStringStringStringParameter2Values.addActual(arg2);
      Object nextReturnValue = myActualGetConfigurationElementsForStringStringStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IConfigurationElement[]) nextReturnValue;
   }
   public void setupExceptionGetConfigurationElementsForStringStringString(Throwable arg){
      myActualGetConfigurationElementsForStringStringStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetConfigurationElementsForStringStringString(IConfigurationElement[] arg){
      myActualGetConfigurationElementsForStringStringStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionStringStringCalls(int calls){
      myGetExtensionStringStringCalls.setExpected(calls);
   }
   public void addExpectedGetExtensionStringStringValues(String arg0, String arg1){
      myGetExtensionStringStringParameter0Values.addExpected(arg0);
      myGetExtensionStringStringParameter1Values.addExpected(arg1);
   }
   public IExtension getExtension(String arg0, String arg1){
      myGetExtensionStringStringCalls.inc();
      myGetExtensionStringStringParameter0Values.addActual(arg0);
      myGetExtensionStringStringParameter1Values.addActual(arg1);
      Object nextReturnValue = myActualGetExtensionStringStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtension) nextReturnValue;
   }
   public void setupExceptionGetExtensionStringString(Throwable arg){
      myActualGetExtensionStringStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionStringString(IExtension arg){
      myActualGetExtensionStringStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionStringStringStringCalls(int calls){
      myGetExtensionStringStringStringCalls.setExpected(calls);
   }
   public void addExpectedGetExtensionStringStringStringValues(String arg0, String arg1, String arg2){
      myGetExtensionStringStringStringParameter0Values.addExpected(arg0);
      myGetExtensionStringStringStringParameter1Values.addExpected(arg1);
      myGetExtensionStringStringStringParameter2Values.addExpected(arg2);
   }
   public IExtension getExtension(String arg0, String arg1, String arg2){
      myGetExtensionStringStringStringCalls.inc();
      myGetExtensionStringStringStringParameter0Values.addActual(arg0);
      myGetExtensionStringStringStringParameter1Values.addActual(arg1);
      myGetExtensionStringStringStringParameter2Values.addActual(arg2);
      Object nextReturnValue = myActualGetExtensionStringStringStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtension) nextReturnValue;
   }
   public void setupExceptionGetExtensionStringStringString(Throwable arg){
      myActualGetExtensionStringStringStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionStringStringString(IExtension arg){
      myActualGetExtensionStringStringStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionsStringCalls(int calls){
      myGetExtensionsStringCalls.setExpected(calls);
   }
   public void addExpectedGetExtensionsStringValues(String arg0){
      myGetExtensionsStringParameter0Values.addExpected(arg0);
   }
   public IExtension[] getExtensions(String arg0){
      myGetExtensionsStringCalls.inc();
      myGetExtensionsStringParameter0Values.addActual(arg0);
      Object nextReturnValue = myActualGetExtensionsStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtension[]) nextReturnValue;
   }
   public void setupExceptionGetExtensionsString(Throwable arg){
      myActualGetExtensionsStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionsString(IExtension[] arg){
      myActualGetExtensionsStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionsStringStringCalls(int calls){
      myGetExtensionsStringStringCalls.setExpected(calls);
   }
   public void addExpectedGetExtensionsStringStringValues(String arg0, String arg1){
      myGetExtensionsStringStringParameter0Values.addExpected(arg0);
      myGetExtensionsStringStringParameter1Values.addExpected(arg1);
   }
   public IExtension[] getExtensions(String arg0, String arg1){
      myGetExtensionsStringStringCalls.inc();
      myGetExtensionsStringStringParameter0Values.addActual(arg0);
      myGetExtensionsStringStringParameter1Values.addActual(arg1);
      Object nextReturnValue = myActualGetExtensionsStringStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtension[]) nextReturnValue;
   }
   public void setupExceptionGetExtensionsStringString(Throwable arg){
      myActualGetExtensionsStringStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionsStringString(IExtension[] arg){
      myActualGetExtensionsStringStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionPointStringCalls(int calls){
      myGetExtensionPointStringCalls.setExpected(calls);
   }
   public void addExpectedGetExtensionPointStringValues(String arg0){
      myGetExtensionPointStringParameter0Values.addExpected(arg0);
   }
   public IExtensionPoint getExtensionPoint(String arg0){
      myGetExtensionPointStringCalls.inc();
      myGetExtensionPointStringParameter0Values.addActual(arg0);
      Object nextReturnValue = myActualGetExtensionPointStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtensionPoint) nextReturnValue;
   }
   public void setupExceptionGetExtensionPointString(Throwable arg){
      myActualGetExtensionPointStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionPointString(IExtensionPoint arg){
      myActualGetExtensionPointStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionPointStringStringCalls(int calls){
      myGetExtensionPointStringStringCalls.setExpected(calls);
   }
   public void addExpectedGetExtensionPointStringStringValues(String arg0, String arg1){
      myGetExtensionPointStringStringParameter0Values.addExpected(arg0);
      myGetExtensionPointStringStringParameter1Values.addExpected(arg1);
   }
   public IExtensionPoint getExtensionPoint(String arg0, String arg1){
      myGetExtensionPointStringStringCalls.inc();
      myGetExtensionPointStringStringParameter0Values.addActual(arg0);
      myGetExtensionPointStringStringParameter1Values.addActual(arg1);
      Object nextReturnValue = myActualGetExtensionPointStringStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtensionPoint) nextReturnValue;
   }
   public void setupExceptionGetExtensionPointStringString(Throwable arg){
      myActualGetExtensionPointStringStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionPointStringString(IExtensionPoint arg){
      myActualGetExtensionPointStringStringReturnValues.add(arg);
   }
   public void setExpectedGetExtensionPointsCalls(int calls){
      myGetExtensionPointsCalls.setExpected(calls);
   }
   public IExtensionPoint[] getExtensionPoints(){
      myGetExtensionPointsCalls.inc();
      Object nextReturnValue = myActualGetExtensionPointsReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IExtensionPoint[]) nextReturnValue;
   }
   public void setupExceptionGetExtensionPoints(Throwable arg){
      myActualGetExtensionPointsReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetExtensionPoints(IExtensionPoint[] arg){
      myActualGetExtensionPointsReturnValues.add(arg);
   }
   public void setExpectedGetPluginDescriptorStringCalls(int calls){
      myGetPluginDescriptorStringCalls.setExpected(calls);
   }
   public void addExpectedGetPluginDescriptorStringValues(String arg0){
      myGetPluginDescriptorStringParameter0Values.addExpected(arg0);
   }
   public IPluginDescriptor getPluginDescriptor(String arg0){
      myGetPluginDescriptorStringCalls.inc();
      myGetPluginDescriptorStringParameter0Values.addActual(arg0);
      Object nextReturnValue = myActualGetPluginDescriptorStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IPluginDescriptor) nextReturnValue;
   }
   public void setupExceptionGetPluginDescriptorString(Throwable arg){
      myActualGetPluginDescriptorStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetPluginDescriptorString(IPluginDescriptor arg){
      myActualGetPluginDescriptorStringReturnValues.add(arg);
   }
   public void setExpectedGetPluginDescriptorStringVersionCalls(int calls){
      myGetPluginDescriptorStringVersionCalls.setExpected(calls);
   }
   public void addExpectedGetPluginDescriptorStringVersionValues(String arg0, Version arg1){
      myGetPluginDescriptorStringVersionParameter0Values.addExpected(arg0);
      myGetPluginDescriptorStringVersionParameter1Values.addExpected(arg1);
   }
   public IPluginDescriptor getPluginDescriptor(String arg0, Version arg1){
      myGetPluginDescriptorStringVersionCalls.inc();
      myGetPluginDescriptorStringVersionParameter0Values.addActual(arg0);
      myGetPluginDescriptorStringVersionParameter1Values.addActual(arg1);
      Object nextReturnValue = myActualGetPluginDescriptorStringVersionReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IPluginDescriptor) nextReturnValue;
   }
   public void setupExceptionGetPluginDescriptorStringVersion(Throwable arg){
      myActualGetPluginDescriptorStringVersionReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetPluginDescriptorStringVersion(IPluginDescriptor arg){
      myActualGetPluginDescriptorStringVersionReturnValues.add(arg);
   }
   public void setExpectedGetPluginDescriptorStringVersionVersionMatchConditionCalls(int calls){
      myGetPluginDescriptorStringVersionVersionMatchConditionCalls.setExpected(calls);
   }
   public void addExpectedGetPluginDescriptorStringVersionVersionMatchConditionValues(String arg0, Version arg1, VersionMatchCondition arg2){
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter0Values.addExpected(arg0);
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter1Values.addExpected(arg1);
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter2Values.addExpected(arg2);
   }
   public IPluginDescriptor getPluginDescriptor(String arg0, Version arg1, VersionMatchCondition arg2){
      myGetPluginDescriptorStringVersionVersionMatchConditionCalls.inc();
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter0Values.addActual(arg0);
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter1Values.addActual(arg1);
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter2Values.addActual(arg2);
      Object nextReturnValue = myActualGetPluginDescriptorStringVersionVersionMatchConditionReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IPluginDescriptor) nextReturnValue;
   }
   public void setupExceptionGetPluginDescriptorStringVersionVersionMatchCondition(Throwable arg){
      myActualGetPluginDescriptorStringVersionVersionMatchConditionReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetPluginDescriptorStringVersionVersionMatchCondition(IPluginDescriptor arg){
      myActualGetPluginDescriptorStringVersionVersionMatchConditionReturnValues.add(arg);
   }
   public void setExpectedGetPluginDescriptorsCalls(int calls){
      myGetPluginDescriptorsCalls.setExpected(calls);
   }
   public IPluginDescriptor[] getPluginDescriptors(){
      myGetPluginDescriptorsCalls.inc();
      Object nextReturnValue = myActualGetPluginDescriptorsReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IPluginDescriptor[]) nextReturnValue;
   }
   public void setupExceptionGetPluginDescriptors(Throwable arg){
      myActualGetPluginDescriptorsReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetPluginDescriptors(IPluginDescriptor[] arg){
      myActualGetPluginDescriptorsReturnValues.add(arg);
   }
   public void setExpectedGetPluginDescriptorsStringCalls(int calls){
      myGetPluginDescriptorsStringCalls.setExpected(calls);
   }
   public void addExpectedGetPluginDescriptorsStringValues(String arg0){
      myGetPluginDescriptorsStringParameter0Values.addExpected(arg0);
   }
   public IPluginDescriptor[] getPluginDescriptors(String arg0){
      myGetPluginDescriptorsStringCalls.inc();
      myGetPluginDescriptorsStringParameter0Values.addActual(arg0);
      Object nextReturnValue = myActualGetPluginDescriptorsStringReturnValues.getNext();
      if (nextReturnValue instanceof ExceptionalReturnValue && ((ExceptionalReturnValue)nextReturnValue).getException() instanceof RuntimeException)
          throw (RuntimeException)((ExceptionalReturnValue)nextReturnValue).getException();
      return (IPluginDescriptor[]) nextReturnValue;
   }
   public void setupExceptionGetPluginDescriptorsString(Throwable arg){
      myActualGetPluginDescriptorsStringReturnValues.add(new ExceptionalReturnValue(arg));
   }
   public void setupGetPluginDescriptorsString(IPluginDescriptor[] arg){
      myActualGetPluginDescriptorsStringReturnValues.add(arg);
   }
   public void verify(){
      myGetConfigurationElementsForStringCalls.verify();
      myGetConfigurationElementsForStringParameter0Values.verify();
      myGetConfigurationElementsForStringStringCalls.verify();
      myGetConfigurationElementsForStringStringParameter0Values.verify();
      myGetConfigurationElementsForStringStringParameter1Values.verify();
      myGetConfigurationElementsForStringStringStringCalls.verify();
      myGetConfigurationElementsForStringStringStringParameter0Values.verify();
      myGetConfigurationElementsForStringStringStringParameter1Values.verify();
      myGetConfigurationElementsForStringStringStringParameter2Values.verify();
      myGetExtensionStringStringCalls.verify();
      myGetExtensionStringStringParameter0Values.verify();
      myGetExtensionStringStringParameter1Values.verify();
      myGetExtensionStringStringStringCalls.verify();
      myGetExtensionStringStringStringParameter0Values.verify();
      myGetExtensionStringStringStringParameter1Values.verify();
      myGetExtensionStringStringStringParameter2Values.verify();
      myGetExtensionsStringCalls.verify();
      myGetExtensionsStringParameter0Values.verify();
      myGetExtensionsStringStringCalls.verify();
      myGetExtensionsStringStringParameter0Values.verify();
      myGetExtensionsStringStringParameter1Values.verify();
      myGetExtensionPointStringCalls.verify();
      myGetExtensionPointStringParameter0Values.verify();
      myGetExtensionPointStringStringCalls.verify();
      myGetExtensionPointStringStringParameter0Values.verify();
      myGetExtensionPointStringStringParameter1Values.verify();
      myGetExtensionPointsCalls.verify();
      myGetPluginDescriptorStringCalls.verify();
      myGetPluginDescriptorStringParameter0Values.verify();
      myGetPluginDescriptorStringVersionCalls.verify();
      myGetPluginDescriptorStringVersionParameter0Values.verify();
      myGetPluginDescriptorStringVersionParameter1Values.verify();
      myGetPluginDescriptorStringVersionVersionMatchConditionCalls.verify();
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter0Values.verify();
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter1Values.verify();
      myGetPluginDescriptorStringVersionVersionMatchConditionParameter2Values.verify();
      myGetPluginDescriptorsCalls.verify();
      myGetPluginDescriptorsStringCalls.verify();
      myGetPluginDescriptorsStringParameter0Values.verify();
   }
}
