package gov.va.med.hds.cd.runtime;

import gov.va.med.hds.cd.mum.Version;
import gov.va.med.hds.cd.mum.boot.IPluginConstants;

/**
 * A collection of constants relating to the desktop runtime.  They are
 * generally used for the parsing of plugin manifests.
 */
public interface IRuntimeConstants extends IPluginConstants {
	String PLUGIN_ID 								= "gov.va.med.hds.cd.runtime";
	Version	VERSION 								= new Version("1.0");
	String	PROVIDER_NAME							= "CPRS ReEngineering";
	
	String	MAIN_PLUGIN_EXTENSION_POINT_ID			= "mainPlugin";
	String	MAIN_PLUGIN_EXTENSION_POINT_NAME		= "Main Plugin";
	
	String	UNIQUE_MAIN_PLUGIN_EXTENSION_POINT_ID	= PLUGIN_ID + "." + MAIN_PLUGIN_EXTENSION_POINT_ID;
    
    String   HANDLER_PLUGIN_EXTENSION_POINT_ID       = "urlHandlers";
    String   HANDLER_PLUGIN_EXTENSION_POINT_NAME     = "URL Stream Handler";
    
    String   UNIQUE_HANDLER_PLUGIN_EXTENSION_POINT_ID = PLUGIN_ID + "." + HANDLER_PLUGIN_EXTENSION_POINT_ID;
	
	String	LIBRARY_ELEMENT 						= "library";
	
	String 	PROVIDER_ATTRIBUTE 						= "provider-name";
	String 	SCHEMA_ATTRIBUTE 						= "schema";
}
