package gov.va.med.hds.cd.runtime;

/**
 * Thrown to indicate that an operation could not complete because the input did
 * not conform to the appropriate XML schema for the configuration element
 * specification.
 */
public class InvalidConfigurationElementException extends Exception {
	/**
	 * Constructs an <code>InvalidConfigurationElementException</code> with no
	 * detail message.
	 */
	public InvalidConfigurationElementException() {
		super();
	}
	/**
	 * Constructs an <code>InvalidConfigurationElementException</code> with a
	 * specified detail message.
	 * @param message the detail message
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public InvalidConfigurationElementException(String message) {
		super(message);
	}
	/**
	 * Constructs an <code>InvalidConfigurationElementException</code> with a
	 * specified detail message and cause.
	 * @param message the detail message
	 * @param cause the cause
	 * @see java.lang.Throwable#Throwable(String, Throwable)
	 */
	public InvalidConfigurationElementException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * Constructs an <code>InvalidConfigurationElementException</code> with a
	 * specified cause.
	 * @param cause the cause
	 * @see java.lang.Throwable#Throwable(Throwable)
	 */
	public InvalidConfigurationElementException(Throwable cause) {
		super(cause);
	}
}
