package gov.va.med.hds.cd.runtime;

/**
 * Thrown to indicate that an operation could not complete because the input did
 * not conform to the appropriate XML schema for the prerequisite specification.
 */
public class InvalidPrerequisiteException extends Exception {
	/**
	 * Constructs an <code>InvalidPrerequisiteException</code> with no
	 * detail message.
	 */
	public InvalidPrerequisiteException() {
		super();
	}
	/**
	 * Constructs an <code>InvalidPrerequisiteException</code> with a
	 * specified detail message.
	 * @param message the detail message
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public InvalidPrerequisiteException(String message) {
		super(message);
	}
	/**
	 * Constructs an <code>InvalidPrerequisiteException</code> with a
	 * specified detail message and cause.
	 * @param message the detail message
	 * @param cause the cause
	 * @see java.lang.Throwable#Throwable(String, Throwable)
	 */
	public InvalidPrerequisiteException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * Constructs an <code>InvalidPrerequisiteException</code> with a
	 * specified cause.
	 * @param cause the cause
	 * @see java.lang.Throwable#Throwable(Throwable)
	 */
	public InvalidPrerequisiteException(Throwable cause) {
		super(cause);
	}
}
