package gov.va.med.hds.cd.security.test;
import javax.security.auth.login.LoginException;

import gov.va.med.hds.cd.runtime.test.RuntimeTestCase;
import gov.va.med.hds.cd.security.ISecurity;

/**
 * Tests a plugin that fails login
 */
public class SecurityFailTest extends RuntimeTestCase {
	public SecurityFailTest(String arg0) {
		super(arg0);
	}
	protected void setUp() throws Exception {
		super.setUp();
		parseRegistryResource("MockRegistryFail.xml");
		securityPlugin= (ISecurity) getRuntime().getPluginInstance(ISecurity.PLUGIN_ID);
	}
	public void testAuthenticationFail() throws Exception{
		try {
			securityPlugin.login();
			fail("login should have failed");
		} catch (LoginException e) {
			// The failure was supposed to happen
		}
	}
	protected void tearDown() throws Exception {
		super.tearDown();
	}
	private ISecurity securityPlugin= null;
}
