/*
 * Created on Apr 19, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.signature;

/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public interface ISignableItem
{
  public static final String ITEM_TYPE_ID = "signature.signable.item";
  
  public boolean isSigned();
  
  public boolean isReadyToSign();
  
  public void setSigned(boolean signed);
  
  public void setReadyToSign(boolean readyToSign);
  
  public ISignaturePatient getSignaturePatient();
  
  public String getTypeID();
  
  public String getID();
  
  public String getTitle();
  
  public String getShortTitle();

}
