/*
 * Created on Apr 19, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.signature;

import java.util.EventListener;

/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public interface ISignatureStatusChangeListener extends EventListener {
	public static final int SIGNATURE_SIGNABLE = 0;
	public static final int SIGNATURE_NOT_SIGNABLE = 1;
	public static final int SIGNATURE_SIGNED = 2;

	public void signatureStatusChanged(SignatureStatusChangeEvent e);
}
