/*
 * Created on Apr 19, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.signature;

/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public class SignableObject
{
  private boolean readyToSign = false;
  private boolean signed = false;

  public SignableObject(){ super(); }
  
  /* (non-Javadoc)
   * @see gov.va.med.hds.signature.ISignableItem#isSigned()
   */
  public boolean isSigned()
  {
    return signed;
  }

  /* (non-Javadoc)
   * @see gov.va.med.hds.signature.ISignableItem#isReadyToSign()
   */
  public boolean isReadyToSign()
  {
    return readyToSign;
  }

  /* (non-Javadoc)
   * @see gov.va.med.hds.signature.ISignableItem#setSigned(boolean)
   */
  public void setSigned(boolean signed)
  {
    this.signed = signed;
  }

  /* (non-Javadoc)
   * @see gov.va.med.hds.signature.ISignableItem#setReadyToSign(boolean)
   */
  public void setReadyToSign(boolean readyToSign)
  {
    this.readyToSign = readyToSign;
  }
  
}
