package gov.va.med.hds.cd.spectrum.itest;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.LookAndFeel;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import gov.va.med.hds.cd.mum.boot.plaf.desktop.DesktopLookAndFeel;
import gov.va.med.hds.cd.spectrum.MultiSplitPane;

public class MultiSplitPaneTest extends AbstractJFCTestCase {
	
	private MultiSplitPane splitPane;
	
	public MultiSplitPaneTest(String name) {
		super(name);
	}

	protected void setUp() throws Exception {
		super.setUp();
		frame = new JFrame("Test MultiSplitPane");
		splitPane = new MultiSplitPane(MultiSplitPane.VERTICAL_SPLIT);
		splitPane.add(new JLabel("Top"));
		splitPane.add(new JLabel("Middle"));
		splitPane.add(new JLabel("Bottom"));
		frame.getContentPane().add(splitPane);
		frame.setSize(320, 240);
		frame.setVisible(true);
	}
	
	public void testChangeLookAndFeel() throws ClassNotFoundException, InstantiationException, IllegalAccessException, UnsupportedLookAndFeelException {
		LookAndFeel desktopLaf = new DesktopLookAndFeel(getClass().getClassLoader());
		if (!desktopLaf.isSupportedLookAndFeel()) return;
		UIManager.setLookAndFeel(desktopLaf);
		SwingUtilities.updateComponentTreeUI(frame);
		UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		SwingUtilities.updateComponentTreeUI(frame);
		UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
		SwingUtilities.updateComponentTreeUI(frame);
		UIManager.setLookAndFeel(desktopLaf);
		SwingUtilities.updateComponentTreeUI(frame);
	}
}
