package gov.va.med.hds.cd.spectrum.test;

import java.awt.Dimension;

import javax.swing.JFrame;

import gov.va.med.hds.cd.spectrum.longlist.BufferModel;
import gov.va.med.hds.cd.spectrum.longlist.BufferedListLookupBox;

/**
 * @author vhaislmonsos
 *
 * Dec 5, 2002 1:29:38 PM
 */
public class BufferedListLookupBoxTester {

	/**
	 * Constructor for BufferedListLookupBoxTester.
	 */
	public BufferedListLookupBoxTester() {
		super();
	}
	
	public static final void main(String args[]) {
		try {
			JFrame frame = new JFrame("BufferedListLookupBox");
			DummyDataProvider dataProvider = new DummyDataProvider();
			BufferModel bufferModel = new BufferModel(300);
			dataProvider.setBufferModel(bufferModel);
//			bufferModel.setDefaultCallSize(40);
			BufferedListLookupBox lookupBox = new BufferedListLookupBox(bufferModel);
			lookupBox.setPreferredSize(new Dimension(300, 300));
			frame.getContentPane().add(lookupBox);
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

			frame.pack();
			frame.show();

		} catch (Exception ioe) {
			ioe.printStackTrace();
		}
	}


}
