package gov.va.med.hds.cd.spectrum.test;

import javax.swing.DefaultComboBoxModel;
import javax.swing.JFrame;

import gov.va.med.hds.cd.spectrum.bucket.BufferedSlushBucket;
import gov.va.med.hds.cd.spectrum.longlist.BufferModel;
import gov.va.med.hds.cd.spectrum.longlist.IBufferModel;

/**
 * @author vhaislmonsos
 *
 * Dec 20, 2002 11:29:49 PM
 */
public class BufferedSlushBucketTester {

	/**
	 * Constructor for BufferedSlushBucketTester.
	 */
	public BufferedSlushBucketTester() {
		super();
	}
	
	private void run() {
		try {
			JFrame frame = new JFrame("BufferedSlushBucket");
			BufferedSlushBucket bufferedSlushBucket = new BufferedSlushBucket();
			IBufferModel bufferModel = new BufferModel();
			DummyDataProvider dataProvider = new DummyDataProvider();
			dataProvider.setBufferModel(bufferModel);
			bufferModel.addDataNeededListener(dataProvider);
			bufferedSlushBucket.setInBucketModel(bufferModel);
//			DefaultListModel listModel = new DefaultListModel();
			DefaultComboBoxModel listModel = new DefaultComboBoxModel();
			bufferedSlushBucket.setOutBucketModel(listModel);
			frame.getContentPane().add(bufferedSlushBucket);
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	
			frame.pack();
			frame.show();
	
		}
		catch (Exception ioe) {
			ioe.printStackTrace();
		}

	}
	public static void main(String[] args) {
		BufferedSlushBucketTester bufferedSlushBucketTester = new BufferedSlushBucketTester();
		bufferedSlushBucketTester.run();
	}
}
