package gov.va.med.hds.cd.spectrum.test;

import javax.swing.JFrame;

import gov.va.med.hds.cd.spectrum.longlist.BufferModel;
import gov.va.med.hds.cd.spectrum.longlist.IBufferModel;
import gov.va.med.hds.cd.spectrum.longlist.ILongListComponentListener;
import gov.va.med.hds.cd.spectrum.longlist.ILongListEvent;
import gov.va.med.hds.cd.spectrum.longlist.LongListLookup;

/**
 * Tester of the LongListLookup class.
 */
public class LongListLookupTester {

	/**
	 * Constructor for BufferedSlushBucketTester.
	 */
	public LongListLookupTester() {
		super();
	}
	
	private void run() {
		try {
			JFrame frame = new JFrame("LongListLookup");
			LongListLookup longListLookup = new LongListLookup();
			IBufferModel bufferModel = new BufferModel();
			DummyDataProvider dataProvider = new DummyDataProvider();
			dataProvider.setBufferModel(bufferModel);
			longListLookup.setModel(bufferModel);
			longListLookup.addLongListListener(new ILongListComponentListener() {
				public void actionPerformed(ILongListEvent e) {
					System.out.print(e.getID());
					System.out.print(":");
					System.out.println(e.getParameter());
				}
			});
			frame.getContentPane().add(longListLookup);
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	
			frame.pack();
			frame.show();
	
		}
		catch (Exception ioe) {
			ioe.printStackTrace();
		}

	}
	public static void main(String[] args) {
		LongListLookupTester longListLookupTester = new LongListLookupTester();
		longListLookupTester.run();
	}
}
