package gov.va.med.hds.cd.spectrum.list;
import javax.swing.event.ListSelectionEvent;

/**
 * @author vhaislmonsos
 *
 * Mar 6, 2003 12:19:21 PM
 */
public class AssertEvent extends ListSelectionEvent {
	public static final int ENTER_PRESSED = 1;
	public static final int MOUSE_CLICK = 2;
	private int eventID = 0;

	public AssertEvent(
		Object source,
		int firstIndex,
		int lastIndex,
		boolean isAdjusting,
		int eventID) {
		super(source, firstIndex, lastIndex, isAdjusting);
		this.eventID = eventID;
	}

	/**
	 * Returns the eventID.
	 * @return int
	 */
	public int getEventID() {
		return eventID;
	}

	/**
	 * Sets the eventID.
	 * @param eventID The eventID to set
	 */
	public void setEventID(int eventID) {
		this.eventID = eventID;
	}

}
