package gov.va.med.hds.cd.spectrum.list;

import java.util.EventListener;

/**
 * Interface that assert components implement to process mouse double click and
 * &lt;enter&gt; events.
 */
public interface IAssertListener extends EventListener {
	/**
	 * Process assert events, which are mouse double clicks or &lt;enter&gt; key
	 * presses.
	 * @param e
	 */
	void valueChanged(AssertEvent e);
}
