/*
 * Created on Aug 5, 2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package gov.va.med.hds.task;

import java.util.EventObject;

import gov.va.med.hds.task.data.ITask;

/**
 * @author vhaisltumad
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class TaskChangeEvent extends EventObject {

	public static final int ADDED = 0;
	public static final int CHANGED = 1;
	public static final int DELETED = 2;

	private ITask task;
	private int type;

	public TaskChangeEvent(ITaskPlugin plugin, ITask task, int type) {
		super(plugin);

		switch (type) {
			case ADDED :
			case CHANGED :
			case DELETED :
				break;
				
			default :
				throw new IllegalArgumentException(
					"Invalid task event type " + type);
		}
		this.task = task;
		this.type = type;
	}

	public ITask getTask() {
		return task;
	}

	public int getType() {
		return type;
	}

}
