package gov.va.med.hds.cd.url.test;

import java.io.IOException;

import gov.va.med.hds.cd.url.IServlet;
import gov.va.med.hds.cd.url.IServletRequest;
import gov.va.med.hds.cd.url.IServletResponse;

public class AsyncDummyServlet implements IServlet {

    public static final String EXPECTED_OUTPUT =
        "The quick brown fox asynchronously jumped over the lazy dogs.";
    public static final String EXPECTED_CONTENT_TYPE = "text/plain";


    public void service(IServletRequest request, IServletResponse response)
        throws IOException {

        try {
            Thread.sleep(500);
        } catch (InterruptedException ie) {
        }
        request.parsePostedFormData();
        if (!"TheBody".equals(request.getParameter("body")))
            throw new IOException("body missing");
            
        response.setContentType(EXPECTED_CONTENT_TYPE);
        response.getWriter().write(EXPECTED_OUTPUT);
    }
        
}