package gov.va.med.hds.cd.url;

/** The interface for the URL plugin.
 * 
 * The URL Plugin does not have any externally callable methods.
 */
public interface IURLPlugin {

    public static final String PLUGIN_ID = "gov.va.med.hds.cd.url";
    
    public static final String CONTENT_PROVIDER_EXTENSION_POINT_ID =
        PLUGIN_ID + ".contentProvider";

    public static final String ID_NAME_ATTRIBUTE = "id";
    public static final String CLASS_NAME_ATTRIBUTE = "class";
    public static final String PACKAGE_NAME_ATTRIBUTE = "package";

}
