package gov.va.med.hds.util.test;

import gov.va.med.hds.util.io.FileUtilities;
import java.io.File;

import junit.framework.TestCase;

/**
 * @author vhaislmonsos
 *
 * Feb 12, 2003 10:11:28 AM
 */
public class FileUtilitiesTest extends TestCase {

	/**
	 * Constructor for FileUtilitiesTest.
	 * @param arg0
	 */
	public FileUtilitiesTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(FileUtilitiesTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	public void testGetFileExtension() {
		File file = new File("c:\\Program Files\\fred.txt");
		assertEquals("FileUtilities.getFileExtension failed:","txt",FileUtilities.getFileExtension(file));
		file = new File("c:\\Program Files\\fred.tXt");
		assertEquals("FileUtilities.getFileExtension failed:","txt",FileUtilities.getFileExtension(file));
		file = new File("c:\\Program Files\\fred.TXT");
		assertEquals("FileUtilities.getFileExtension failed:","txt",FileUtilities.getFileExtension(file));
		file = new File("fred.Gif");
		assertEquals("FileUtilities.getFileExtension failed:","gif",FileUtilities.getFileExtension(file));
		file = new File("c:\\Program Files\\JaNe");
		assertNull("FileUtilities.getFileExtension failed: non-null extension returned.",FileUtilities.getFileExtension(file));
	}

}
