package gov.va.med.hds.util;

import java.util.Calendar;

public class CalendarMath {
	public static boolean isSameDate(Calendar c1, Calendar c2) {
		return isEraEqual(c1,c2) && isYearEqual(c1,c2) && isMonthEqual(c1,c2) && isDateEqual(c1, c2);
	}

	public static boolean isSameMonth(Calendar c1, Calendar c2) {
		return isEraEqual(c1,c2) && isYearEqual(c1,c2) && isMonthEqual(c1,c2);
	}

	public static boolean isSameYear(Calendar c1, Calendar c2) {
		return isEraEqual(c1,c2) && isYearEqual(c1,c2);
	}

	public static boolean isSameEra(Calendar c1, Calendar c2) {
		return isEraEqual(c1, c2);
	}

	public static boolean isDayEqual(Calendar c1, Calendar c2) {
		return c1 != null && c2 != null && c1.get(Calendar.DAY_OF_WEEK) == c2.get(Calendar.DAY_OF_WEEK);
	}

	public static boolean isDateEqual(Calendar c1, Calendar c2) {
		return c1 != null && c2 != null && c1.get(Calendar.DAY_OF_MONTH) == c2.get(Calendar.DAY_OF_MONTH);
	}

	public static boolean isMonthEqual(Calendar c1, Calendar c2) {
		return c1 != null && c2 != null && c1.get(Calendar.MONTH) == c2.get(Calendar.MONTH);
	}

	public static boolean isYearEqual(Calendar c1, Calendar c2) {
		return c1 != null && c2 != null && c1.get(Calendar.YEAR) == c2.get(Calendar.YEAR);
	}

	public static boolean isEraEqual(Calendar c1, Calendar c2) {
		return c1 != null && c2 != null && c1.get(Calendar.ERA) == c2.get(Calendar.ERA);
	}
}
