package gov.va.med.hds.util;
/**
 * Generally thrown when there is an error during the disposal of a resource.
 */
public class DisposeException extends Exception{
	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public DisposeException(String m) {
		super(m);
	}
	/**
	 * @see java.lang.Throwable#Throwable(Throwable)
	 */
	public DisposeException(Throwable cause){
		super(cause);
	}
	/**
	 * @see java.lang.Throwable#Throwable(String, Throwable)
	 */
	public DisposeException(String message, Throwable cause){
                 	super(message,cause);
    }
}
