package gov.va.med.hds.cd.workspace;

/**
 * TODO_SB: Provide description for "WorkspaceScopeType".
 */
public class WorkspaceScopeType {
	public static final WorkspaceScopeType SESSION = new WorkspaceScopeType("session");
	public static final WorkspaceScopeType PATIENT = new WorkspaceScopeType("patient");
	public static final WorkspaceScopeType PERSPECTIVE = new WorkspaceScopeType("perspective");
	public static final WorkspaceScopeType CUSTOM = new WorkspaceScopeType("custom");

	private String type;

	private WorkspaceScopeType(String type) {
		this.type = type;
	}
	
	public boolean equals(Object obj) {
		if (!(obj instanceof WorkspaceScopeType)) return false;
		WorkspaceScopeType t = (WorkspaceScopeType) obj;
		return type.equals(t.type);
	}

	public int hashCode() {
		return type.hashCode();
	}

	public String toString() {
		return type;
	}
}
