package gov.va.med.hds.cd.workspace.test;

import javax.swing.event.EventListenerList;

/**
 * TODO_SB: Provide description for "Telephone".
 */
public class Telephone {

	private EventListenerList listenerList = new EventListenerList();

	public Telephone() {
		super();
	}

	public void addTelephoneListener(ITelephoneListener l) {
		listenerList.add(ITelephoneListener.class, l);
	}

	public void removeTelephoneListener(ITelephoneListener l) {
		listenerList.remove(ITelephoneListener.class, l);
	}

	public void fireRingEvent() {
		final TelephoneEvent e = new TelephoneEvent(this);
		ITelephoneListener[] listeners =
			(ITelephoneListener[]) listenerList.getListeners(
				ITelephoneListener.class);
		for (int i = 0; i < listeners.length; i++) {
			listeners[i].telephoneRang(e);
		}
	}

	public void fireAnsweredEvent() {
		final TelephoneEvent e = new TelephoneEvent(this);
		ITelephoneListener[] listeners =
			(ITelephoneListener[]) listenerList.getListeners(
				ITelephoneListener.class);
		for (int i = 0; i < listeners.length; i++) {
			listeners[i].telephoneAnswered(e);
		}
	}
}
