package junit.extensions.xml;

/**
 * This class defines the common tokens which are
 * used in parsing the XML file.
 * @author Kevin Wilson
 */
public interface XMLConstants {

    /** name */
    public static final String NAME  = "name";
    /** suite */
    public static final String SUITE = "suite";
    /** test */
    public static final String TEST  = "test";
    /** file */
    public static final String FILE  = "file";
    /** id */
    public static final String ID = "id";
    /** refid */
    public static final String REFID = "refid";

    // Assert
    /** message */
    public static final String MESSAGE = "message";
    /** assertnotnull */
    public static final String ASSERTNOTNULL = "assertnotnull";
    /** asertequals */
    public static final String ASSERTEQUALS = "assertequals";
    /** expectedobj */
    public static final String EXPECTEDOBJ = "expectedobj";
    /** expectedrefid */
    public static final String EXPECTEDREFID = "expectedrefid";
    /** actualobj */
    public static final String ACTUALOBJ = "actualobj";
    /** actualrefid */
    public static final String ACTUALREFID = "actualrefid";


}
