package junitx.demo;

import java.lang.reflect.*;

import junit.framework.*;
import junitx.framework.*;

public class TestProxy
extends junitx.framework.TestProxy
{
  public Object newInstance (Object[] anArgList)
  throws TestAccessException
  {
    try
    {
      return getProxiedClass ().getConstructor (anArgList).newInstance (anArgList);
    }
    catch (Exception e)
    {
      throw new TestAccessException ("could not instantiate " + getTestedClassName (), e);
    }
  }


  public Object newInstanceWithKey (String aConstructorKey, Object[] anArgList)
  throws TestAccessException
  {
    try
    {
      return getProxiedClass ().getConstructor (aConstructorKey).newInstance (anArgList);
    }
    catch (Exception e)
    {
      throw new TestAccessException ("could not instantiate " + getTestedClassName (), e);
    }
  }
}
