#!/usr/bin/perl -w
use XML::DOM;
use Getopt::Std;

my $manifest_file_name = "manifest.xml";
my $newversion = "1.0.0";
my $newprovider_name = "CPRS Reengineering";

getopts('f:v:p:');

if ($opt_f){ $manifest_file_name = "$opt_f"; }
if ($opt_v){ $newversion="$opt_v"; }
if ($opt_p){ $newprovider_name="$opt_p"; }


my $parser = new XML::DOM::Parser;
my $doc = $parser->parsefile ($manifest_file_name);
my $nodes = $doc->getElementsByTagName ("plugin");
my $node = $nodes->item(0);
my $name = $nodes->item(0)->getFirstChild()->getNodeValue();
$node->setAttribute("version" => $newversion);
$node->setAttribute("provider-name" => $newprovider_name);
$doc->printToFile("$manifest_file_name");
