/*
 * Created on Apr 14, 2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package gov.va.med.hds.cd.ccow.internal;

import gov.va.med.hds.cd.ccow.IChartLauncher;

/**
 * @author VHAISLTUMAD
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class ChartLauncher {

    private static IChartLauncher[] LAUNCHERS = null;
    
    protected synchronized static void addLaunchers(IChartLauncher[] launchers) {
        int numAdded = launchers.length;
        if (numAdded == 0) return;
        
        int oldSize = 0;
        if (LAUNCHERS != null)
            oldSize = LAUNCHERS.length;
        
        IChartLauncher[] newLaunchers = new IChartLauncher[oldSize + numAdded];
        if (LAUNCHERS != null)
            System.arraycopy(LAUNCHERS, 0, newLaunchers, 0, oldSize);
        System.arraycopy(launchers, 0, newLaunchers, oldSize, numAdded);
    
        LAUNCHERS = newLaunchers;
    }

    public static boolean launchChart() {
        IChartLauncher[] launchers = null;
        synchronized (ChartLauncher.class) {
            launchers = LAUNCHERS;        
        }
        if (launchers != null)
            for (int i = 0; i < launchers.length; i++) {
                IChartLauncher launcher = launchers[i];
                if (launcher.launchChart())
                    return true;
            }

        return false;
    }

}
