
package gov.va.med.hds.cd.ccow.internal;


class ContextChangeProposalResponse {
    public String[] surveyResponses;
    public boolean noContinue;

    public ContextChangeProposalResponse(String surveyResponses[],
                                         boolean noContinue) {
        this.surveyResponses = surveyResponses;
        this.noContinue = noContinue;
    }

    public void addResponse(String additionalSurveyResponse) {
        if (additionalSurveyResponse == null ||
            additionalSurveyResponse.length() == 0)
            return;

        if (surveyResponses == null || surveyResponses.length == 0) {
            surveyResponses = new String[1];
            surveyResponses[0] = additionalSurveyResponse;

        } else {
            String[] newResponses = new String[surveyResponses.length + 1];
            newResponses[0] = additionalSurveyResponse;
            System.arraycopy(surveyResponses, 0,
                             newResponses, 0, surveyResponses.length);
            surveyResponses = newResponses;
        }
    }

}
