package gov.va.med.hds.cd.ccow.ui;

import gov.va.med.hds.cd.ccow.IContextModule;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.runtime.PluginNotFoundException;
import gov.va.med.hds.cd.runtime.PluginStartupException;

public class DesktopLinkIcon extends LinkIcon {

	public DesktopLinkIcon(IRuntimeContext runtimeContext, Object window) {
		this(runtimeContext, window, MEDIUM_SIZE);
	}

	public DesktopLinkIcon(
		IRuntimeContext runtimeContext,
		Object window,
		int size) {

		initAppearance(size);

		try {
			initBroker(
				(IContextModule) runtimeContext.getPluginInstance(
					IContextModule.PLUGIN_ID),
				window);
		} catch (PluginStartupException e) {
		} catch (PluginNotFoundException e) {
		}
	}

	/** This method is not supported within the HealtheVet Desktop.
	 * 
	 * Unconditionally throws an UnsupportedOperationException
	 * 
	 */
	public void updateContextModule(
		IContextModule contextModule,
		Object window)
		throws UnsupportedOperationException {
		throw new UnsupportedOperationException();
	}

}
