package gov.va.med.hds.cd.ccow.ui;

import gov.va.med.hds.cd.ccow.IClinicalContextBroker;
import gov.va.med.hds.cd.ccow.IContextObserver;
import gov.va.med.hds.cd.ccow.IContextModule;
import java.util.Map;

import javax.swing.JScrollPane;
import javax.swing.JTable;

public class ContextTable extends JScrollPane implements IContextObserver {

    IClinicalContextBroker broker;
    ContextTableModel model;

    public ContextTable(IContextModule contextModule, Object window) {
        super();

        broker = contextModule.getBroker(window, this);
        model = new ContextTableModel(broker.getContextItems());
        JTable table = new JTable(model);
        setViewportView(table);
    }

    public void contextChanged() {
        model.setNewContext(broker.getContextItems());
    }
    public Map getDisplayedPatient() {
        return model.getDisplayedPatient();
    }

}
