/*
 * Created on Apr 14, 2003
 * 
 */
package gov.va.med.hds.cd.ccow;

/** Interface for an object which knows how to launch the Chart application 
 * (that is, CPRS) 
 */
public interface IChartLauncher {

    public static final String EXTENSION_POINT_ID =
        "gov.va.med.hds.cd.ccow.chartLauncher";

    /** Launch the patient chart application.
     * 
     * @return true if the application was successfully launched.
     */
    public boolean launchChart();

}
