package gov.va.med.hds.clinicaldata.dao;

/**
 * Generally thrown for errors with IPatientDemographicsDAO implementations.
 */
public class PatientDemographicsDAOException extends Exception {
	/**
	 * Constructor
	 */
	public PatientDemographicsDAOException() {
		super();
	}
	/**
	 * Constructor
	 * @param message
	 */
	public PatientDemographicsDAOException(String message) {
		super(message);
	}

	/**
	 * Constructor
	 * @param message
	 * @param cause
	 */
	public PatientDemographicsDAOException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor
	 * @param cause
	 */
	public PatientDemographicsDAOException(Throwable cause) {
		super(cause);
	}

}
