/*
 * Created on Mar 3, 2003 10:07:25 AM
 */
package gov.va.med.hds.cd.config.itest;

import gov.va.med.hds.cd.spectrum.longlist.BufferModel;
import gov.va.med.hds.cd.spectrum.longlist.LongListLookup;
import gov.va.med.hds.cd.spectrum.test.DummyDataProvider;
import gov.va.med.hds.cd.spectrum.text.LongListField;

import java.awt.Dimension;

import javax.swing.JFrame;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public class LongListFieldTest {

	public static void main(String[] args) {
		try {
			final JFrame frame = new JFrame("Buffered List Option Pane Tester");
			DummyDataProvider dataProvider = new DummyDataProvider();
			BufferModel bufferModel = new BufferModel(300);
			dataProvider.setBufferModel(bufferModel);
			final LongListLookup lookupBox = new LongListLookup();
			lookupBox.setModel(bufferModel);
			lookupBox.setPreferredSize(new Dimension(300, 300));
			LongListField listField = new LongListField(3, 80, 30, "Test ListField...", lookupBox, "This is item #12345");

			frame.getContentPane().add(listField);
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

			frame.pack();
			frame.show();

		} catch (Exception ioe) {
			ioe.printStackTrace();
		}
	}
}
