package gov.va.med.hds.cd.config;


/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public interface IFieldEditor {
	
	void setCategory(IParameterCategory pCat);
	
	IParameterCategory getCategory();
	
	void setParameter(IParameter parameter);
	
	IParameter getParameter();
	
	void loadDefault();
	
	void loadInitialValue();
	
	void doApply() throws ConfigurationException;
	
}
