package gov.va.med.hds.cd.config;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public class NonExistentParameterException extends Exception {
	

	/**
	 * Constructor for NonExistentParameterException.
	 */
	public NonExistentParameterException() {
		super();
	}

	/**
	 * Constructor for NonExistentParameterException.
	 * @param message
	 */
	public NonExistentParameterException(String message) {
		super(message);
	}

	/**
	 * Constructor for NonExistentParameterException.
	 * @param message
	 * @param cause
	 */
	public NonExistentParameterException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor for NonExistentParameterException.
	 * @param cause
	 */
	public NonExistentParameterException(Throwable cause) {
		super(cause);
	}

}
