package gov.va.med.hds.cd.config;

import java.util.EventObject;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public class ParameterChangeEvent extends EventObject {
	IParameter modifiedParameter = null;

	/**
	 * Constructor for ParameterChangeEvent.
	 * @param source
	 */
	public ParameterChangeEvent(Object source, IParameter parameter) {
		super(source);
		modifiedParameter = parameter;
	}
	
	public IParameter getModifiedParameter() {
		return modifiedParameter;
	}

}
