package gov.va.med.hds.cd.daoregistry.test;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

/**
 * Mock DAO factory for testing
 */
public class MockDaoFactory implements IMockDaoFactory {
	public IMockDao create(String data) throws Exception {
		return new MockDaoPolymorphic(runtime, data);
	}
	public IMockDao create(int data) throws Exception {
		return new MockDaoPolymorphic(runtime, data);
	}
	public IMockDao create(Object data) throws Exception {
		return new MockDaoPolymorphic(runtime, data);
	}
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName,
		Object data)
		throws Exception {
		this.runtime = runtime;
	}
	IRuntimeContext runtime;
}
