package gov.va.med.hds.cd.daoregistry.test;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

/**
 * Mock DAO for testing
 */
public class MockDaoPolymorphic implements IMockDao {
	public MockDaoPolymorphic(IRuntimeContext runtime, String data) throws Exception {
		setInitializationData(runtime, null, "", null);
		setupData(data);
	}
	public MockDaoPolymorphic(IRuntimeContext runtime, int data) throws Exception {
		setInitializationData(runtime, null, "", null);
		setupData(data);
	}
	public MockDaoPolymorphic(IRuntimeContext runtime, Object data) throws Exception {
		setInitializationData(runtime, null, "", null);
		setupData(data);
	}
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName,
		Object data)
		throws Exception {
	}
	public void setSomeData(String data) {
		this.data = data;
	}
	public String getSomeData() {
		return data;
	}
	String data = null;
	private void setupData(String data) {
		this.data = data;
	}
	private void setupData(int data) {
		this.data = String.valueOf(data);
	}
	private void setupData(Object data) {
		this.data = data.toString();
	}
}
