/*
 * Created on May 23, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.dashboard;

import gov.va.med.hds.dashboard.items.IDashItemChangeListener;

/**
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * This is a marker interface that identifies a visual component
 * as a Dashboard patient list (e.g. the patient list table).
 * 
 * @author vhaislschras
 */
public interface IDashboardPatientVisualComponent extends IDashItemChangeListener {
	void addDashTableListener(IDashTableListener l);
	void removeDashTableListener(IDashTableListener l);
}
