package gov.va.med.hds.dashboard;

/**
 * Exception for when there is an error parsing the patients for a dashboard list.
 */
public class PatientParseException extends Exception {

	/**
	 * Delegates to parent class
	 */
	public PatientParseException() {
		super();
	}

	/**
	 * Delegates to parent class
	 * @param message
	 */
	public PatientParseException(String message) {
		super(message);
	}

	/**
	 * Delegates to parent class
	 * @param cause
	 */
	public PatientParseException(Throwable cause) {
		super(cause);
	}

	/**
	 * Delegates to parent class
	 * @param message
	 * @param cause
	 */
	public PatientParseException(String message, Throwable cause) {
		super(message, cause);
	}

}
