package gov.va.med.hds.dashboard;

import gov.va.med.hds.dashboard.items.IDashItemMessageListener;


/**
 * Interface for a dashboard item message source.
 */
public interface IDashboardItemMessageSource  {
	static final String MODEL_ID = "dashboard.item.message";
	
	void fireMessageGenerated(String message);
	
	void addDashItemMessageListener(IDashItemMessageListener l);

	void removeDashItemMessageListener(IDashItemMessageListener l);
}
