package gov.va.med.hds.dashboard.items;

import java.util.EventListener;

/**
 * Interface for a dashboard item message listener
 */
public interface IDashItemMessageListener extends EventListener {
	
	/**
	 * Called when there is message generated from a dashboard item.
	 * @param messageEvent
	 */
	void messageGenerated(IDashItemMessageEvent event);


}
