/*
 * Created on Apr 7, 2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package gov.va.med.hds.dashboard.itemtype;

import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.dashboard.IDashboardPlugin;
import gov.va.med.hds.dashboard.items.IDashboardItemTypes;
import gov.va.med.hds.dashboard.nurse.NurseDashboardPlugin;


/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public class NurseDashboardPatient extends AbstractDashboardPatient
{
  public static final String ITEM_TYPE_ID = "dashboard.nurse.patient";
  
  /* (non-Javadoc)
   * @see gov.va.med.hds.cd.runtime.IExecutableExtension#setInitializationData(gov.va.med.hds.cd.runtime.IRuntimeContext, gov.va.med.hds.cd.runtime.IConfigurationElement, java.lang.String)
   */
  public void setInitializationData(IRuntimeContext runtime, IConfigurationElement config, String propertyName, Object data) throws Exception
  {
    super.setInitializationData(runtime, config, propertyName, data);
    IDashboardItemTypes itemTypes = (IDashboardItemTypes)runtime.getPluginInstance(IDashboardItemTypes.PLUGIN_ID);
    dashDef = itemTypes.getDashboardDefinition(NurseDashboardPlugin.PLUGIN_MODULE);
    itemEntry = dashDef.getDefinition(ITEM_TYPE_ID).getItemEntry();
    patientURL = itemEntry.getURL();
    
    plugin = (IDashboardPlugin)runtime.getPluginInstance(NurseDashboardPlugin.PLUGIN_ID);
  }

}


