/*
 * Created on Apr 15, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.dashboard.itemtype;

/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public interface IVitalsItem
{
  public void setVitalValues(String name, String value, String units,
    String mValue, String mUnits, String bmi, String sO2, String abnormal, String qualifiers);
  
  /**
   * @return String
   */
  public String getAbnormal();

  /**
   * @return String
   */
  public String getBmi();

  /**
   * @return String
   */
  public String getMetricUnits();

  /**
   * @return String
   */
  public String getMetricValue();

  /**
   * @return String
   */
  public String getName();

  /**
   * @return String
   */
  public String getSO2();

  /**
   * @return String
   */
  public String getUnits();

  /**
   * @return String
   */
  public String getValue();

  /**
   * Sets the abnormal.
   * @param abnormal The abnormal to set
   */
  public void setAbnormal(String abnormal);

  /**
   * Sets the bmi.
   * @param bmi The bmi to set
   */
  public void setBmi(String bmi);

  /**
   * Sets the metricUnits.
   * @param metricUnits The metricUnits to set
   */
  public void setMetricUnits(String metricUnits);

  /**
   * Sets the metricValue.
   * @param metricValue The metricValue to set
   */
  public void setMetricValue(String metricValue);

  /**
   * Sets the name.
   * @param name The name to set
   */
  public void setName(String name);

  /**
   * Sets the sO2.
   * @param sO2 The sO2 to set
   */
  public void setSO2(String sO2);

  /**
   * Sets the units.
   * @param units The units to set
   */
  public void setUnits(String units);

  /**
   * Sets the value.
   * @param value The value to set
   */
  public void setValue(String value);

  /**
   * @return
   */
  public String[] getQualifiers();

  /**
   * @param qualifiers
   */
  public void setQualifiers(String qualifiers);
  
}
