package gov.va.med.hds.cd.help;

import gov.va.med.hds.cd.runtime.IRuntimeContext;

/**
 * Helper class for help
 */
public class HelpUtilities {
	/**
	 * Gets the main plugin interface associated with the help plugin
	 * @param runtime
	 * @return
	 */
	public static IHelp getHelp(IRuntimeContext runtime) {
		try {
			return (IHelp) runtime.getPluginInstance(IHelp.PLUGIN_ID);
		} catch (Exception e) {
			return null;
		}
	}
}
