package gov.va.med.hds.cd.m.internal;

/**
 * Generally thrown for error encountered with the initialization of the process
 * thread in the call queue
 */
public class CallQueueProcessConnectInitException extends Exception {

	/**
	 * @see java.lang.Object#Object()
	 */
	public CallQueueProcessConnectInitException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String)
	 */
	public CallQueueProcessConnectInitException(String message) {
		super(message);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String, java.lang.Throwable)
	 */
	public CallQueueProcessConnectInitException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.Throwable)
	 */
	public CallQueueProcessConnectInitException(Throwable cause) {
		super(cause);
	}

}
