package gov.va.med.hds.cd.m.internal;
import gov.va.med.hds.cd.m.IMumpsConnectionSettings;
import gov.va.med.hds.cd.m.InvalidSettingsException;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.security.PluginException;

import javax.security.auth.login.Configuration;
/**
 * Vistalink based integration testing security plugin
 */
class IntegrationTestVistalinkPlugin extends AbstractPlugin {
	public IntegrationTestVistalinkPlugin(
		IRuntimeContext runtime,
		IMumpsConnectionSettings settings)
		throws InvalidSettingsException {
		super(runtime, settings);
		IntegrationTestVistalinkConfiguration.getInstance().setServerName(server);
		IntegrationTestVistalinkConfiguration.getInstance().setServerPort(port);
		IntegrationTestVistalinkConfiguration.getInstance().setRuntimeContext(runtime);
	}
	public Configuration getConfiguration() throws PluginException {
		return IntegrationTestVistalinkConfiguration.getInstance();
	}
	protected String getLoginModuleKeyName() {
		return IntegrationTestVistalinkLoginModule.class.getName();
	}
}
