package gov.va.med.hds.cd.m.internal;
import javax.security.auth.login.AppConfigurationEntry;
/**
 * Security configuration for Vistalink
 */
class VistalinkConfiguration extends AbstractVistalinkConfiguration {
	protected VistalinkConfiguration() {
		super();
	}

	public AppConfigurationEntry[] getAppConfigurationEntry(String applicationName) {
		if (applicationName == VistalinkLoginModule.class.getName()) {
			AppConfigurationEntry[] result = new AppConfigurationEntry[1];
			result[0] =
				new AppConfigurationEntry(
					VistalinkLoginModule.class.getName(),
					AppConfigurationEntry.LoginModuleControlFlag.REQUISITE,
					options);
			return result;
		}
		return null;
	}
	public static VistalinkConfiguration getInstance() {
		if (instance == null)
			instance = new VistalinkConfiguration();
		return instance;
	}
	private static VistalinkConfiguration instance = null;
}
