package gov.va.med.hds.cd.m.internal.common;
/**
 * Used to designate MUMPS stream delimeters.
 */
public class Delimiters {
	/**
	 * Used to separate parameters on a MUMPS stream
	 */
	public static final char SEP_FS= 28;
	/**
	 * Use terminate a MUMPS stream
	 */
	public static final char SEP_GS= 29;
	/**
	 * Used to separate name and value for hash table based parameters
	 */
	public static final char SEP_US= 30;
	/**
	 * Used to terminate the values for hash table based parameters
	 */
	public static final char SEP_RS= 31;
	/**
	 * Marks a literal parameter 
	 **/
	public static final char LITERAL_PARAM_MARKER= 'L';
	/**
	 * Marks a list parameter
	 */
	public static final char LIST_PARAM_MARKER= 'M';
	/**
	 * Marks an unknown parameter
	 */
	public static final char UNKNOWN_PARAM_MARKER= 'U';
	protected Delimiters() {}
}
