package gov.va.med.hds.cd.m.internal.test;

import gov.va.med.hds.cd.m.IOptionContext;
import gov.va.med.hds.cd.m.OptionContext;
import gov.va.med.hds.cd.mum.Version;
import gov.va.med.hds.cd.mum.VersionMatch;
import gov.va.med.hds.cd.runtime.IExtension;
import gov.va.med.hds.cd.runtime.IExtensionPoint;
import gov.va.med.hds.cd.runtime.IPluginDescriptor;
import gov.va.med.hds.cd.runtime.IPluginPrerequisite;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import junit.framework.TestCase;

/**
 * Tests the IOptionContext interface
 */
public class IOptionContextTest extends TestCase {
	public IOptionContextTest(String name) {
		super(name);
	}
	public void testCreate() {
		IOptionContext context =
			new OptionContext(
				"ORRCM CLIENT",
				new Version("0.1.0"),
				new TestPluginDescriptor(),
				VersionMatch.GREATER_OR_EQUAL);
	}
	class TestPluginDescriptor implements IPluginDescriptor {
		public IExtension getExtension(String extensionName) {
			return null;
		}
		public IExtensionPoint getExtensionPoint(String extensionPointId) {
			return null;
		}
		public IExtensionPoint[] getExtensionPoints() {
			return null;
		}
		public IExtension[] getExtensions() {
			return null;
		}
		public String getLabel() {
			return null;
		}
		public IPluginPrerequisite[] getPluginPrerequisites() {
			return null;
		}
		public String getProviderName() {
			return null;
		}
		public String getUniqueIdentifier() {
			return null;
		}
		public Version getVersion() {
			return null;
		}
		public String getClassName() {
			return null;
		}
		public IRuntimeContext getRuntimeContext() {
			return null;
		}
		public ClassLoader getPluginClassLoader() {
			return null;
		}
	}
}
