package gov.va.med.hds.cd.m;
/**
 * Thrown by objects implementing the ICallQueue interface. When a
 * call fails this exception is thrown
 */
public class CallFailedException extends CallQueueException {
	/**
	 * @see java.lang.Object#Object()
	 */
	public CallFailedException() {
		super();
	}
	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public CallFailedException(String message) {
		super(message);
	}
	/**
	 * @see java.lang.Throwable#Throwable(String, Throwable)
	 */
	public CallFailedException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * @see java.lang.Throwable#Throwable(Throwable)
	 */
	public CallFailedException(Throwable cause) {
		super(cause);
	}
}
