package gov.va.med.hds.cd.m;

import gov.va.med.hds.util.IDisposable;
import gov.va.med.hds.cd.security.UserCancelledAuthenticationException;
/**
 * Abstracts the concept of a connection
 */
public interface IConnection extends IDisposable {
	
	/**
	 * Connects the connection
	 * @throws ConnectException
	 */
	void connect() throws ConnectException,UserCancelledAuthenticationException;
}
