package gov.va.med.hds.cd.m;

/**
 * Generally thrown for exception occuring during an attempt
 * to set context
 */
public class SetContextException extends ConnectException{
	/**
	 * @see java.lang.Throwable#Throwable(String)
	 */
	public SetContextException(String m) {
		super(m);
	}
	/**
	 * @see java.lang.Throwable#Throwable(Throwable)
	 */
	public SetContextException(Throwable cause){
		super(cause);
	}
	/**
	 * @see java.lang.Throwable#Throwable(String, Throwable)
	 */
	public SetContextException(String message, Throwable cause){
                 	super(message,cause);
    }
}
