package gov.va.med.hds.cd.m;

/**
 * Container used for pairing a String based result with its elapsed time
 */
public class TimedResult {

	/**
	 * Constructs a timed result by pairing a result with time
	 * @param result
	 * @param elapsedTime
	 */
	public TimedResult(String result, long elapsedTime) {
		this.result = result;
		this.elapsedTime = elapsedTime;
	}
	
	public String result;
	public long elapsedTime;
}
