package gov.va.med.hds.cd.m;

/**
 * Thrown for schema validation errors 
  */
public class ValidationFailedException extends Exception {
	/**
	 * @see java.lang.Object#Object()
	 */
	public ValidationFailedException() {
		super();
	}
	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String)
	 */
	public ValidationFailedException(String message) {
		super(message);
	}
	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String, java.lang.Throwable)
	 */
	public ValidationFailedException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * @see java.lang.Throwable#Throwable(java.lang.Throwable)
	 */
	public ValidationFailedException(Throwable cause) {
		super(cause);
	}

}
