package gov.va.med.hds.cd.mum.config.test;

import gov.va.med.hds.cd.mum.config.JVMAnalyzer;

import java.util.Collection;

import junit.framework.TestCase;

public class JVMAnalyzerTest extends TestCase {
	public void testNewJVMAnalyzer() {
		Collection col = JVMAnalyzer.getClasses();
		assertTrue("Should have been greater than 5000, but was " + col.size(), col.size() > 5000);
		assertTrue(col.contains("java.lang.ClassLoader"));
		assertTrue(col.contains("java.io.BufferedReader"));
		assertTrue(col.contains("java.util.Collections"));
		assertTrue(col.contains("java.awt.event.ActionListener"));
		assertTrue(col.contains("javax.swing.Icon"));
		assertTrue(col.contains("javax.xml.parsers.SAXParser"));
		assertTrue(col.contains("javax.rmi.CORBA.PortableRemoteObjectDelegate"));
		assertTrue(col.contains("sun.io.Converters"));
		assertTrue(col.contains("sun.misc.GC"));
		assertTrue(col.contains("sun.beans.editors.ByteEditor"));
		assertTrue(col.contains("sunw.util.EventListener"));
		assertTrue(col.contains("org.w3c.dom.stylesheets.LinkStyle"));
		assertTrue(col.contains("org.omg.CORBA.Any"));
		assertTrue(col.contains("com.sun.java.browser.dom.DOMService"));
	}
	
	//*** end of tests ***
	
	public JVMAnalyzerTest(String arg0) {
		super(arg0);
	}

	protected void setUp() throws Exception {
		super.setUp();
		MockJVM.ShutDown();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

}
