package gov.va.med.hds.cd.mum.config.test;

import gov.va.med.hds.cd.mum.boot.utils.ListMap;
import gov.va.med.hds.cd.mum.config.IConfigPluginLocator;
import gov.va.med.hds.cd.mum.config.PluginLocatorException;
import gov.va.med.hds.cd.mum.test.IMUMTestConstants;

public class MockPluginLocator implements IConfigPluginLocator, IMUMTestConstants {

    public MockPluginLocator() {
        super();
    }

    public void createDistributionPlugins(ListMap list) throws PluginLocatorException {
        for (int i = 0; i < MOCKJAR_DATA.length; i++) {
            MockConfigPlugin plugin = new MockConfigPlugin(i);
            list.add(plugin.getID(), plugin);
        }
    }

}
