package gov.va.med.hds.cd.mum.update.test;

import gov.va.med.hds.cd.mum.boot.utils.ListMap;
import gov.va.med.hds.cd.mum.test.IMUMTestConstants;
import gov.va.med.hds.cd.mum.update.IPluginLocator;
import gov.va.med.hds.cd.mum.update.InvalidPluginDirectoryException;

import java.io.File;
import java.io.FileNotFoundException;

public class MockPluginLocator implements IPluginLocator, IMUMTestConstants {

	public MockPluginLocator() {
		super();
	}

	public void locatePlugins(File root, ListMap list)
		throws FileNotFoundException, InvalidPluginDirectoryException {
		for (int i = 0; i < EXISTING_CONFIG.length; i++) {
			MockExistingPlugin plugin = new MockExistingPlugin(EXISTING_CONFIG[i]);
			list.add(plugin.getID(), plugin);
		}
	}

}
