package gov.va.med.hds.cd.mum.boot;


class DialogUncaughtExceptionHandler implements IUncaughtExceptionHandler {

	public void uncaughtException(Thread t, Throwable e) {
		String title = "HealtheVet Desktop Unexpected Error";
		String message = e.getLocalizedMessage();
		if (message == null || message.length() == 0) {
			message = "An unexpected error has occurred.";
		}
		ExceptionDialog.showExceptionDialog(title, message, e);
	}

}