package gov.va.med.hds.cd.mum.boot;

/**
 * Indicates the current version of the JVM is incompatible with the needs to
 * the application.
 */
public class IncompatibleVersionException extends RuntimeException {

	/**
     * Constructor for IncompatibleVersionException with null as its detail message.
     */
    public IncompatibleVersionException() {
		super();
	}

	/**
     * Constructor for IncompatibleVersionException with the specified detail message.
     */
    public IncompatibleVersionException(String message) {
		super(message);
	}

	/**
     * Constructor for IncompatibleVersionException with the specified detail message and cause.
     */
    public IncompatibleVersionException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for IncompatibleVersionException with the specified cause.
     */
    public IncompatibleVersionException(Throwable cause) {
		super(cause);
	}

}
