package gov.va.med.hds.cd.mum.boot;

/**
 * Root MUM Exception class
 */
public class MUMException extends Exception {

	/**
     * Constructor for MUMException with null as its detail message.
     */
	public MUMException() {
		super();
	}

	/**
     * Constructor for MUMException with the specified detail message.
     */
	public MUMException(String message) {
		super(message);
	}

	/**
     * Constructor for MUMException with the specified detail message and cause.
     */
	public MUMException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for MUMException with the specified cause.
     */
	public MUMException(Throwable cause) {
		super(cause);
	}

}
