package gov.va.med.hds.cd.mum.boot.loader;

/**
 * Used internally by the linked class loader as a data packet
 */
public interface IDataBuffer {
	
	/**
     * Returns an array of bytes representing the needed data.  Data after the value returned by 
     * the size method may exist but is garbage. 
     */
    byte[] getBytes();
    
	/**
     * Returns the size of the bytes returned by getBytes that is valid.
     */
    int size();
}
