package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Rectangle;

import javax.swing.AbstractButton;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

import com.sun.java.swing.plaf.windows.WindowsButtonUI;

public class DesktopButtonUI extends WindowsButtonUI {

	private final static DesktopButtonUI desktopButtonUI =
		new DesktopButtonUI();

	private Dimension minimumSize = new Dimension(73, 21);

	public static ComponentUI createUI(JComponent c) {
		return desktopButtonUI;
	}

	public Dimension getMinimumSize(JComponent c) {
		return minimumSize;
	}
	public Dimension getPreferredSize(JComponent c) {
		Dimension preferredSize = super.getPreferredSize(c);
		if (preferredSize.width < minimumSize.width)
			preferredSize.width = minimumSize.width;
		if (preferredSize.height < minimumSize.height)
			preferredSize.height = minimumSize.height;
		return preferredSize;
	}

	protected void paintText(
		Graphics g,
		AbstractButton b,
		Rectangle textRect,
		String text) {
		textRect.y -= 1;
		textRect.height += 1;
		super.paintText(g, b, textRect, text);
	}
}
