package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

import com.sun.java.swing.plaf.windows.WindowsCheckBoxMenuItemUI;

public class DesktopCheckBoxMenuItemUI extends WindowsCheckBoxMenuItemUI {
	
	public static ComponentUI createUI(JComponent c) {
		return new DesktopCheckBoxMenuItemUI();
	}

	private DesktopMenuItemRenderer renderer;

	private DesktopCheckBoxMenuItemUI() {
		renderer = new DesktopMenuItemRenderer(getPropertyPrefix());
	}

	protected void paintMenuItem(
		Graphics g,
		JComponent c,
		Icon checkIcon,
		Icon arrowIcon,
		Color background,
		Color foreground,
		int defaultTextIconGap) {
		renderer.paintMenuItem(g,c,checkIcon,arrowIcon,background,foreground, defaultTextIconGap);
	}

}
