package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.MetalTheme;

public class DesktopMetalThemeAdapter implements IDesktopTheme {

	private MetalTheme t;

	public DesktopMetalThemeAdapter(MetalTheme metalTheme) {
		this.t = metalTheme;
	}

	public String getName() {
		return t.getName();
	}

	public FontUIResource getControlTextFont() {
		return t.getControlTextFont();
	}

	public FontUIResource getSystemTextFont() {
		return t.getSystemTextFont();
	}

	public FontUIResource getUserTextFont() {
		return t.getUserTextFont();
	}

	public FontUIResource getMenuTextFont() {
		return t.getMenuTextFont();
	}

	public FontUIResource getWindowTitleFont() {
		return t.getWindowTitleFont();
	}

	public FontUIResource getInfoFont() {
		return t.getSubTextFont();
	}

	public ColorUIResource getFocusColor() {
		return t.getFocusColor();
	}

	public ColorUIResource getDesktopColor() {
		return t.getDesktopColor();
	}

	public ColorUIResource getControl() {
		return t.getControl();
	}

	public ColorUIResource getControlShadow() {
		return t.getControlShadow();
	}

	public ColorUIResource getControlDarkShadow() {
		return t.getControlDarkShadow();
	}

	public ColorUIResource getControlInfo() {
		return t.getControlInfo();
	}

	public ColorUIResource getControlLight() {
		return t.getControlHighlight();
	}

	public ColorUIResource getControlHighlight() {
		return t.getControlHighlight();
	}

	public ColorUIResource getControlDisabled() {
		return t.getControlDisabled();
	}

	public ColorUIResource getPrimaryControl() {
		return t.getPrimaryControl();
	}

	public ColorUIResource getPrimaryControlShadow() {
		return t.getPrimaryControlShadow();
	}

	public ColorUIResource getPrimaryControlDarkShadow() {
		return t.getPrimaryControlDarkShadow();
	}

	public ColorUIResource getPrimaryControlInfo() {
		return t.getPrimaryControlInfo();
	}

	public ColorUIResource getPrimaryControlLight() {
		return t.getPrimaryControlHighlight();
	}

	public ColorUIResource getPrimaryControlHighlight() {
		return t.getPrimaryControlHighlight();
	}

	public ColorUIResource getSystemTextColor() {
		return t.getSystemTextColor();
	}

	public ColorUIResource getControlTextColor() {
		return t.getControlTextColor();
	}

	public ColorUIResource getInactiveControlTextColor() {
		return t.getInactiveControlTextColor();
	}

	public ColorUIResource getInactiveSystemTextColor() {
		return t.getInactiveSystemTextColor();
	}

	public ColorUIResource getUserTextColor() {
		return t.getUserTextColor();
	}
	public ColorUIResource getTextHighlightColor() {
		return t.getTextHighlightColor();
	}

	public ColorUIResource getHighlightedTextColor() {
		return t.getHighlightedTextColor();
	}

	public ColorUIResource getWindowBackground() {
		return t.getWindowBackground();
	}

	public ColorUIResource getWindowTitleBackground() {
		return t.getWindowTitleBackground();
	}

	public ColorUIResource getWindowTitleForeground() {
		return t.getWindowTitleForeground();
	}

	public ColorUIResource getWindowTitleInactiveBackground() {
		return t.getWindowTitleInactiveBackground();
	}

	public ColorUIResource getWindowTitleInactiveForeground() {
		return t.getWindowTitleInactiveForeground();
	}

	public ColorUIResource getMenuBackground() {
		return t.getMenuBackground();
	}

	public ColorUIResource getMenuForeground() {
		return t.getMenuForeground();
	}

	public ColorUIResource getMenuSelectedBackground() {
		return t.getMenuSelectedBackground();
	}

	public ColorUIResource getMenuSelectedForeground() {
		return t.getMenuSelectedForeground();
	}

	public ColorUIResource getMenuDisabledForeground() {
		return t.getMenuDisabledForeground();
	}

	public ColorUIResource getSeparatorBackground() {
		return t.getSeparatorBackground();
	}

	public ColorUIResource getSeparatorForeground() {
		return t.getSeparatorForeground();
	}

	public ColorUIResource getAcceleratorForeground() {
		return t.getAcceleratorForeground();
	}

	public ColorUIResource getAcceleratorSelectedForeground() {
		return t.getAcceleratorSelectedForeground();
	}

	public ColorUIResource getScrollbarBackground() {
		return t.getControl();
	}

	public ColorUIResource getInfoBackground() {
		return t.getPrimaryControl();
	}

	public ColorUIResource getInfoForeground() {
		return t.getPrimaryControlInfo();
	}

	public ColorUIResource getInactiveUserTextColor() {
		return getInactiveControlTextColor();
	}
}
