package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.Icon;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

import com.sun.java.swing.plaf.windows.WindowsRadioButtonMenuItemUI;

public class DesktopRadioButtonMenuItemUI extends WindowsRadioButtonMenuItemUI {
	public static ComponentUI createUI(JComponent b) {
		return new DesktopRadioButtonMenuItemUI();
	}
	
	private DesktopMenuItemRenderer renderer;

	private DesktopRadioButtonMenuItemUI() {
		renderer = new DesktopMenuItemRenderer(getPropertyPrefix());
	}

	protected void paintMenuItem(
		Graphics g,
		JComponent c,
		Icon checkIcon,
		Icon arrowIcon,
		Color background,
		Color foreground,
		int defaultTextIconGap) {
		renderer.paintMenuItem(
			g,
			c,
			checkIcon,
			arrowIcon,
			background,
			foreground,
			defaultTextIconGap);
	}
}
