package gov.va.med.hds.cd.mum.boot.plaf.desktop;

import java.io.Serializable;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

import com.sun.java.swing.plaf.windows.WindowsTreeUI;

public class DesktopTreeUI extends WindowsTreeUI {

	public DesktopTreeUI() {
		super();
	}

	public static ComponentUI createUI(JComponent c) {
		return new DesktopTreeUI();
	}

	public static class TwistyExpandedIcon extends ImageIcon implements Serializable {
		
		private static final String EXPANDED_ICON = "icons/twistyOpen.gif";
		
		public static Icon createExpandedIcon() {
			return new TwistyExpandedIcon();
		}

		public TwistyExpandedIcon() {
			super(DesktopTreeUI.class.getResource(EXPANDED_ICON));
		}
	}

	public static class TwistyCollapsedIcon extends ImageIcon implements Serializable {
		
		private static final String COLLAPSED_ICON = "icons/twistyClosed.gif";
		
		public static Icon createCollapsedIcon() {
			return new TwistyCollapsedIcon();
		}

		public TwistyCollapsedIcon() {
			super(DesktopTreeUI.class.getResource(COLLAPSED_ICON));
		}
	}
}
