package gov.va.med.hds.cd.mum.update;

import gov.va.med.hds.cd.mum.boot.MUMException;

/**
 * Represents an invalid plugin directory condition.
 */
public class InvalidPluginDirectoryException extends MUMException {

	/**
     * Constructor for InvalidPluginDirectoryException with null as its detail message.
     */
	public InvalidPluginDirectoryException() {
		super();
	}

	/**
     * Constructor for InvalidPluginDirectoryException with the specified detail message.
     */
	public InvalidPluginDirectoryException(String message) {
		super(message);
	}

	/**
     * Constructor for InvalidPluginDirectoryException with the specified detail message and cause.
     */
	public InvalidPluginDirectoryException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for InvalidPluginDirectoryException with the specified cause.
     */
	public InvalidPluginDirectoryException(Throwable cause) {
		super(cause);
	}

}
