package gov.va.med.hds.cd.mum.update;

import gov.va.med.hds.cd.mum.boot.MUMException;

/**
 * Represents an error from JUnit when the -test or -guitest command line
 * parameters are used to run unit tests.
 */
public class TestFailureException extends MUMException {

	/**
     * Constructor for TestFailureException with null as its detail message.
     */
	public TestFailureException() {
		super();
	}

	/**
     * Constructor for TestFailureException with the specified detail message.
     */
	public TestFailureException(String message) {
		super(message);
	}

	/**
     * Constructor for TestFailureException with the specified detail message and cause.
     */
	public TestFailureException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for TestFailureException with the specified cause.
     */
	public TestFailureException(Throwable cause) {
		super(cause);
	}

}
