package gov.va.med.hds.cd.mum.update;

import gov.va.med.hds.cd.mum.boot.MUMException;

/**
 * Represents an error in the plugin update process.
 */
public class UpdateException extends MUMException {

	/**
     * Constructor for UpdateException with null as its detail message.
     */
	public UpdateException() {
		super();
	}

	/**
     * Constructor for UpdateException with the specified detail message.
     */
	public UpdateException(String message) {
		super(message);
	}

	/**
     * Constructor for UpdateException with the specified detail message and cause.
     */
	public UpdateException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
     * Constructor for UpdateException with the specified cause.
     */
	public UpdateException(Throwable cause) {
		super(cause);
	}

}
