package gov.va.med.hds.cd.mum.utils;

/**
 * This interface is used by the MUM when building configurations.  It informs
 * the MUM that a class which implements the IApplication interface, but
 * which also implements this interface, should not be considered an application
 * class. This is used mainly for testing purposes, to allow test classes to
 * implement the IApplication interface without actually specifying that class
 * as the application class in the configuration.
 */
public interface IIgnoreApplication {}
