package gov.va.med.hds.cd.print;

/**
 * Generally thrown when no print services are available
 */
public class NoPrintServicesException extends Exception {
	/**
	 * Constructor
	 */
	public NoPrintServicesException() {
		super();
	}
	/**
	 * Constructor
	 * @param message
	 */
	public NoPrintServicesException(String message) {
		super(message);
	}
	/**
	 * Constructor
	 * @param message
	 * @param cause
	 */
	public NoPrintServicesException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * Constructor
	 * @param cause
	 */
	public NoPrintServicesException(Throwable cause) {
		super(cause);
	}
}
