package gov.va.med.hds.cd.print;

/**
 * Generally thrown when a print dialog is cancelled by the user
 */
public class PrintDialogCancelledException extends Exception {
	/**
	 * Constructor
	 */
	public PrintDialogCancelledException() {
		super();
	}
	/**
	 * Constructor
	 * @param message
	 */
	public PrintDialogCancelledException(String message) {
		super(message);
	}
	/**
	 * Constructor
	 * @param message
	 * @param cause
	 */
	public PrintDialogCancelledException(String message, Throwable cause) {
		super(message, cause);
	}
	/**
	 * Constructor
	 * @param cause
	 */
	public PrintDialogCancelledException(Throwable cause) {
		super(cause);
	}
}
