package gov.va.med.hds.cd.prism.internal;

import gov.va.med.hds.cd.prism.DesktopWindowAdapter;
import gov.va.med.hds.cd.prism.DesktopWindowEvent;
import gov.va.med.hds.cd.prism.IDesktopWindowListener;
import gov.va.med.hds.cd.prism.PrismUtilities;
import gov.va.med.hds.cd.workspace.IWorkspace;

/**
 * TODO_SB: Provide description for "PatientScopeRegistrar".
 */
public class PatientScopeRegistrar extends DesktopWindowAdapter implements IDesktopWindowListener {

	private IWorkspace workspace;

	public PatientScopeRegistrar(IWorkspace workspace) {
		this.workspace = workspace;
	}

	public void windowOpening(DesktopWindowEvent e) {
		workspace.addScope(getScopeId(e));
	}

	public void windowClosed(DesktopWindowEvent e) {
		workspace.removeScope(getScopeId(e));
	}

	private String getScopeId(DesktopWindowEvent e) {
		return PrismUtilities.getPatientScopeId(e.getWindow());
	}
}
