package gov.va.med.hds.cd.prism.internal;

import gov.va.med.hds.cd.prism.DesktopCloseVetoException;
import gov.va.med.hds.cd.prism.DesktopEvent;
import gov.va.med.hds.cd.prism.IDesktopListener;
import gov.va.med.hds.cd.workspace.IWorkspace;
import gov.va.med.hds.cd.workspace.IWorkspaceConstants;

/**
 * TODO_SB: Provide description for "SessionScopeRegistrar".
 */
public class SessionScopeRegistrar implements IDesktopListener, IWorkspaceConstants {

	private IWorkspace workspace;

	public SessionScopeRegistrar(IWorkspace workspace) {
		this.workspace = workspace;
	}

	public void desktopOpening(DesktopEvent e) {
		workspace.addScope(SESSION_SCOPE);
	}

	public void desktopClosing(DesktopEvent e)
		throws DesktopCloseVetoException {
		// NOOP
	}

	public void desktopClosed(DesktopEvent e) {
		workspace.removeScope(SESSION_SCOPE);
	}

}
