package gov.va.med.hds.cd.prism.menu.internal;

public class ContextNode extends MenuTreeNode {
	
	private MenuTreeNode node;
	private String contextId;
	
	public ContextNode(MenuTreeNode node, String contextId) {
		super(node.getId());
		this.node = node;
		this.contextId = contextId;
	}

	public MenuTreeNode getNode() {
		return node;
	}

	public String getContextId() {
		return contextId;
	}

	public void accept(IMenuTreeNodeVisitor visitor) {
		visitor.visit(this);
	}
}
