package gov.va.med.hds.cd.prism.menu.internal;


public abstract class MenuTreeNode implements Cloneable {

	private String id;
	

	protected MenuTreeNode(String id) {
		this.id = id;
	}

	public String getId() {
		return id;
	}

	public abstract void accept(IMenuTreeNodeVisitor visitor);
	
	public Object clone() {
		try {
			return super.clone();
		} catch (CloneNotSupportedException e) {
			return null;
		}
	}
}
