package gov.va.med.hds.cd.prism.test;

import junit.framework.Test;
import junit.framework.TestSuite;


public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for gov.va.med.hds.cd.prism.test");
		//$JUnit-BEGIN$
		suite.addTestSuite(SelectionTrackerTest.class);
		suite.addTest(RegistryTableModelTest.suite());
		suite.addTestSuite(TableSelectionProviderTest.class);
		suite.addTestSuite(TreeSelectionProviderTest.class);
		suite.addTestSuite(ActionRegistryReaderTest.class);
		suite.addTestSuite(DelegatingActionTest.class);
		suite.addTestSuite(ActionMapBuilderTest.class);
		suite.addTestSuite(MenuTreeTest.class);
		suite.addTestSuite(MenuTreeReaderTest.class);
		suite.addTest(MenuFactoryTest.suite());
		suite.addTestSuite(VisualComponentRegistryReaderTest.class);
		suite.addTestSuite(ActivePerspectiveModelTest.class);
		suite.addTestSuite(ComponentNodeTest.class);
		suite.addTestSuite(ValidLayoutReaderTest.class);
		suite.addTestSuite(PerspectiveRegistryReaderTest.class);
		suite.addTestSuite(DesktopWindowManagerTest.class);
		suite.addTestSuite(PerspectiveManagerTest.class);
		suite.addTestSuite(VisualComponentManagerTest.class);
		suite.addTestSuite(WindowVisualComponentEventSourceTest.class);
		suite.addTestSuite(DesktopPerspectiveEventSourceTest.class);
		suite.addTestSuite(DesktopVisualComponentEventSourceTest.class);
		suite.addTestSuite(PerspectiveScopeRegistrarTest.class);
		suite.addTestSuite(VisualComponentEventRegistrarTest.class);
		//$JUnit-END$
		return suite;
	}
}
