package gov.va.med.hds.cd.prism;

import java.util.EventObject;

/**
 * A "Desktop" event gets delivered whenever the desktop is either opening or
 * closing. A <code>DesktopEvent</code> object is sent as an argument to the
 * <code>IDesktopListener</code> methods.
 */
public class DesktopEvent extends EventObject {
	/**
	 * Constructs a <code>DesktopEvent</code> with the specified event source.
	 * @see java.util.EventObject#EventObject(Object)
	 */
	public DesktopEvent(Object source) {
		super(source);
	}

}
