package gov.va.med.hds.cd.prism;

import java.util.EventListener;

/**
 * Interface for listening to selection events in the desktop.
 * 
 * This interface may be implemented by clients.
 */
public interface ISelectionListener extends EventListener {
	/**
	 * Called whenever the value of the selection changes.
	 * 
	 * @param event the event that characterizes the change
	 */
	public void selectionChanged(SelectionEvent event);
}
