package gov.va.med.hds.cd.prism.action;

import gov.va.med.hds.cd.prism.IDesktop;
import gov.va.med.hds.cd.prism.PrismUtilities;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IExecutableExtension;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

public abstract class AbstractAction extends javax.swing.AbstractAction implements IExecutableExtension {
	
	protected IActionDescriptor descriptor;
	protected IRuntimeContext runtime;

	public IActionDescriptor getDescriptor() {
		return descriptor;
	}

	protected IDesktop getDesktop() {
		return PrismUtilities.getDesktop(this.runtime);
	}
	
	/* @see gov.va.med.hds.cd.runtime.IExecutableExtension#setInitializationData(gov.va.med.hds.cd.runtime.IRuntimeContext, gov.va.med.hds.cd.runtime.IConfigurationElement, java.lang.String, java.lang.Object) */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName,
		Object data)
		throws Exception {
		this.runtime = runtime;
		if (data instanceof IActionDescriptor) {
			this.descriptor = (IActionDescriptor) data;
		}
	}
}
