package gov.va.med.hds.cd.prism.action;

import java.util.Map;

import javax.swing.Action;

import gov.va.med.hds.cd.workspace.ListenerOfEventDescriptor;
import gov.va.med.hds.cd.workspace.SourceOfEventDescriptor;

public interface IActionDescriptor {
	String getId();
	String getActionClassName();
	Map getProperties();
	boolean isActionAvailable();
	SourceOfEventDescriptor[] getSourceOfEventDescriptors();
	ListenerOfEventDescriptor[] getListenerOfEventDescriptors();
	void addActionAvailableListener(IActionAvailableListener l);
	void removeActionAvailableListener(IActionAvailableListener l);
	Action createAction() throws Exception;
}
