package gov.va.med.hds.cd.prism.perspective;

import java.awt.Component;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;

/**
 * TODO_SB: Provide description for "PerspectiveDescriptorListCellRenderer".
 */
public class PerspectiveDescriptorListCellRenderer extends DefaultListCellRenderer {

	/**
	 *
	 */
	public Component getListCellRendererComponent(
		JList list,
		Object value,
		int index,
		boolean isSelected,
		boolean cellHasFocus) {
		if (value instanceof IPerspectiveDescriptor) {
			IPerspectiveDescriptor descriptor = (IPerspectiveDescriptor) value;
			return super.getListCellRendererComponent(
				list,
				descriptor.getName(),
				index,
				isSelected,
				cellHasFocus);
		} else {
			return super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
		}
	}

}
