package gov.va.med.hds.cd.prism.visualcomponent;

/**
 * An IVisualComponentEventSource tracks the creation and activation of
 * visual components within a desktop perspective. 
 * 
 * This interface is not intended to be implemented by clients. 
 * 
 * @see gov.va.med.hds.cd.prism.IVisualComponent
 */
public interface IVisualComponentEventSource {
	public IVisualComponentReference getActiveVisualComponent();

	public void addVisualComponentListener(IVisualComponentListener l);

	public void removeVisualComponentListener(IVisualComponentListener l);
}
