package gov.va.med.hds.querytool;

import java.util.LinkedList;
import java.util.List;

/**
 * Implementation of an ICriteriaItem.
 */
public class CriteriaItem implements ICriteriaItem {
	private int order = 0;
	private String tag = null;
	private String caption = null;
	private String constraintName = null;
	private Object editorID = NULL_EDITOR;
	private List values = new LinkedList();

	public CriteriaItem() {
		super();
	}

	public String getCaption() {
		return caption;
	}

	public Object getEditorID() {
		return editorID;
	}

	public String getConstraintName() {
		return constraintName;
	}

	public int getOrder() {
		return order;
	}

	public String getTag() {
		return tag;
	}

	public List getValues() {
		return values;
	}

	public void setCaption(String caption) {
		this.caption = caption;
	}

	public void setEditorID(Object editorID) {
		this.editorID = editorID;
	}

	public void setConstraintName(String name) {
		this.constraintName = name;
	}

	public void setOrder(int order) {
		this.order = order;
	}

	public void setTag(String tag) {
		this.tag = tag;
	}

}
