/*
 * Initially Created on Jun 10, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import java.util.HashMap;
import java.util.Map;

/**
 * Creates a map of querytool actions to querytool states.
 */
public class EventToStateFactory {

	public static Map getEventsToStatesMap() {
		Map map = new HashMap();
		
		map.put(Integer.toString(IQueryToolEvent.CONFIRM_DELETE), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.CURRENT_QUERY_SET), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.EDIT_PARAMETER), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.EDIT_QUERY), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.ERROR), null);
		map.put(Integer.toString(IQueryToolEvent.EXPORT), null);
		map.put(Integer.toString(IQueryToolEvent.HOME_PAGE), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.MESSAGE), null);
		map.put(Integer.toString(IQueryToolEvent.NO_EVENT), null);
		map.put(Integer.toString(IQueryToolEvent.PRINT), null);
		map.put(Integer.toString(IQueryToolEvent.RENAME), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.RUN_COMPLETE), IQueryTool.VIEW_STATE);
		map.put(Integer.toString(IQueryToolEvent.RUN_COMPLETE_NON_SENSITIVE), IQueryTool.SENSITIVE_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.RUN_STARTED), IQueryTool.EXECUTE_MAIN_STATE);
		map.put(Integer.toString(IQueryToolEvent.RUN_RESTARTED), IQueryTool.EXECUTE_SENSITIVE_STATE);
		map.put(Integer.toString(IQueryToolEvent.SAVE_AS), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.SELECT), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.UNSELECT), IQueryTool.SELECT_AND_EDIT_STATE);
		map.put(Integer.toString(IQueryToolEvent.STOPPED), null);
		
		return map;
	}

}
