/*
 * Initially Created on Jun 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

/**
 * Implements the sensitive patient list item interface.
 */
public class SensitiveListItem implements ISensitiveListItem {
	private String name = "";
	private Object id = "";
	private IPrivacyLevel privacyLevel;
	private boolean checked = false;

	public SensitiveListItem() {
		super();
	}

	public SensitiveListItem(Object patientID, String name, IPrivacyLevel privacyLevel, boolean checked) {
		super();
		this.id = patientID;
		this.name = name;
		this.privacyLevel = privacyLevel;
		this.checked = checked;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Object getPatientID() {
		return id;
	}

	public void setPatientID(Object id) {
		this.id = id;
	}

	public IPrivacyLevel getPrivacyLevel() {
		return privacyLevel;
	}

	public void setPrivacyLevel(IPrivacyLevel level) {
		this.privacyLevel = level;
	}

	public boolean isChecked() {
		return checked;
	}

	public void setChecked(boolean checked) {
		this.checked = checked;
	}

	public String toString() {
		return name;
	}

}
