/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Edit cancel action
 */
public class EditCancel extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public EditCancel(IQueryTool queryTool) {
		super(queryTool, IQueryTool.EDIT_CANCEL_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.EDIT_CANCEL_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		if (qt.getCurrentQuery().isNullQueryID()) {
			qt.setCurrentQuery(null);
		}
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.HOME_PAGE));
	}

	public void validateState() {
		setEnabled(qt.getQueryCollection()!=null && qt.getResultsModel()==null && qt.getRunModel()==null && qt.getCurrentQuery()!=null);
		super.validateState();
	}

}
