/*
 * Initially Created on Jun 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * 
 */
public class EditParmComplete
	extends AbstractQueryAction
	implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public EditParmComplete(IQueryTool queryTool) {
		super(queryTool, IQueryTool.EDIT_PARM_COMPLETE_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.EDIT_PARM_COMPLETE_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		IQueryAction action = (IQueryAction)qt.getQueryAction(IQueryTool.RUN_ACTION);
		if (action!=null) {
			action.validateState();
		}
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null && qt.getResultsModel()==null && qt.getRunModel()==null);
		super.validateState();
	}

}
