/*
 * Initially Created on Jun 9, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Home state/page action
 */
public class Home extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public Home(IQueryTool queryTool) {
		super(queryTool, IQueryTool.HOME_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.HOME_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		if (qt.getRunModel()!=null) {
			qt.getRunModel().clear();
		}
		qt.dispatchEvent(new QueryToolEvent(qt, IQueryToolEvent.HOME_PAGE));
	}

	public void validateState() {
		setEnabled(true);
		super.validateState();
	}

}
