/*
 * Initially Created on Jun 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Rename query action.
 */
public class Rename extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public Rename(IQueryTool queryTool) {
		super(queryTool, IQueryTool.RENAME_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.RENAME_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.RENAME));
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null && qt.getQueryCollection()!=null && !qt.getQueryCollection().isPredefinedQuery(qt.getCurrentQuery()));
		super.validateState();
	}

}
