/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * Run complete action
 */
public class RunComplete extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public RunComplete(IQueryTool queryTool) {
		this(queryTool, IQueryTool.RUN_COMPLETE_ACTION, IQueryTool.RUN_COMPLETE_CHAR);
	}

	public RunComplete(IQueryTool queryTool, String actionName, char mnemonic) {
		super(queryTool, actionName);
		putValue(Action.MNEMONIC_KEY, new Integer(mnemonic));
	}
	
	public void dispatchActionEvent(IQueryActionEvent e) {
		qt.setupResultsTable();
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.RUN_COMPLETE));
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null && qt.getRunModel()!=null);
		super.validateState();
	}

}
