/*
 * Created on Jun 3, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.actions;

import javax.swing.Action;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

/**
 * Run complete with error action
 */
public class RunCompleteError
	extends AbstractQueryAction
	implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public RunCompleteError(IQueryTool queryTool) {
		super(queryTool, IQueryTool.RUN_COMPLETE_ERROR_ACTION);
		super.putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.RUN_COMPLETE_ERROR_CHAR));
	}

	public void dispatchActionEvent(IQueryActionEvent e) {
		logger.error("Error executing query.",qt.getError());
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.MESSAGE));
		qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.HOME_PAGE));
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null && qt.getRunModel()!=null);
		super.validateState();
	}

}
