/*
 * Initially Created on Jun 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.actions;

import gov.va.med.hds.querytool.IQueryAction;
import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.IQueryToolEvent;
import gov.va.med.hds.querytool.QueryToolEvent;
import gov.va.med.hds.querytool.ui.IQueryActionEvent;

import javax.swing.Action;

/**
 * SaveAs action.
 */
public class SaveAs extends AbstractQueryAction implements IQueryAction {

	/**
	 * @param queryTool
	 */
	public SaveAs(IQueryTool queryTool) {
		super(queryTool, IQueryTool.SAVEAS_ACTION);
		putValue(Action.MNEMONIC_KEY, new Integer(IQueryTool.SAVEAS_CHAR));
	}
	
	public void dispatchActionEvent(IQueryActionEvent e) {
		if (qt.getCurrentQuery()!=null) {
			qt.dispatchEvent(new QueryToolEvent(this, IQueryToolEvent.SAVE_AS));
		}
	}

	public void validateState() {
		setEnabled(qt.getCurrentQuery()!=null);
		super.validateState();
	}

}
