/*
 * Initially Created on Jun 23, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.dao.factory;

import gov.va.med.hds.cd.daoregistry.IDaoRegistry;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.dao.IConsultServiceAllDAO;
import gov.va.med.hds.querytool.dao.INameValuePairDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;
import gov.va.med.hds.querytool.ui.types.IReferenceDAOFactory;

/**
 * 
 */
public class ConsServAllRefFactory implements IReferenceDAOFactory {

	public INameValuePairDAO getReferenceDAO (
		IRuntimeContext runtime,
		IDaoRegistry daoRegistry)
		throws QueryDAOException {
		
		try {
			return (INameValuePairDAO)daoRegistry.getDAO(IConsultServiceAllDAO.class.getName());
		}
		catch (Exception e) {
			throw new QueryDAOException(e);
		}
	}

}
