package gov.va.med.hds.querytool.m;

import java.util.Map;

public class Entry implements Map.Entry {
	private Object key;
	private Object value;

	private Entry() {
	}

	public Entry(Object key, Object value) {
		this.key = key;
		this.value = value;
	}

	/**
	 * @see java.util.Map.Entry#getKey()
	 */
	public Object getKey() {
		return key;
	}

	/**
	 * @see java.util.Map.Entry#getValue()
	 */
	public Object getValue() {
		return value;
	}

	/**
	 * @see java.util.Map.Entry#setValue(Object)
	 */
	public Object setValue(Object value) {
		Object result = this.value;
		this.value = value;
		return result;
	}

}
