package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.IDocStatusListDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M implementation of a document status reference DAO.
 */
public class MDocStatusListDAO extends MAbstractReferenceDAO implements IDocStatusListDAO {

	public String getCallName() {
		return "DOCSTS";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
