package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.IOrderSetRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M implementation of an Order set reference DAO.
 */
public class MOrderSetRefDAO extends MAbstractReferenceDAO implements IOrderSetRefDAO {

	public String getCallName() {
		return "OISETS";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
