package gov.va.med.hds.querytool.m;

import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.querytool.dao.IProcedureListDAOFactory;

/**
 * Procedure long list M DAO factory
 */
public class MProcedureListDAOFactory extends AbstractMDAO implements IProcedureListDAOFactory {

	public IDataNeededListener getBufferModelDAO() throws BufferModelException {
		return new MBufferListDAO(new MProcedureListCalls(), mumps, runtime);
	}

}
