package gov.va.med.hds.querytool.m;

import gov.va.med.hds.querytool.dao.ISpecialtyRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * M implementation of a DAO for specialty references.
 */
public class MSpecialtyRefDAO
	extends MAbstractReferenceDAO
	implements ISpecialtyRefDAO {

	public String getCallName() {
		return "SPECIALTIES";
	}

	public Object getValue(Object item) throws QueryDataDAOException {
		return StringUtil.toMixedCase(super.getValue(item).toString());
	}

}
