package gov.va.med.hds.querytool.m;

import gov.va.med.hds.cd.spectrum.longlist.BufferModelException;
import gov.va.med.hds.cd.spectrum.longlist.IDataNeededListener;
import gov.va.med.hds.querytool.dao.ITitleListDAOFactory;

/**
 * Title long list M DAO factory
 */
public class MTitleListDAOFactory extends AbstractMDAO implements ITitleListDAOFactory {

	public IDataNeededListener getBufferModelDAO() throws BufferModelException {
		return new MBufferListDAO(new MTitleListCalls(), mumps, runtime);
	}

}
