/*
 * Initially Created on Jun 26, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.m;

import gov.va.med.hds.cd.m.ICallRequest;
import gov.va.med.hds.cd.m.MumpsException;
import gov.va.med.hds.querytool.dao.IPatInfoDAO;

/**
 * Patient information DAO for M; returns data in a sort of report format (to be displayed like a document.)
 */
public class PatInfoDAO extends MAbstractDetailDAO implements IPatInfoDAO {

	public String getCallString() {
		return "ORWPT PTINQ";
	}

	public void callFailed(ICallRequest request, MumpsException e) {
		logger.error("Error getting patient information.", e);
	}

}
