package gov.va.med.hds.querytool.m.formatter;

import java.text.SimpleDateFormat;

import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.dao.formatter.order.IDatetime;
import gov.va.med.hds.util.mumps.StringUtil;

/**
 * @author vhaislmonsos
 *
 * Feb 20, 2003 1:02:52 PM
 */
public class MDatetime implements IDatetime {

	/**
	 * @see gov.va.med.hds.querytool.dao.formatter.IFormatter#format(java.lang.Object)
	 */
	public Object format(Object item) {
		if (item == null)
			return null;
		if (item.toString().trim().length() > 6) {
			SimpleDateFormat dateFormat = new SimpleDateFormat("MM/dd/yy HH:mm");
			return dateFormat.format(StringUtil.fmDateToDate(item.toString()));
		} else {
			return "";
		}
	}

	/**
	 * @see gov.va.med.hds.cd.daoregistry.IDataAccessObject#init(gov.va.med.hds.cd.runtime.IRuntimeContext)
	 */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName, Object data)
		throws Exception {
	}

}
