/*
 * Initially Created on Jun 10, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.state;

import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.IQueryTool;

import java.util.HashMap;
import java.util.Map;

/**
 * Creates a map of querytool states.
 */
public class StateFactory {

	public static Map getStates(IRuntimeContext runtime) {
		Map map = new HashMap();
		
		map.put(IQueryTool.SELECT_AND_EDIT_STATE, new SelectAndEdit(runtime));
		map.put(IQueryTool.EXECUTE_MAIN_STATE, new QueryExecuteMain(runtime));
		map.put(IQueryTool.EXECUTE_SENSITIVE_STATE, new QueryExecuteSensitive(runtime));
		map.put(IQueryTool.SENSITIVE_EDIT_STATE, new SensitiveReview(runtime));
		map.put(IQueryTool.VIEW_STATE, new ViewCompleteState(runtime));
		
		return map;
	}
}
