package gov.va.med.hds.querytool.types;


/**
 * An empty value for the purposes of displaying a "Loading" message.
 */
public class Empty extends AbstractType {

	/**
	 * Constructor for Empty.
	 */
	public Empty() {
		super();
		setConstraintName("<empty>");
		setID("0");
	}

	/**
	 * @see gov.va.med.hds.querytool.IValue#getEmptyDisplayText()
	 */
	public String getEmptyDisplayText() {
		return "Loading Parameter Data...";
	}

	/**
	 * @see gov.va.med.hds.querytool.IValue#getEditorID()
	 */
	public Object getEditorID() {
		return "-1";
	}

}
