package gov.va.med.hds.querytool.types;


/**
 * A non-edited value that is simply a placeholder for database specific data for 
 * this particular parameter.
 */
public class NoEditor extends AbstractType {

	/**
	 * Constructor for NoEditor.
	 */
	public NoEditor() {
		super();
		super.setIsReadOnly(true);
	}

	/**
	 * Constructor for NoEditor.
	 * @param id
	 */
	public NoEditor(String id) {
		super(id);
		super.setIsReadOnly(true);
	}

	/**
	 * @see gov.va.med.hds.querytool.types.AbstractType#getEmptyDisplayText()
	 */
	public String getEmptyDisplayText() {
		return "";
	}

}
