package gov.va.med.hds.querytool.itest;

import javax.swing.JFrame;

import junit.extensions.jfcunit.JFCTestCase;
import junit.extensions.jfcunit.JFCTestHelper;

/**
 * @author vhaislmonsos
 *
 */
public class AbstractJFCTestCase extends JFCTestCase {
	JFCTestHelper helper = new JFCTestHelper();
	JFrame frame;


	/**
	 * Constructor for AbstractJFCTestCase.
	 */
	public AbstractJFCTestCase() {
		super();
	}

	/**
	 * Constructor for AbstractJFCTestCase.
	 * @param name
	 */
	public AbstractJFCTestCase(String name) {
		super(name);
	}

	protected void tearDown() throws Exception {
		JFCTestHelper.cleanUp(this);
		JFCTestHelper.disposeWindow(frame,this);
		super.tearDown();
	}

}
