/*
 * Initially Created on Jun 23, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.dao.IConsultServiceAllDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;

import java.util.HashMap;
import java.util.Map;

/**
 * Tests for the consult services M DAO that returns the "all services" entry key and value.
 */
public class ConsultServiceAllDAOTest extends MAbstractTestCase {
	private IConsultServiceAllDAO dao;

	public ConsultServiceAllDAOTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ConsultServiceAllDAOTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
		dao = (IConsultServiceAllDAO)daoRegistry.getDAO(IConsultServiceAllDAO.class.getName());
	}

	public void testGet() throws QueryDataDAOException {
		Map items = new HashMap();
		dao.get(items);
		assertEquals("ConsultServiceAllDAO.get failed:",1,items.size());
		assertEquals("ConsultServiceAllDAO.get failed:","ALL SERVICES",items.get("30"));
	}

	public void testGetKey() throws QueryDataDAOException {
		assertEquals("ConsultServiceAllDAO.getKey failed:","2",dao.getKey("1^2"));
	}

	public void testGetValue() throws QueryDataDAOException {
		assertEquals("ConsultServiceAllDAO.getKey failed:","1",dao.getValue("1^2"));
	}

}
