package gov.va.med.hds.querytool.itest;
import gov.va.med.hds.querytool.dao.IOrderSetRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

/**
 * Tests for the M order set reference DAO
 */
public class MOrderSetRefDAOTest extends MAbstractTestCase {
	private IOrderSetRefDAO docStatusListDAO;

	/**
	 * Constructor for MDocStatusListDAOTest.
	 * @param arg0
	 */
	public MOrderSetRefDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(MOrderSetRefDAOTest.class);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		docStatusListDAO = (IOrderSetRefDAO)daoRegistry.getDAO(IOrderSetRefDAO.class.getName());
	}

	public void testGet() throws QueryDataDAOException {
		Map docStatus = new HashMap();
		docStatusListDAO.get(docStatus);
		assertEquals("MOrderSetRefDAO.get failed:",31,docStatus.size());
		String[] values = (String[]) docStatus.values().toArray(new String[0]);
		Arrays.sort(values);
		assertEquals("MOrderSetRefDAO.get failed:","(No Limit)",values[0]);
		assertEquals("MOrderSetRefDAO.get failed:","Vitals/Measurements",values[30]);
		String[] keys = (String[])docStatus.keySet().toArray(new String[0]);
		assertEquals("MOrderSetRefDAO.get failed:",31,keys.length);
		assertEquals("MOrderSetRefDAO.get failed:","(No Limit)",docStatus.get(""));
		
	}

}
