package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.IDetailReceivable;
import gov.va.med.hds.querytool.dao.IPatDetailDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;

/**
 * @author vhaislmonsos
 *
 */
public class MPatDetailDAOTest extends MAbstractTestCase {
	private IPatDetailDAO patDetailDAO;
	private String text;

	/**
	 * Constructor for MPatDetailDAOTest.
	 * @param arg0
	 */
	public MPatDetailDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
	}

	/**
	 * @see MAbstractTestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		patDetailDAO = (IPatDetailDAO)daoRegistry.getDAO(IPatDetailDAO.class.getName());
	}

	public void testGetDetailRequest() throws QueryDAOException, InterruptedException {
		patDetailDAO.getDetailRequest("ORD:7091661;1",new IDetailReceivable() {
			public void setDetail(String string) {
				synchronized(MPatDetailDAOTest.this) {
					MPatDetailDAOTest.this.notify();
				}
				text = string;
			}
		});
		synchronized(this) {
			this.wait(5000);
		}
		assertEquals("MPatDetailDAOTest.getDetailRequest failed:","75",text);
	}

}
