package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.dao.IRegistryRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import java.util.HashMap;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author vhaislmonsos
 *
 */
public class MRegistryRefDAOTest extends MAbstractTestCase {
	private IRegistryRefDAO registryRefDAO;

	/**
	 * Constructor for MRegistryRefDAO.
	 * @param arg0
	 */
	public MRegistryRefDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
	}
	
	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		registryRefDAO = (IRegistryRefDAO)daoRegistry.getDAO(IRegistryRefDAO.class.getName());
	}
	
	public void testGetRef() throws QueryDataDAOException {
		TreeMap sorted = registryRefDAO.get(new HashMap());
		Map.Entry item = (Map.Entry) sorted.values().iterator().next();
		assertEquals("MRegistryRefDAO.get failed:",1,sorted.size());
		assertEquals("MRegistryRefDAO.get failed:","VA HEPC",item.getKey());
		assertEquals("MRegistryRefDAO.get failed:","Local HepC Registry",item.getValue());
	}

}
