package gov.va.med.hds.querytool.itest;

import gov.va.med.hds.querytool.IValue;
import gov.va.med.hds.querytool.types.ITypeFactory;
import gov.va.med.hds.querytool.types.PatientSelection;
import gov.va.med.hds.querytool.types.TimeFrame;
import gov.va.med.hds.querytool.types.TypeFactory;

/**
 * Tests for the TypeFactory.
 */
public class TypeFactoryTest extends MAbstractTestCase {
	private ITypeFactory typeFactory;

	/**
	 * Constructor for TypeFactoryTest.
	 * @param name
	 */
	public TypeFactoryTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(TypeFactoryTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
		typeFactory = new TypeFactory(runtime);
	}
	
	public void testGetValue() {
		IValue value = typeFactory.getValue("1");
		assertNotNull("TypeFactory.getValue failed: null value returned.",value);
		assertEquals("TypeFactory.getValue failed:",PatientSelection.class,value.getClass());
		value = typeFactory.getValue("2");
		assertNotNull("TypeFactory.getValue failed: null value returned.",value);
		assertEquals("TypeFactory.getValue failed:",TimeFrame.class,value.getClass());
	}
	
}
