package gov.va.med.hds.querytool.test;

import java.util.Date;

import gov.va.med.hds.cd.runtime.test.RuntimeTestCase;
import gov.va.med.hds.querytool.ui.types.DateRangePanel;

import javax.swing.JFrame;

/**
 * @author vhaislmonsos
 *
 */
public class DateRangePanelTester extends RuntimeTestCase {

	/**
	 * Constructor for SpecDatesPanelTester.
	 * @param name
	 */
	public DateRangePanelTester(String name) {
		super(name);
	}

	public DateRangePanelTester() {
		super("SpecDatesPanelTester");
	}
	
	public static void main(String[] args) {
		DateRangePanelTester tester = new DateRangePanelTester();
		tester.runIt();
	}
	
	public void runIt() {
		try {
			super.setUp();
			parseRegistryResource("QueryToolTest.xml");
			JFrame frame = new JFrame("BufferedSlushBucket");
			DateRangePanel dateRangePanel = new DateRangePanel(new Date());
			dateRangePanel.setRuntime(getRuntime());
			dateRangePanel.init();
			frame.getContentPane().add(dateRangePanel);
			frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	
			frame.pack();
			frame.show();
	
		}
		catch (Exception ioe) {
			ioe.printStackTrace();
		}

	}
}
