/*
 * Created on Jun 20, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.EventToStateFactory;
import gov.va.med.hds.querytool.IQueryToolEvent;

import java.util.Map;

import junit.framework.TestCase;

/**
 * Tests for the EventToStateFactory
 */
public class EventToStateFactoryTest extends TestCase {
	private Map map;

	public EventToStateFactoryTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
	}

	public void testGetEventsToStatesMap() {
		map = EventToStateFactory.getEventsToStatesMap();
		assertEquals("EventToStateFactory.getEventsToStatesMap failed:",19,map.size());
		checkKey(IQueryToolEvent.CONFIRM_DELETE);
		checkKey(IQueryToolEvent.CURRENT_QUERY_SET);
		checkKey(IQueryToolEvent.EDIT_PARAMETER);
		checkKey(IQueryToolEvent.EDIT_QUERY);
		checkKey(IQueryToolEvent.ERROR);
		checkKey(IQueryToolEvent.EXPORT);
		checkKey(IQueryToolEvent.HOME_PAGE);
		checkKey(IQueryToolEvent.MESSAGE);
		checkKey(IQueryToolEvent.NO_EVENT);
		checkKey(IQueryToolEvent.PRINT);
		checkKey(IQueryToolEvent.RENAME);
		checkKey(IQueryToolEvent.RUN_COMPLETE);
		checkKey(IQueryToolEvent.RUN_COMPLETE_NON_SENSITIVE);
		checkKey(IQueryToolEvent.RUN_RESTARTED);
		checkKey(IQueryToolEvent.RUN_STARTED);
		checkKey(IQueryToolEvent.SAVE_AS);
		checkKey(IQueryToolEvent.SELECT);
		checkKey(IQueryToolEvent.STOPPED);
		checkKey(IQueryToolEvent.UNSELECT);
	}
	
	private void checkKey(int key) {
		assertTrue("EventToStateFactory.getEventsToStatesMap failed: missing key.",map.containsKey(Integer.toString(key)));
	}

}
