/*
 * Created on Jul 1, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.test;

import gov.va.med.hds.clinicaldata.PatientDemographics;
import gov.va.med.hds.querytool.IDetailReceivable;
import gov.va.med.hds.querytool.IDisplayField;
import gov.va.med.hds.querytool.IPatDetailReceivable;
import gov.va.med.hds.querytool.IQuery;
import gov.va.med.hds.querytool.IReportRow;
import gov.va.med.hds.querytool.dao.ICompleteQueryDataDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;
import gov.va.med.hds.querytool.m.ReportRow;

public class MockCompleteQueryDataDAO
	extends AbstractMockDAO
	implements ICompleteQueryDataDAO {
	private IQuery q;

	public IReportRow[] getReportRow(int fromIndex, int toIndex)
		throws QueryDAOException {
		IReportRow[] rows = new ReportRow[10];
		for (int i = 0; i < rows.length; i++) {
			IReportRow row = new ReportRow("qwerty");
			for (int j = 0; j < q.getDisplayFields().size(); j++) {
				row.addItem(new String(q.getDisplayFields().get(j).getDisplayText()));
			}
			rows[i] = row;
		}
		return rows;
	}

	public void detailResultsRequest(
		IReportRow row,
		IDetailReceivable dataUser)
		throws QueryDAOException {
		dataUser.setDetail("This is ALL you get!");

	}

	public void patientInfoRequest(
		IReportRow row,
		IPatDetailReceivable dataUser)
		throws QueryDAOException {
		dataUser.setPatient(new PatientDemographics("1","Mainerd","555112222","19500101"));
	}

	public void setSortField(IDisplayField field, boolean ascending) throws QueryDAOException {}

	public void setQuery(IQuery query) {
		this.q = query;
	}

}
