package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.dao.IDocClassRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import gov.va.med.hds.querytool.m.Entry;

import java.util.Map;
import java.util.TreeMap;

/**
 * @author vhaislmonsos
 *
 * Dec 17, 2002 12:09:44 PM
 */
public class MockMDocClassRefDAO extends MockMAbstractNameValueDAO implements IDocClassRefDAO {
	private TreeMap tree;

	public MockMDocClassRefDAO() {
		super();
		tree = super.getSortedMap();
	}
	
	public TreeMap get(Map items) throws QueryDataDAOException {
		String result = callBroker();
		String[] results = result.split("\\n");
		String key = null;
		String value = null;
		items.clear();
		for (int i=0;i<results.length;i++) {
			key = getKey(results[i]).toString();
			value = getValue(results[i]).toString();
			items.put(key,value);
			tree.put(value+key,new Entry(key,value));
		}
		return tree;
	}
	
	/**
	 * Method callBroker.
	 */
	private String callBroker() {
		String items = 	"3^Progress Notes\n" + 
						"244^Discharge Summaries\n" + 
						"677^Consults\n" + 
						"964^Rad/Nuc Med Reports\n" +
						"1143^Clinical Procedures";
		return items;
	}

}
