package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.dao.IOrderSetRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author vhaislmonsos
 *
 */
public class MockMOrderSetRefDAO extends MockMAbstractNameValueDAO implements IOrderSetRefDAO {
	private TreeMap tree;
	
	public MockMOrderSetRefDAO() {
		super();
		tree = super.getSortedMap();
	}

	/**
	 * @see gov.va.med.hds.querytool.dao.INameValuePairDAO#get(Map)
	 */
	public TreeMap get(Map items) throws QueryDataDAOException {
		items.clear();
		items.put("1","Line 1");
		items.put("2","Line 2");
		items.put("3","Line 3");
		items.put("4","Line 4");
		for (Iterator i = items.entrySet().iterator(); i.hasNext();) {
			Map.Entry e = (Map.Entry) i.next();
			tree.put(e.getValue().toString()+e.getKey().toString(),e);
		}
		return tree;
	}

}
