package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.dao.ISpecialtyRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author vhaislmonsos
 *
 * Jan 8, 2003 1:51:02 PM
 */
public class MockMSpecialtyRefDAO
	extends MockMAbstractNameValueDAO
	implements ISpecialtyRefDAO {
	private TreeMap tree;
	
	public MockMSpecialtyRefDAO() {
		super();
		tree = super.getSortedMap();
	}

	/**
	 * @see gov.va.med.hds.querytool.dao.INameValuePairDAO#get(Map)
	 */
	public TreeMap get(Map items) throws QueryDataDAOException {
		items.clear();
		items.put("7", "BLIND REHAB OBSERVATION");
		items.put("10", "DOMICILIARY CHV");
		items.put("3", "MEDICAL OBSERVATION");
		items.put("1", "MEDICINE");
		items.put("6", "NEUROLOGY OBSERVATION");
		items.put("5", "PSYCHIATRIC OBSERVATION");
		items.put("9", "REHAB MEDICINE OBSERVATION");
		items.put("8", "SPINAL CORD INJURY OBSERVATION");
		items.put("2", "SURGERY");
		items.put("4", "SURGICAL OBSERVATION");
		for (Iterator i = items.entrySet().iterator(); i.hasNext();) {
			Map.Entry e = (Map.Entry) i.next();
			tree.put(e.getValue().toString()+e.getKey().toString(),e);
		}
		return tree;
	}

}
