package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.dao.IWardRefDAO;
import gov.va.med.hds.querytool.dao.QueryDataDAOException;
import java.util.Iterator;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author vhaislmonsos
 *
 * Jan 8, 2003 10:07:43 AM
 */
public class MockMWardRefDAO
	extends MockMAbstractNameValueDAO
	implements IWardRefDAO {
	private TreeMap tree;
	
	public MockMWardRefDAO() {
		super();
		tree = super.getSortedMap();
	}

	/**
	 * @see gov.va.med.hds.querytool.dao.INameValuePairDAO#get(Map)
	 */
	public TreeMap get(Map items) throws QueryDataDAOException {
		items.clear();
		items.put("6", "13A PSYCH");
		items.put("1", "1A");
		items.put("3", "2B MED");
		items.put("5", "8E REHAB MED");
		items.put("7", "8W");
		items.put("2", "NOT 2B");
		items.put("8", "RICKS WARD");
		for (Iterator i = items.entrySet().iterator(); i.hasNext();) {
			Map.Entry e = (Map.Entry) i.next();
			tree.put(e.getValue().toString()+e.getKey().toString(),e);
		}
		return tree;
	}

}
