/*
 * Created on Jul 1, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.dao.IMainRunDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;

public class MockMainRunDAO extends AbstractMockDAO implements IMainRunDAO {
	private int count;

	public void setInitialIterator(Object iterator) {}

	public void getNextIteration() throws QueryDAOException {
		synchronized (Thread.currentThread()) {
			try {
				Thread.currentThread().wait(50);
			}
			catch (InterruptedException e) {
				throw new QueryDAOException(e);
			}
		}
		count++;
	}

	public boolean isPatientSelected() {
		return (count % 2)==0;
	}

	public int getSize() {
		return count*5;
	}

	public boolean isReportFinished() {
		return count>10;
	}

}
