/*
 * Initially Created on Jul 24, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.test;

import gov.va.med.hds.querytool.IQueryTool;
import gov.va.med.hds.querytool.state.StateFactory;

import java.util.Map;

/**
 * Tests for the query tool states factory.
 */
public class StateFactoryTest extends MAbstractTestCase {

	public StateFactoryTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(StateFactoryTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
	}

	public void testGetStates() {
		Map map = StateFactory.getStates(getRuntime());
		assertEquals("StateFactory.getStates failed:",5,map.size());
		assertNotNull("StateFactory.getStates failed:",map.get(IQueryTool.EXECUTE_MAIN_STATE));
		assertNotNull("StateFactory.getStates failed:",map.get(IQueryTool.EXECUTE_SENSITIVE_STATE));
		assertNotNull("StateFactory.getStates failed:",map.get(IQueryTool.SELECT_AND_EDIT_STATE));
		assertNotNull("StateFactory.getStates failed:",map.get(IQueryTool.SENSITIVE_EDIT_STATE));
		assertNotNull("StateFactory.getStates failed:",map.get(IQueryTool.VIEW_STATE));
	}

}
