package gov.va.med.hds.querytool.types.test;

import gov.va.med.hds.querytool.IValue;
import gov.va.med.hds.querytool.types.NoEditor;

import java.util.List;

import junit.framework.TestCase;

/**
 * Constraint type for a type that needs no editor.
 */
public class NoEditorTest extends TestCase {

	/**
	 * Constructor for NoEditorTest.
	 * @param arg0
	 */
	public NoEditorTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(NoEditorTest.class);
	}
	
	public void testGetValues() {
		IValue bv = new NoEditor("myBlankValue");
		List values = bv.getValues();
		assertNotNull("BlankValues.getValues should not have returned a null value.",values);
	}

}
