package gov.va.med.hds.querytool.ui;

import gov.va.med.hds.util.io.FileUtilities;
import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * @author vhaislmonsos
 *
 * Feb 12, 2003 9:25:21 AM
 */
public class QueryFileFilter extends FileFilter {

	/**
	 * @see javax.swing.filechooser.FileFilter#accept(File)
	 */
	public boolean accept(File f) {
		if (f==null) return false;
		if (f.isDirectory()) {
			return true;
		}
		String ext = FileUtilities.getFileExtension(f);
		if ((ext!=null) && (ext.equals("txt"))) {
			return true;
		}

		return false;
	}

	/**
	 * @see javax.swing.filechooser.FileFilter#getDescription()
	 */
	public String getDescription() {
		return "TEXT Files (.txt)";
	}

}
