/*
 * Created on Mar 11, 2003 by vhaislmonsos
 */
package gov.va.med.hds.querytool.ui;

import java.util.EventObject;

/**
 * 
 */
public class QueryPageEvent extends EventObject implements IQueryPageEvent {
	private int fromIndex = -1;
	private int toIndex = -1;
	private int eventID = -1;
	private int[] indexArray;

	/**
	 * @param page
	 * @param fromIndex
	 * @param toIndex
	 */
	public QueryPageEvent(Object source, int eventID, int fromIndex, int toIndex) {
		super(source);
		this.fromIndex = fromIndex;
		this.toIndex = toIndex;
		this.eventID = eventID;
	}

	/**
	 * Constructor with source object.
	 * @param source
	 */
	public QueryPageEvent(Object source) {
		super(source);
	}

	/**
	 * @return int
	 */
	public int getFromIndex() {
		return fromIndex;
	}

	/**
	 * @return int
	 */
	public int getToIndex() {
		return toIndex;
	}

	/**
	 * Sets the fromIndex.
	 * @param fromIndex The fromIndex to set
	 */
	public void setFromIndex(int fromIndex) {
		this.fromIndex = fromIndex;
	}

	/**
	 * Sets the toIndex.
	 * @param toIndex The toIndex to set
	 */
	public void setToIndex(int toIndex) {
		this.toIndex = toIndex;
	}

	/**
	 * @return int
	 */
	public int getEventID() {
		return eventID;
	}

	/**
	 * Sets the eventID.
	 * @param eventID The eventID to set
	 */
	public void setEventID(int eventID) {
		this.eventID = eventID;
	}

	public void setIndexArray(int[] array) {
		this.indexArray = array;
	}

	public int[] getIndexArray() {
		return indexArray;
	}

}
