package gov.va.med.hds.querytool.ui;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JPanel;

/**
 * Implements the interface for a collection of constraint panel items.
 */
public class QueryPanelItems implements IQueryPanelItems {
	private JPanel panel;
	private List dependencies;
	private List requirements;
	private String title;
	private List tagComponents = new ArrayList();

	public QueryPanelItems() {
	}

	/**
	 * Constructor QueryPanelItems.
	 * @param string
	 * @param queryColumnPage
	 * @param object
	 */
	public QueryPanelItems(
		String title,
		JPanel page,
		List dependencies,
		List tagComponents) {
		this.title = title;
		this.panel = page;
		this.dependencies = dependencies;
		this.tagComponents = tagComponents;
	}

	public List getDependencies() {
		return dependencies;
	}

	public JPanel getPanel() {
		return panel;
	}

	public void setDependencies(List dependencies) {
		this.dependencies = dependencies;
	}

	public void setPanel(JPanel panel) {
		this.panel = panel;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public List getTagComponents() {
		return tagComponents;
	}

	public List getRequirements() {
		return requirements;
	}
	
	public void setRequirements(List requirements) {
		this.requirements = requirements;
	}
}
