package gov.va.med.hds.querytool.ui;

import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JRadioButton;

/**
 * @author vhaislmonsos
 *
 * Jan 22, 2003 9:22:35 AM
 */
public class RadioButtonTag extends JRadioButton implements ITagComponent {
	private String tag;

	/**
	 * Constructor for RadioButtonTag.
	 */
	public RadioButtonTag() {
		super();
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param icon
	 */
	public RadioButtonTag(Icon icon) {
		super(icon);
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param a
	 */
	public RadioButtonTag(Action a) {
		super(a);
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param icon
	 * @param selected
	 */
	public RadioButtonTag(Icon icon, boolean selected) {
		super(icon, selected);
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param text
	 */
	public RadioButtonTag(String text) {
		super(text);
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param text
	 * @param selected
	 */
	public RadioButtonTag(String text, boolean selected) {
		super(text, selected);
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param text
	 * @param icon
	 */
	public RadioButtonTag(String text, Icon icon) {
		super(text, icon);
	}

	/**
	 * Constructor for RadioButtonTag.
	 * @param text
	 * @param icon
	 * @param selected
	 */
	public RadioButtonTag(String text, Icon icon, boolean selected) {
		super(text, icon, selected);
	}

	/**
	 * @see gov.va.med.hds.querytool.ui.ITagComponent#getTag()
	 */
	public String getTag() {
		return tag;
	}

	/**
	 * @see gov.va.med.hds.querytool.ui.ITagComponent#setTag(String)
	 */
	public void setTag(String tag) {
		this.tag = tag;
	}

	/**
	 * @see gov.va.med.hds.querytool.ui.ITagComponent#isRadioButton()
	 */
	public boolean isRadioButton() {
		return true;
	}

}
