/*
 * Initially Created on Mar 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.editor.factory;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;
import gov.va.med.hds.querytool.ui.types.DocStatusStrategy;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.ShortChecklistPanel;

/**
 * Implements the IDocStatusFactory to provide an editor.
 */
public class DocStatusFactory
	extends EditorFactory
	implements IDocStatusFactory {

	public IRunnableEditorPanel getEditor() throws EditorException {
		ShortChecklistPanel editor = new ShortChecklistPanel(new DocStatusStrategy());
		editor.setRuntime(runtime);
		editor.setDAORegistry(daoRegistry);
		editor.setWindowHeader("Document Status");
		return editor;
	}

}
