/*
 * Initially Created on Mar 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.editor.factory;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.OrderSignStrategy;
import gov.va.med.hds.querytool.ui.types.ShortChecklistPanel;

/**
 * Implements a IOrderSignStatusFactory to provide a value editor.
 */
public class OrderSignStatusFactory
	extends EditorFactory
	implements IOrderSignStatusFactory {

	public IRunnableEditorPanel getEditor() throws EditorException {
		ShortChecklistPanel editor = new ShortChecklistPanel(new OrderSignStrategy());
		editor.setWindowHeader("Order Signature Status");
		editor.setRuntime(runtime);
		editor.setDAORegistry(daoRegistry);
		return editor;
	}

}
