/*
 * Initially Created on Mar 28, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui.editor.factory;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorPanel;
import gov.va.med.hds.querytool.ui.types.EditorException;
import gov.va.med.hds.querytool.ui.types.FreeTextPanel;

/**
 * Implements an ITextFactory to return an editor.
 */
public class TextLineFactory extends EditorFactory implements ITextFactory {

	public IRunnableEditorPanel getEditor() throws EditorException {
		FreeTextPanel freeTextPanel = new FreeTextPanel();
		freeTextPanel.setCaption("Enter the search text");
		freeTextPanel.setWindowHeader("Order Text");
		freeTextPanel.setRuntime(runtime);
		freeTextPanel.setDAORegistry(daoRegistry);
		return freeTextPanel;
	}

}
