package gov.va.med.hds.querytool.ui.types;

import gov.va.med.hds.querytool.ui.editor.IRunnableEditorState;

/**
 * Contains the state for use by the MultiSourceEditor
 */
public class MultiSourceEditorState implements IRunnableEditorState {
	private int activeTabNumber = 0;
	/**
	 * Constructor
	 */
	public MultiSourceEditorState(int activeTabNumber) {
		setActiveTabNumber(activeTabNumber);
	}
	/**
	 * Gets the active tab number state
	 * @return
	 */
	public int getActiveTabNumber(){
		return activeTabNumber;
	}
	/**
	 * Sets the active tab number state
	 * @param activeTabNumber
	 */
	public void setActiveTabNumber(int activeTabNumber){
		this.activeTabNumber = activeTabNumber;
	}
}
