package gov.va.med.hds.querytool.ui.types;

/**
 * @author vhaislmonsos
 *
 * Jan 6, 2003 9:05:12 AM
 */
public class MultiSourceItem {
	private String key;
	private String descr;
	private String itemDescr;

	/**
	 * Constructor for MultiSourceItem.
	 */
	public MultiSourceItem() {
		super();
	}
	
	public MultiSourceItem(String key, String descr, String itemDescr) {
		this();
		this.key = key;
		this.descr = descr;
		this.itemDescr = itemDescr;
	}

	/**
	 * Returns the descr.
	 * @return String
	 */
	public String getDescr() {
		return descr;
	}

	/**
	 * Returns the itemDescr.
	 * @return String
	 */
	public String getItemDescr() {
		return itemDescr;
	}

	/**
	 * Returns the key.
	 * @return String
	 */
	public String getKey() {
		return key;
	}

	/**
	 * Sets the descr.
	 * @param descr The descr to set
	 */
	public void setDescr(String descr) {
		this.descr = descr;
	}

	/**
	 * Sets the itemDescr.
	 * @param itemDescr The itemDescr to set
	 */
	public void setItemDescr(String itemDescr) {
		this.itemDescr = itemDescr;
	}

	/**
	 * Sets the key.
	 * @param key The key to set
	 */
	public void setKey(String key) {
		this.key = key;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return descr + "\t" + itemDescr;
	}

	/**
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object obj) {
		return (obj instanceof MultiSourceItem) && (key.compareTo(((MultiSourceItem)obj).key)==0);
	}

}
