package gov.va.med.hds.querytool.ui.types;

import gov.va.med.hds.cd.daoregistry.IDaoRegistry;
import gov.va.med.hds.querytool.dao.INameValuePairDAO;
import gov.va.med.hds.querytool.dao.IOrderStatusListDAO;

/**
 * @author vhaislmonsos
 *
 * Dec 16, 2002 4:13:31 PM
 */
public class OrderStatusStrategy implements IShortListStrategy {

	/**
	 * @see gov.va.med.hds.querytool.ui.types.IShortListStrategy#getDAO(IRuntimeContext)
	 */
	public INameValuePairDAO getDAO(IDaoRegistry daoRegistry) throws EditorException {
		INameValuePairDAO nvpDAO = null;
		try {
			nvpDAO = (IOrderStatusListDAO)daoRegistry.getDAO(IOrderStatusListDAO.class.getName());
		}
		catch (Exception e) {
			throw new EditorException(e);
		}
		return nvpDAO;
	}

}
