/*
 * Initially Created on Apr 3, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

import gov.va.med.hds.cd.runtime.logging.ILogger;

import javax.swing.Action;

/**
 * Query component user action listener interface.
 */
public interface IQueryAction extends Action {
	
	/**
	 * Sets the query tool model.
	 * @param queryTool
	 */
	void setModel(IQueryTool queryTool);
	
	/**
	 * Sets the logger for logging messages.
	 * @param logger
	 */
	void setLogger(ILogger logger);
	
	/**
	 * Checks the model to set or clear the enabled state.
	 */
	void validateState();
	
}
