/*
 * Initially Created on Apr 24, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

/**
 * Query collection event interface.
 */
public interface IQueryCollectionEvent {
	public static int USER_ITEMS_ADDED = 1;
	public static int USER_ITEMS_REMOVED = 2;
	public static int PREDEFINED_ITEMS_ADDED = 3;
	public static int PREDEFINED_ITEMS_REMOVED = 4;
	
	/**
	 * Sets the event ID.
	 * @param eventID
	 */
	void setEventID(int eventID);
	
	/**
	 * Gets the event ID.
	 * @return int
	 */
	int getEventID();
	
	/**
	 * Sets the items associated with the event.
	 * @param items
	 */
	void setItems(ISoftListItem[] items);
	
	/**
	 * Returns an array of the items affected by the event.
	 * @return items
	 */
	ISoftListItem[] getItems();
	
}
