/*
 * Initially Created on Jun 23, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool;

/**
 * Generic sensitive patient data exception.
 */
public class SensitivePatientException extends Exception {

	/**
	 * Delegates to parent.
	 */
	public SensitivePatientException() {
		super();
	}

	/**
	 * Delegates to parent.
	 * @param message
	 */
	public SensitivePatientException(String message) {
		super(message);
	}

	/**
	 * Delegates to parent.
	 * @param message
	 * @param cause
	 */
	public SensitivePatientException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Delegates to parent.
	 * @param cause
	 */
	public SensitivePatientException(Throwable cause) {
		super(cause);
	}

}
