package gov.va.med.hds.querytool.dao;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;
import gov.va.med.hds.querytool.IQuery;

/**
 * @author vhaislmonsos
 *
 * Nov 1, 2002 2:45:37 PM
 */
public interface IDisplayFieldListDAO extends IDataAccessObject {

	/**
	 * Generate and store display fields in the query from a passed in String
	 * array of display field data lines.
	 * 
	 * @param query
	 * @param dispLines
	 * @throws QueryDAOException
	 */
	void get(IQuery query, String[] dispLines) throws QueryDAOException;
	
}
