package gov.va.med.hds.querytool.dao;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;

import java.util.Collection;
import java.util.List;

/**
 * @author vhaislmonsos
 *
 * Feb 5, 2003 11:01:24 AM
 */
public interface IFieldDefnDAO extends IDataAccessObject {

	/**
	 * Returns a list of IDisplayFields that contain one of the referenced
	 * fieldTypes.
	 * @param fieldTypes
	 * @return List
	 * @throws QueryDAOException
	 */
	List getFields(Collection fieldTypes) throws QueryDAOException;
	
}
