/*
 * Initially Created on Jun 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;

import javax.swing.Action;
import javax.swing.ListModel;
import javax.swing.border.Border;
import javax.swing.event.ListSelectionListener;

/**
 * Check list panel interface
 */
public interface ICheckListPanel {
	
	/**
	 * Adds the select all action
	 * @param action
	 */
	void setSelectAllAction(Action action);
	
	/**
	 * Adds the select none action
	 * @param action
	 */
	void setSelectNoneAction(Action action);
	
	/**
	 * Sets the list model used by the check list box
	 * @param model
	 */
	void setListModel(ListModel model);
	
	/**
	 * Delegates to parent.
	 * @param border
	 */
	void setBorder(Border border);
	
	/**
	 * @param listListener
	 */
	void addListSelectionListener(ListSelectionListener listListener);

	/**
	 * @param listListener
	 */
	void removeListSelectionListener(ListSelectionListener listListener);
	
	/**
	 * @return arrayOfSelectedIndexes
	 */
	int[] getSelectedIndices();
	
}
