/*
 * Initially Created on Jun 4, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;

import javax.swing.JTable;

import gov.va.med.hds.cd.print.IPrintActionHandlerProvider;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.spectrum.linkpanel.IHTMLSelectionModel;
import gov.va.med.hds.querytool.IQueryTool;

/**
 * Print helper interface for the querytool
 */
public interface IPrintHelper extends IPrintActionHandlerProvider {
	
	/**
	 * Handles the command to print.
	 */
	void doPrint();
	
	/**
	 * Sets the runtime.
	 * @param runtime
	 */
	void setRuntime(IRuntimeContext runtime);
	
	/**
	 * Sets the main query tool model.
	 * @param queryTool
	 */
	void setQueryModel(IQueryTool queryTool);

	/**
	 * @param detailTable
	 */
	void setTable(JTable detailTable);

	/**
	 * @param string
	 */
	void setDateTimeString(String string);

	/**
	 * @param htmlSelectionModel
	 */
	void setHTMLModel(IHTMLSelectionModel htmlSelectionModel);
	
}