/*
 * Initially Created on Jun 4, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.querytool.ui;
import gov.va.med.hds.querytool.IQueryTool;

/**
 * Displays the report execution progress
 */
public interface IReportProgress extends IQueryPage {
	
	/**
	 * Sets the main model.
	 * @param queryTool
	 */
	void setQueryModel(IQueryTool queryTool);
	
	/**
	 * Signals waiting updates and animation to begin.
	 */
	void startWaiting();
	
	/**
	 * Signals waiting updates to stop.
	 */
	void stopWaiting();

	/**
	 * Sets the displayed waiting message.
	 * @param string
	 */
	void setMessage(String string);
	
}