package gov.va.med.hds.querytool.ui;

import java.awt.event.ActionListener;

/**
 * @author vhaislmonsos
 *
 * Jan 22, 2003 9:23:28 AM
 */
public interface ITagComponent {
	/**
	 * Method getTag.
	 * @return String
	 */
	String getTag();
	
	/**
	 * Method setTag.
	 * @param tag
	 */
	void setTag(String tag);
	
	/**
	 * Method setSelected.
	 * @param selected
	 */
	void setSelected(boolean selected);
	
	/**
	 * Method isSelected.
	 * @return boolean
	 */
	boolean isSelected();
	
	/**
	 * Method addActionListener.
	 * @param listener
	 */
	void addActionListener(ActionListener listener);
	
	/**
	 * Method removeActionListener.
	 * @param listener
	 */
	void removeActionListener(ActionListener listener);
	
	/**
	 * Method setText.
	 * @param text
	 */
	void setText(String text);
	
	/**
	 * Method isRadioButton.
	 * @return boolean
	 */
	boolean isRadioButton();
	
	/**
	 * Method setVisible.
	 * @param visible
	 */
	void setVisible(boolean visible);
	
	/**
	 * Method getText.
	 * @return String
	 */
	String getText();

	/**
	 * Method doClick.
	 */
	void doClick();

}
