package gov.va.med.hds.querytool.ui.editor;

import java.util.EventObject;


public class RunnableEditorStateChangedEvent extends EventObject {
	private IRunnableEditorState state = null;
	
	/**
	 * @param source
	 */
	public RunnableEditorStateChangedEvent(Object source) {
		super(source);
	}
	public RunnableEditorStateChangedEvent(Object source,IRunnableEditorState state) {
		super(source);
		setState(state);
	}
	/**
	 * @return
	 */
	public IRunnableEditorState getState() {
		return state;
	}
	/**
	 * @param state
	 */
	public void setState(IRunnableEditorState state) {
		this.state = state;
	}
}
