package gov.va.med.hds.querytool.ui.types;

import gov.va.med.hds.cd.daoregistry.IDaoRegistry;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.querytool.dao.INameValuePairDAO;
import gov.va.med.hds.querytool.dao.QueryDAOException;

/**
 * @author vhaislmonsos
 *
 */
public interface IReferenceDAOFactory {

	/**
	 * Method getReferenceDAO.
	 * @param runtime
	 * @param daoRegistry
	 * @return INameValuePairDAO
	 * @throws QueryDAOException
	 */
	INameValuePairDAO getReferenceDAO(IRuntimeContext runtime,IDaoRegistry daoRegistry) throws QueryDAOException;
}
