package gov.va.med.hds.cd.rpclogger.uitest;

import junit.extensions.jfcunit.JFCTestHelper;

import gov.va.med.hds.cd.runtime.test.RuntimeJFCTestCase;
import gov.va.med.hds.cd.runtime.test.TestRuntime;

/**
 * Tests the RpcLogger
 */
public class RpcLoggerTest extends RuntimeJFCTestCase {

	public RpcLoggerTest(String arg0) {
		super(arg0);
	}

	private static final String REGISTRY_RESOURCE = "RpcLoggerTestRegistry.xml";
	public static void main(String[] args) {
		TestRuntime runtime = new TestRuntime();	
		runtime.readPluginDescriptors(RpcLoggerTest.class.getResourceAsStream(REGISTRY_RESOURCE));
		runtime.readSettings(RpcLoggerTest.class.getResourceAsStream("Settings.xml"));
		runtime.run();
	}

	protected void setUp() throws Exception {
		super.setUp();
		this.setHelper(new JFCTestHelper());
	}

	public void testCreatePlugin() throws Exception {
		parseRegistryResource(REGISTRY_RESOURCE);
		getRuntime().readSettings(getClass().getResourceAsStream("VistalinkSettings.xml"));

		getRuntime().run();
		flushAWT();
	}
}
