package gov.va.med.hds.cd.rpclogger;

import gov.va.med.hds.cd.prism.visualcomponent.IVisualComponent;
import gov.va.med.hds.cd.runtime.IConfigurationElement;
import gov.va.med.hds.cd.runtime.IRuntimeContext;

import javax.swing.JComponent;
import javax.swing.JTabbedPane;

/**
 * Perspective for managing Mumps RPCs and Logging
 */
//public class RpcLoggerPerspective extends JPanel implements IVisualComponent {
public class RpcLoggerPerspective extends JTabbedPane implements IVisualComponent {
	private static final int LOG_TAB_INDEX = 0;
	private static final String LOG_TAB_NAME = "Log";
	private static final int LISTS_TAB_INDEX = 1;
	private static final String LISTS_TAB_NAME = "Lists";

	/**
	 * @see gov.va.med.hds.cd.prism.visualcomponent.IVisualComponent#getComponent()
	 */
	public JComponent getComponent() {
		return this;
	}
	/**
	 * @see gov.va.med.hds.cd.runtime.IExecutableExtension#setInitializationData(gov.va.med.hds.cd.runtime.IRuntimeContext, gov.va.med.hds.cd.runtime.IConfigurationElement, java.lang.String, java.lang.Object)
	 */
	public void setInitializationData(
		IRuntimeContext runtime,
		IConfigurationElement config,
		String propertyName,
		Object data)
		throws Exception {
		this.runtime = runtime;
		initComponents();
	}
	private void initComponents() {
//		this.setLayout(new BorderLayout());
//		this.add(new RpcLogger(LOG_TAB_NAME,runtime),BorderLayout.CENTER);
		this.add(new RpcLogger(LOG_TAB_NAME,runtime),LOG_TAB_INDEX);
		this.add(new ListsPanel(LISTS_TAB_NAME,runtime),LISTS_TAB_INDEX);
	}
	private IRuntimeContext runtime;
}
