package gov.va.med.hds.cd.runtime.logging.internal;

import gov.va.med.hds.cd.runtime.logging.IHandler;
import gov.va.med.hds.cd.runtime.logging.ILogger;
import gov.va.med.hds.cd.runtime.logging.Level;

/**
 * TODO_SB: Provide description for "NullLogger".
 */
public class NullLogger implements ILogger {

	public void fatal(String message) {
		// NOOP
	}

	public void fatal(String message, Throwable t) {
		// NOOP
	}

	public void error(String message) {
		// NOOP
	}

	public void error(String message, Throwable t) {
		// NOOP
	}

	public void warning(String message) {
		// NOOP
	}

	public void warning(String message, Throwable t) {
		// NOOP
	}

	public void info(String message) {
		// NOOP
	}

	
	public void info(String message, Throwable t) {
		// NOOP
	}

	public void debug(String message) {
		// NOOP
		
	}

	public void debug(String message, Throwable t) {
		// NOOP
	}

	public void log(Level level, String message) {
		// NOOP	
	}

	public void log(Level level, String message, Throwable t) {
		// NOOP
	}

	public void addHandler(IHandler logHandler) {
		// NOOP
	}

	public void removeHandler(IHandler logHandler) {
		// NOOP
	}

	public void setUseParentHandlers(boolean b) {
		// NOOP
	}

	public boolean getUseParentHandlers() {
		return false;
	}
}
