/*
 * Initially Created on Aug 5, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.cd.runtime.test;

import gov.va.med.hds.cd.runtime.logging.log4j.internal.DesktopLayout;

import org.apache.log4j.Layout;
import org.apache.log4j.Logger;
import org.apache.log4j.Priority;
import org.apache.log4j.spi.LoggingEvent;

/**
 * Tests for the DesktopLayout Log4J display layout manager
 */
public class DesktopLayoutTest extends RuntimeTestCase {
	private Layout layout;

	public DesktopLayoutTest(String name) {
		super(name);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(DesktopLayoutTest.class);
	}

	protected void setUp() throws Exception {
		super.setUp();
		layout = new DesktopLayout();
	}

	public void testIgnoresThrowable() {
		assertFalse("DesktopLayout.ignoresThrowable failed: expected FALSE",layout.ignoresThrowable());
	}

	public void testFormatLoggingEvent() {
		Throwable testError = new Exception("TEST EXCEPTION");
		LoggingEvent event = new LoggingEvent(this.getClass().getName(), Logger.getLogger(this.getClass()), System.currentTimeMillis(), Priority.ERROR, "message", testError);
		assertTrue("DesktopLayout.format failed: unexpected message length",layout.format(event).length()>200);
	}

}
