package gov.va.med.hds.cd.runtime.test;

import mockmaker.ExceptionalReturnValue;
import mockmaker.ReturnValues;

import com.mockobjects.ExpectationCounter;
import com.mockobjects.ExpectationList;

import gov.va.med.hds.cd.mum.Version;
import gov.va.med.hds.cd.runtime.IExtension;
import gov.va.med.hds.cd.runtime.IExtensionPoint;
import gov.va.med.hds.cd.runtime.IPluginDescriptor;
import gov.va.med.hds.cd.runtime.IPluginPrerequisite;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
public class MockPluginDescriptor implements IPluginDescriptor {
	private ExpectationCounter myGetExtensionCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetExtensionCalls");
	private ReturnValues myActualGetExtensionReturnValues = new ReturnValues(false);
	private ExpectationList myGetExtensionParameter0Values =
		new ExpectationList("gov.va.med.hds.cd.runtime.IPluginDescriptor java.lang.String");
	private ExpectationCounter myGetExtensionPointCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetExtensionPointCalls");
	private ReturnValues myActualGetExtensionPointReturnValues = new ReturnValues(false);
	private ExpectationList myGetExtensionPointParameter0Values =
		new ExpectationList("gov.va.med.hds.cd.runtime.IPluginDescriptor java.lang.String");
	private ExpectationCounter myGetExtensionPointsCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetExtensionPointsCalls");
	private ReturnValues myActualGetExtensionPointsReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetExtensionsCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetExtensionsCalls");
	private ReturnValues myActualGetExtensionsReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetLabelCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetLabelCalls");
	private ReturnValues myActualGetLabelReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetPluginPrerequisitesCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetPluginPrerequisitesCalls");
	private ReturnValues myActualGetPluginPrerequisitesReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetProviderNameCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetProviderNameCalls");
	private ReturnValues myActualGetProviderNameReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetUniqueIdentifierCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetUniqueIdentifierCalls");
	private ReturnValues myActualGetUniqueIdentifierReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetVersionCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetVersionCalls");
	private ReturnValues myActualGetVersionReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetClassNameCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetClassNameCalls");
	private ReturnValues myActualGetClassNameReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetRuntimeContextCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetRuntimeContextCalls");
	private ReturnValues myActualGetRuntimeContextReturnValues = new ReturnValues(false);
	private ExpectationCounter myGetPluginClassLoaderCalls =
		new ExpectationCounter("gov.va.med.hds.cd.runtime.IPluginDescriptor GetPluginClassLoaderCalls");
	private ReturnValues myActualGetPluginClassLoaderReturnValues = new ReturnValues(false);
	public void setExpectedGetExtensionCalls(int calls) {
		myGetExtensionCalls.setExpected(calls);
	}
	public void addExpectedGetExtensionValues(String arg0) {
		myGetExtensionParameter0Values.addExpected(arg0);
	}
	public IExtension getExtension(String arg0) {
		myGetExtensionCalls.inc();
		myGetExtensionParameter0Values.addActual(arg0);
		Object nextReturnValue = myActualGetExtensionReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IExtension) nextReturnValue;
	}
	public void setupExceptionGetExtension(Throwable arg) {
		myActualGetExtensionReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetExtension(IExtension arg) {
		myActualGetExtensionReturnValues.add(arg);
	}
	public void setExpectedGetExtensionPointCalls(int calls) {
		myGetExtensionPointCalls.setExpected(calls);
	}
	public void addExpectedGetExtensionPointValues(String arg0) {
		myGetExtensionPointParameter0Values.addExpected(arg0);
	}
	public IExtensionPoint getExtensionPoint(String arg0) {
		myGetExtensionPointCalls.inc();
		myGetExtensionPointParameter0Values.addActual(arg0);
		Object nextReturnValue = myActualGetExtensionPointReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IExtensionPoint) nextReturnValue;
	}
	public void setupExceptionGetExtensionPoint(Throwable arg) {
		myActualGetExtensionPointReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetExtensionPoint(IExtensionPoint arg) {
		myActualGetExtensionPointReturnValues.add(arg);
	}
	public void setExpectedGetExtensionPointsCalls(int calls) {
		myGetExtensionPointsCalls.setExpected(calls);
	}
	public IExtensionPoint[] getExtensionPoints() {
		myGetExtensionPointsCalls.inc();
		Object nextReturnValue = myActualGetExtensionPointsReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IExtensionPoint[]) nextReturnValue;
	}
	public void setupExceptionGetExtensionPoints(Throwable arg) {
		myActualGetExtensionPointsReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetExtensionPoints(IExtensionPoint[] arg) {
		myActualGetExtensionPointsReturnValues.add(arg);
	}
	public void setExpectedGetExtensionsCalls(int calls) {
		myGetExtensionsCalls.setExpected(calls);
	}
	public IExtension[] getExtensions() {
		myGetExtensionsCalls.inc();
		Object nextReturnValue = myActualGetExtensionsReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IExtension[]) nextReturnValue;
	}
	public void setupExceptionGetExtensions(Throwable arg) {
		myActualGetExtensionsReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetExtensions(IExtension[] arg) {
		myActualGetExtensionsReturnValues.add(arg);
	}
	public void setExpectedGetLabelCalls(int calls) {
		myGetLabelCalls.setExpected(calls);
	}
	public String getLabel() {
		myGetLabelCalls.inc();
		Object nextReturnValue = myActualGetLabelReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (String) nextReturnValue;
	}
	public void setupExceptionGetLabel(Throwable arg) {
		myActualGetLabelReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetLabel(String arg) {
		myActualGetLabelReturnValues.add(arg);
	}
	public void setExpectedGetPluginPrerequisitesCalls(int calls) {
		myGetPluginPrerequisitesCalls.setExpected(calls);
	}
	public IPluginPrerequisite[] getPluginPrerequisites() {
		myGetPluginPrerequisitesCalls.inc();
		Object nextReturnValue = myActualGetPluginPrerequisitesReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IPluginPrerequisite[]) nextReturnValue;
	}
	public void setupExceptionGetPluginPrerequisites(Throwable arg) {
		myActualGetPluginPrerequisitesReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetPluginPrerequisites(IPluginPrerequisite[] arg) {
		myActualGetPluginPrerequisitesReturnValues.add(arg);
	}
	public void setExpectedGetProviderNameCalls(int calls) {
		myGetProviderNameCalls.setExpected(calls);
	}
	public String getProviderName() {
		myGetProviderNameCalls.inc();
		Object nextReturnValue = myActualGetProviderNameReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (String) nextReturnValue;
	}
	public void setupExceptionGetProviderName(Throwable arg) {
		myActualGetProviderNameReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetProviderName(String arg) {
		myActualGetProviderNameReturnValues.add(arg);
	}
	public void setExpectedGetUniqueIdentifierCalls(int calls) {
		myGetUniqueIdentifierCalls.setExpected(calls);
	}
	public String getUniqueIdentifier() {
		myGetUniqueIdentifierCalls.inc();
		Object nextReturnValue = myActualGetUniqueIdentifierReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (String) nextReturnValue;
	}
	public void setupExceptionGetUniqueIdentifier(Throwable arg) {
		myActualGetUniqueIdentifierReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetUniqueIdentifier(String arg) {
		myActualGetUniqueIdentifierReturnValues.add(arg);
	}
	public void setExpectedGetVersionCalls(int calls) {
		myGetVersionCalls.setExpected(calls);
	}
	public Version getVersion() {
		myGetVersionCalls.inc();
		Object nextReturnValue = myActualGetVersionReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (Version) nextReturnValue;
	}
	public void setupExceptionGetVersion(Throwable arg) {
		myActualGetVersionReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetVersion(Version arg) {
		myActualGetVersionReturnValues.add(arg);
	}
	public void setExpectedGetClassNameCalls(int calls) {
		myGetClassNameCalls.setExpected(calls);
	}
	public String getClassName() {
		myGetClassNameCalls.inc();
		Object nextReturnValue = myActualGetClassNameReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (String) nextReturnValue;
	}
	public void setupExceptionGetClassName(Throwable arg) {
		myActualGetClassNameReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetClassName(String arg) {
		myActualGetClassNameReturnValues.add(arg);
	}
	public void setExpectedGetRuntimeContextCalls(int calls) {
		myGetRuntimeContextCalls.setExpected(calls);
	}
	public IRuntimeContext getRuntimeContext() {
		myGetRuntimeContextCalls.inc();
		Object nextReturnValue = myActualGetRuntimeContextReturnValues.getNext();
		if (nextReturnValue instanceof ExceptionalReturnValue
			&& ((ExceptionalReturnValue) nextReturnValue).getException() instanceof RuntimeException)
			throw (RuntimeException) ((ExceptionalReturnValue) nextReturnValue).getException();
		return (IRuntimeContext) nextReturnValue;
	}
	public void setupExceptionGetRuntimeContext(Throwable arg) {
		myActualGetRuntimeContextReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetRuntimeContext(IRuntimeContext arg) {
		myActualGetRuntimeContextReturnValues.add(arg);
	}
	public void setExpectedGetPluginClassLoaderCalls(int calls) {
		myGetPluginClassLoaderCalls.setExpected(calls);
	}
	public ClassLoader getPluginClassLoader() {
		return getClass().getClassLoader();
	}
	public void setupExceptionGetPluginClassLoader(Throwable arg) {
		myActualGetPluginClassLoaderReturnValues.add(new ExceptionalReturnValue(arg));
	}
	public void setupGetPluginClassLoader(ClassLoader arg) {
		myActualGetPluginClassLoaderReturnValues.add(arg);
	}
	public void verify() {
		myGetExtensionCalls.verify();
		myGetExtensionParameter0Values.verify();
		myGetExtensionPointCalls.verify();
		myGetExtensionPointParameter0Values.verify();
		myGetExtensionPointsCalls.verify();
		myGetExtensionsCalls.verify();
		myGetLabelCalls.verify();
		myGetPluginPrerequisitesCalls.verify();
		myGetProviderNameCalls.verify();
		myGetUniqueIdentifierCalls.verify();
		myGetVersionCalls.verify();
		myGetClassNameCalls.verify();
		myGetRuntimeContextCalls.verify();
		myGetPluginClassLoaderCalls.verify();
	}
}
