package gov.va.med.hds.cd.runtime;

import java.io.Serializable;

import gov.va.med.hds.cd.mum.boot.IPluginConstants;

/**
 * 
 * TODO_SB: Provide description for "VersionMatchCondition".
 */
public class VersionMatchCondition implements Serializable {

	public static final VersionMatchCondition GREATER_OR_EQUAL = new VersionMatchCondition(IPluginConstants.GREATER_OR_EQUAL_MATCH_CONDITION);
	public static final VersionMatchCondition COMPATIBLE = new VersionMatchCondition(IPluginConstants.COMPATIBLE_MATCH_CONDITION);
	public static final VersionMatchCondition EQUIVALENT = new VersionMatchCondition(IPluginConstants.EQUIVALENT_MATCH_CONDITION);
	public static final VersionMatchCondition PERFECT = new VersionMatchCondition(IPluginConstants.PERFECT_MATCH_CONDITION);

	public static VersionMatchCondition valueOf(String matchCondition) {
		
		return null;
	}

	private String condition;

	private VersionMatchCondition(String condition) {
		this.condition = condition;
	}
	
	public boolean equals(Object obj) {
		if (obj == null) { return false; }
		if (!(obj instanceof VersionMatchCondition)) { return false; }
		return condition.equals(((VersionMatchCondition) obj).condition);
	}

	public int hashCode() {
		return condition.hashCode();
	}

	public String toString() {
		return condition;
	}

}
