package gov.va.med.hds.cd.security.test;
import java.util.HashMap;
import javax.security.auth.login.AppConfigurationEntry;
import javax.security.auth.login.Configuration;
/**
 * Mock configuration for testing
 */
public class MockConfiguration extends Configuration {
	public MockConfiguration() {
		super();
	}
	public AppConfigurationEntry[] getAppConfigurationEntry(String applicationName) {
		if (applicationName == "MockLoginModule") {
			AppConfigurationEntry[] result= new AppConfigurationEntry[1];
			result[0]= new AppConfigurationEntry("gov.va.med.hds.cd.security.test.MockLoginModule", AppConfigurationEntry.LoginModuleControlFlag.REQUISITE, new HashMap());
			return result;
		}
		return null;
	}
	public void refresh() {}
}
