package gov.va.med.hds.cd.security.test;
import gov.va.med.hds.cd.runtime.IRuntimeContext;
import gov.va.med.hds.cd.security.IPlugin;
import gov.va.med.hds.cd.security.IPluginFactory;

/**
 * Mock security plugin factory that generates a plugin that fails login
 */
public class MockPluginFailFactory implements IPluginFactory {
	public MockPluginFailFactory() {
		super();
	}
	public IPlugin create(IRuntimeContext runtime) {
		return new MockPluginFail(runtime);
	}
}
