/*
 * Created on Apr 25, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.signature;

import java.util.Hashtable;

import javax.swing.event.EventListenerList;

//import gov.va.med.hds.cd.runtime.IRuntimeContext;

/**
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public class SignatureEventSource
	extends Hashtable
	implements ISignatureEventSource {
//	private static final int[] eventTypes = new int[3];

//	private IRuntimeContext runtime;
	private EventListenerList listenerList = new EventListenerList();

	public void addSignatureStatusChangeListener(ISignatureStatusChangeListener l) {
		listenerList.add(ISignatureStatusChangeListener.class, l);
	}

	public void removeSignatureStatusChangeListener(ISignatureStatusChangeListener l) {
		listenerList.remove(ISignatureStatusChangeListener.class, l);
	}

	public void fireSignatureStatusChange(ISignableItem item, int eventType) {
		final SignatureStatusChangeEvent event = new SignatureStatusChangeEvent(item, eventType);
		ISignatureStatusChangeListener[] listeners = (ISignatureStatusChangeListener[]) listenerList.getListeners(ISignatureStatusChangeListener.class);
		for (int i = 0; i < listeners.length; i++) {
			listeners[i].signatureStatusChanged(event);
		}
	}
}
