/*
 * Created on Apr 19, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.signature;

import java.util.EventObject;

/**
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public class SignatureStatusChangeEvent extends EventObject {
	private static final String[] eventTypes = {
			"signature.set.signable",
			"signature.set.not.signable",
			"signature.signed" };
	private int eventType;
	/**
	 * @param source
	 */
	public SignatureStatusChangeEvent(Object source, int eventType) {
		super(source);
		this.eventType = eventType;
	}

	public int getEventType() {
		return eventType;
	}

	public String toString() {
		return eventTypes[eventType];
	}

}
