/*
 * Created on Apr 27, 2003
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 */
package gov.va.med.hds.signature.dao;

import java.security.SignatureException;
import java.util.List;

/**
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 * @author vhaislschras
 */
public interface ISignatureDAO
{
  static final String SIGN_RPC = "SIGN";
  static final String VERIFY_SIG = "VALIDSIG";
  
  List getSignatureCandidates();
  
  Object getItem(Object id);
  
  void sign(Object signature) throws SignatureException;
}
