/*
 * Initially Created on Jul 16, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.cd.spectrum.test;

import gov.va.med.hds.cd.mum.boot.plaf.desktop.DesktopLookAndFeel;
import gov.va.med.hds.cd.spectrum.bucket.BasicSlushBucket;

import javax.swing.DefaultListModel;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 * Interactive tester for the BasicSlushBucket component.
 */
public class BasicSlushBucketTester {

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(new DesktopLookAndFeel(null));
		}
		catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		}
		JFrame frame = new JFrame("BasicSlushBucket");
		BasicSlushBucket basicSlushBucket = new BasicSlushBucket();
		DefaultListModel inModel = new DefaultListModel();
		inModel.addElement("Line 1");
		DefaultListModel outModel = new DefaultListModel();
		outModel.addElement("Entry 1");
		outModel.addElement("Entry 2");
		JScrollPane inPane = new JScrollPane(new JList(inModel));
		JScrollPane outPane = new JScrollPane(new JList(outModel));
		basicSlushBucket.setInBucketComponent(inPane,'I');
		basicSlushBucket.setOutBucketComponent(outPane,'O');
		frame.getContentPane().add(basicSlushBucket);
		frame.pack();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.show();
	}
	
}
