/*
 * Initially Created on Jun 12, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.cd.spectrum.test;

import gov.va.med.hds.cd.mum.boot.plaf.desktop.DesktopLookAndFeel;
import gov.va.med.hds.cd.spectrum.checklist.CheckList;
import gov.va.med.hds.cd.spectrum.checklist.ICheckable;

import javax.swing.DefaultListModel;
import javax.swing.JFrame;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

/**
 * Tester for the CheckList component.
 */
public class CheckListTester {

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(new DesktopLookAndFeel(null));
		}
		catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		}
		JFrame frame = new JFrame("CheckList");
		CheckListTester tester = new CheckListTester();
		CheckList checkList = new CheckList();
		DefaultListModel model = new DefaultListModel();
		checkList.setModel(model);
		model.addElement(tester.new CheckItem("Line 1"));
		model.addElement(tester.new CheckItem("Line 2"));
		model.addElement(tester.new CheckItem("Line 3"));
		model.addElement(tester.new CheckItem("Line 4"));
		model.addElement(tester.new CheckItem("Line 5"));
		model.addElement(tester.new CheckItem("Line 6"));
		frame.getContentPane().add(checkList);
		frame.pack();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.show();
	}
	
	class CheckItem implements ICheckable {
		private boolean checked;
		private String text;

		public CheckItem() {
			super();
		}

		public CheckItem(String text) {
			super();
			this.text = text;
		}

		public boolean isChecked() {
			return checked;
		}

		public void setChecked(boolean checked) {
			this.checked = checked;
		}
		
		public String toString() {
			return text;
		}
		
	}
	
}
