package gov.va.med.hds.cd.spectrum.test;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Calendar;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import gov.va.med.hds.cd.mum.boot.plaf.desktop.DesktopLookAndFeel;
import gov.va.med.hds.cd.spectrum.date.DateChooser;

public class DateChooserTester {

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(new DesktopLookAndFeel(DateChooserTester.class.getClassLoader()));
		} catch (UnsupportedLookAndFeelException e) {
			e.printStackTrace();
		}
		
		JButton button = new JButton("Choose Date...");
		button.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				DateChooser.showDialog(null, "Pick a date!", Calendar.getInstance());
			}
		});
		
		JFrame f = new JFrame("DateChooser Tester");
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		f.getContentPane().add(new DateChooser(), BorderLayout.CENTER);
		f.getContentPane().add(button, BorderLayout.SOUTH);
		
		f.pack();
		
		Dimension screenSize = f.getToolkit().getScreenSize();
		int x = (screenSize.width - f.getWidth()) / 2;
		int y = (screenSize.height - f.getHeight()) / 2;
		f.setLocation(x, y);
		
		f.setVisible(true);
	}
}
