package gov.va.med.hds.cd.spectrum.test;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

import junit.framework.TestCase;

import gov.va.med.hds.cd.spectrum.date.IDateComboBoxEditor;

public abstract class DateComboBoxEditorTest extends TestCase {

	private IDateComboBoxEditor editor;

	public DateComboBoxEditorTest(String name) {
		super(name);
	}

	protected void setUp() throws Exception {
		editor = createEditor();
	}

	protected abstract IDateComboBoxEditor createEditor();
	
	public void testComponentAccessor() {
		assertNotNull(editor.getEditorComponent());
	}
	
	public void testDateFormatAccessors() {
		DateFormat format = new SimpleDateFormat("MMMM dd, yyyy");
		editor.setDateFormat(format);
		assertEquals(format, editor.getDateFormat());
	}
	
	public void testDateAccessorsAndActionEvent() {
//		editor.
	}
}
