package gov.va.med.hds.cd.spectrum;
import javax.swing.Spring;

public class ScalarSpring extends Spring {
    protected Spring s;
	protected double scalar;

    public ScalarSpring(double scalar, Spring s) {
        this.s = s;
        this.scalar = scalar;
    }

    public int getMinimumValue() {
        return (int) (scalar * (double) s.getMinimumValue());
    }

    public int getPreferredValue() {
        return (int) (scalar * (double) s.getPreferredValue());
    }

    public int getMaximumValue() {
        return (int) (scalar * (double) s.getMinimumValue());
    }

    public int getValue() {
        return (int) (scalar * (double) s.getValue());
    }

    public void setValue(int size) {
    	if (scalar != 0.0) s.setValue((int) ((double) size / scalar));
    }
}
