/*
 * Created on Jun 5, 2003 by vhaislmonsos
 */
package gov.va.med.hds.cd.spectrum.checklist;

import java.util.EventObject;

/**
 * 
 */
public class CheckEvent extends EventObject implements ICheckEvent {
	private ICheckable[] changedItems;

	/**
	 * Delegates to parent.
	 * @param source
	 */
	public CheckEvent(Object source) {
		super(source);
	}
	
	public CheckEvent(Object source, ICheckable[] changedItems) {
		super(source);
		this.changedItems = changedItems;
	}

	public ICheckable[] getChangedItems() {
		return changedItems;
	}

}
