/*
 * Created on Jun 5, 2003 by vhaislmonsos
 */
package gov.va.med.hds.cd.spectrum.checklist;

/**
 * Check event for the ICheckableModel.
 */
public interface ICheckEvent {
	
	/**
	 * Returns source of the check event.
	 * @return source
	 */
	Object getSource();

	/**
	 * Returns an array of the items that have changed.
	 * @return changedItems
	 */
	ICheckable[] getChangedItems();
		
}
