/*
 * Created on Jun 5, 2003 by vhaislmonsos
 */
package gov.va.med.hds.cd.spectrum.checklist;



/**
 * Encapsulates a checkable event manager.
 */
public interface ICheckableModel {

	/**
	 * Adds listener.
	 * @param checkableListener
	 */
	void addCheckableListener(ICheckableListener listener);
	
	/**
	 * Removes listener.
	 * @param checkableListener
	 */
	void removeCheckableListener(ICheckableListener listener);
	
	/**
	 * Fires check change event.
	 * @param items
	 */
	void fireCheckChangeEvent(Object source, ICheckable[] items);
	
}
