package gov.va.med.hds.cd.spectrum.dhtml.scriptlet;

import javax.swing.text.Element;

import gov.va.med.hds.cd.spectrum.dhtml.DHTMLDocument;
import gov.va.med.hds.cd.spectrum.dhtml.DHTMLPane;


public interface IScriptletEvent {
    public static final int DOCUMENT_LOADED = 1;
    public static final int MOUSE_CLICK = 2;
    public static final int VALUE_CHANGED = 3;
    public static final int SUBDOCUMENT_LOADED = 4;
    
    public int getType();
    public Element getElement();
    public Object getEnvironment();
    public DHTMLDocument getDocument();
    public DHTMLPane getPane();
}
