package gov.va.med.hds.cd.spectrum.dhtml.scriptlet;

import javax.swing.text.Element;

import gov.va.med.hds.cd.spectrum.dhtml.DHTMLDocument;
import gov.va.med.hds.cd.spectrum.dhtml.DHTMLPane;

class ScriptletEvent implements IScriptletEvent {

    private Element element;
    private Object environment;
    private DHTMLDocument document;
    private DHTMLPane pane;
    private int type;

    ScriptletEvent(
        int type,
        Element element,
        Object envObj,
        DHTMLDocument document,
        DHTMLPane pane) {

        this.type = type;
        this.element = element;
        this.environment = envObj;
        this.document = document;
        this.pane = pane;
    }

    public Element getElement() {
        return element;
    }
    public Object getEnvironment() {
        return environment;
    }
    public DHTMLDocument getDocument() {
        return document;
    }
    public DHTMLPane getPane() {
        return pane;
    }
    public int getType() {
        return type;
    }

}
