package gov.va.med.hds.cd.spectrum.linkpanel;

/**
 * HTML helper class.
 */
public class HTML {
	public static final String PAR_BEGIN = "";
	public static final String PAR_END = "<br>";
	
	/**
	 * Returns <code>x</code> number of HTML "non-breaking spaces".
	 * @param x
	 * @return htmlString
	 */
	public static String spaces(int x) {
		String result = new String();
		for (int i=0;i < x; i++) {
			result = result + "&nbsp;";
		}
		return result;
	}
	
	/**
	 * Encodes ampersands, less-than signs, and greater-than signs.
	 * @param s
	 * @return Object
	 */
	public static String encode(String s) {
		String result = null;
		try {
			String x = s.replaceAll("&", "&amp;");
			String y = x.replaceAll("<", "&lt;");
			String z = y.replaceAll(">", "&gt;");
			result = z;
		}
		catch (Exception e) {
		}
		return result;
	}
	
	/**
	 * Decodes ampersands, less-than signs, and greater-than signs.
	 * @param s
	 * @return
	 */
	public static String decode(String s) {
		String result = null;
		try {
			String x = s.replaceAll("&lt;",  "<");
			String y = x.replaceAll("&gt;",  ">");
			String z = y.replaceAll("&amp;", "&");
			result = z;
		}
		catch (Exception e) {
		}
		return result;
	}

}
