package gov.va.med.hds.cd.spectrum.longlist;

import javax.swing.event.ListDataEvent;

/**
 * @author vhaislmonsos
 *
 */
public class BufferListDataEvent extends ListDataEvent {
	private int updateType;
	private int size;

	/**
	 * Constructor for BufferListDataEvent.
	 * @param source
	 * @param type
	 * @param index0
	 * @param index1
	 */
	public BufferListDataEvent(
		Object source,
		int type,
		int index0,
		int index1) {
		super(source, type, index0, index1);
	}

	public BufferListDataEvent(
		Object source,
		int type,
		int index0,
		int index1,
		int updateType) {
		super(source, type, index0, index1);
		this.updateType = updateType;
	}

	public BufferListDataEvent(
		Object source,
		int type,
		int index0,
		int index1,
		int updateType,
		int size) {
		super(source, type, index0, index1);
		this.updateType = updateType;
		this.size = size;
	}

	/**
	 * Returns the updateType.
	 * @return int
	 */
	public int getUpdateType() {
		return updateType;
	}

	/**
	 * Returns the size.
	 * @return int
	 */
	public int getSize() {
		return size;
	}

}
