package gov.va.med.hds.cd.spectrum.longlist;



/**
 * @author vhaislmonsos
 *
 * Jan 10, 2003 10:46:40 AM
 */
public class DataRequestFactory {

	public static DataRequest reset() {
		return new DataRequest(IBufferModel.RESET_REQUEST);
	}
	
	public static DataRequest getTop() {
		return new DataRequest(IBufferModel.TOP_REQUEST);
	}
	
	public static DataRequest getTop(int size) {
		return new DataRequest(IBufferModel.TOP_REQUEST,size);
	}

	public static DataRequest getBottom() {
		return new DataRequest(IBufferModel.BOTTOM_REQUEST);
	}
	
	public static DataRequest getBottom(int size) {
		return new DataRequest(IBufferModel.BOTTOM_REQUEST,size);
	}

	public static DataRequest getNext() {
		return new DataRequest(IBufferModel.NEXT_REQUEST);
	}
	
	public static DataRequest getNext(int callSize) {
		return new DataRequest(IBufferModel.NEXT_REQUEST,callSize);
	}
	
	public static DataRequest getPrev() {
		return new DataRequest(IBufferModel.PREV_REQUEST);
	}
	
	public static DataRequest getPrev(int callSize) {
		return new DataRequest(IBufferModel.PREV_REQUEST,callSize);
	}
	
	public static DataRequest getSearch(Object startFrom) {
		return new DataRequest(IBufferModel.SEARCH_REQUEST,startFrom);
	}
	
	public static DataRequest getSearch(Object startFrom, int callSize) {
		return new DataRequest(IBufferModel.SEARCH_REQUEST,startFrom,callSize);
	}
	
}
