package gov.va.med.hds.cd.spectrum.longlist;

import java.util.EventListener;

/**
 * @author vhaislmonsos
 *
 * Dec 23, 2002 7:52:44 AM
 */
public interface IDataNeededListener extends EventListener {
	
	/**
	 * Method getData.
	 * @param dataNeededEvent
	 * @throws DataProviderException
	 */
	void getDataRequest(DataNeededEvent dataNeededEvent) throws DataProviderException;
	
	/**
	 * Method setBufferModel.
	 * @param bufferModel
	 */
	void setBufferModel(IBufferModel bufferModel);
	
	/**
	 * Method setFilter.
	 * @param filter
	 */
	void setFilter(Object filter);

}
