/*
 * Initially Created on Mar 20, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.cd.spectrum.longlist;

/**
 * Long list box components use this interface to allow registered listeners.
 */
public interface ILongListComponent {

	/**
	 * Adds a listener for this component.
	 * @param l
	 */
	void addLongListListener(ILongListComponentListener l);
	
	/**
	 * Removes a listener of this component.
	 * @param l
	 */
	void removeLongListListener(ILongListComponentListener l);
	
}
