/*
 * Initially Created on Jun 18, 2003 by vhaislmonsos
 *
 */
package gov.va.med.hds.cd.spectrum.longlist;

/**
 * LongListLookup component interface.
 */
public interface ILongListLookup extends ILongListComponent {
	
	/**
	 * Sets the model used by this component.
	 * @param bufferModel
	 */
	void setModel(IBufferModel bufferModel);
	
	/**
	 * Returns the current selection if one exists; null otherwise.
	 * @return Object
	 */
	Object getSelectedValue();
	
	/**
	 * Returns the model used by this list.
	 * @return IBufferModel
	 */
	IBufferModel getModel();
	
	/**
	 * @param value
	 */
	void setPrototypeCellValue(Object value);
	
	/**
	 * @return height
	 */
	int getFixedCellHeight();
	
	/**
	 * @return width
	 */
	int getFixedCellWidth();
	
	/**
	 * @param height
	 */
	void setFixedCellHeight(int height);
	
	/**
	 * @param width
	 */
	void setFixedCellWidth(int width);
	
}