/*
 * Created on Mar 11, 2003 12:41:38 PM
 */
package gov.va.med.hds.cd.spectrum.text;

import java.util.EventListener;

/**
 *
 * @author Joel Russell
 *
 * Department of Veterans Affairs
 * OI Field Office - Salt Lake City
 * Health Data Systems
 * 
 **/
public interface ILongListFieldSelectionListener extends EventListener {

	/**
	 * Listeners must implement this method, by which they will be
	 * informed when an item is selected from the Long List.
	 * 
	 * @param selectedItem
	 */
	void itemSelected(Object selectedItem);
	
}
