package gov.va.med.hds.task.data;

import java.util.List;

import gov.va.med.hds.cd.daoregistry.IDataAccessObject;

public interface ITaskDAO extends IDataAccessObject {    
    
    public String[] getDefinedTaskPriorities() throws TaskDataAccessException;

    public ITask getTask(Object taskID) throws TaskDataAccessException;

    public List getTasks(List taskIDs) throws TaskDataAccessException;

    public void saveTask(ITask task) throws TaskDataAccessException;

    public List getTasksForPatient(Object patientID)
        throws TaskDataAccessException;

    public ITask createNewTask(Object patientID, Object creatorID);

}
