package gov.va.med.hds.task.data.internal;


import gov.va.med.hds.task.data.ILinkedItem;

public class AbstractLinkedItem implements ILinkedItem /*, Comparable */ {

    String itemID;
    String itemType;

    public String getItemID() {
        return itemID;
    }
    public String getItemType() {
        return itemType;
    }

    public boolean equals(Object obj) {
        if (obj instanceof ILinkedItem) {
            ILinkedItem that = (ILinkedItem) obj;
            return (
                AbstractTask.areEqual(this.itemID, that.getItemID())
                    && AbstractTask.areEqual(this.itemType, that.getItemType()));
        } else
            return false;
    }

    public int hashCode() {
        int result = 0;
        if (itemID != null)
            result = itemID.hashCode();
        if (itemType != null)
            result ^= itemType.hashCode();
        return result;
    }


//    public int compareTo(Object o) {
//        if (o instanceof ILinkedItem)
//            return linkDate.compareTo(((ILinkedItem) o).getLinkDate());
//        else
//            return 0;
//    }

}
