package gov.va.med.hds.cd.url.test;

import java.io.IOException;
import java.net.URL;
import java.util.Map;

import gov.va.med.hds.cd.url.IServlet;
import gov.va.med.hds.cd.url.internal.CDServletContentProvider;

public class DummyServletProvider extends CDServletContentProvider {    

    public DummyServletProvider() {
		super(null);
	}

	protected IServlet createServlet(
        URL u,
        String id,
        String extraPath,
        Map parameters)
        throws IOException {
        if (parameters.get("async") != null)
            return new AsyncDummyServlet();
        else
            return new SyncDummyServlet();
    }

}
