package gov.va.med.hds.cd.url.test;

import java.io.IOException;

import gov.va.med.hds.cd.url.IServlet;
import gov.va.med.hds.cd.url.IServletRequest;
import gov.va.med.hds.cd.url.IServletResponse;

public class SyncDummyServlet implements IServlet {

    public static final String EXPECTED_OUTPUT =
        "The quick brown fox\tjumped over\nthe lazy dogs.";
    public static final String EXPECTED_CONTENT_TYPE = "text/html";


    public void service(IServletRequest request, IServletResponse response)
        throws IOException {

        response.setContentType(EXPECTED_CONTENT_TYPE);
        response.getWriter().write(EXPECTED_OUTPUT);
    }

    
    public boolean acceptsInput() {
        return false;
    }
}