package gov.va.med.hds.util.m.test;

import gov.va.med.hds.util.dao.IServerDateDAO;
import gov.va.med.hds.util.dao.UtilDaoException;

import java.util.GregorianCalendar;


/**
 * @author vhaislmonsos
 *
 * Feb 18, 2003 3:21:18 PM
 */
public class ServerDateDAOTest extends AbstractTestCase {
	private IServerDateDAO serverDateDAO;

	public ServerDateDAOTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ServerDateDAOTest.class);
	}

	public void testGetDateTime() throws UtilDaoException {
		GregorianCalendar cal = new GregorianCalendar(); 
		cal.setTime(serverDateDAO.getDate());
		assertEquals("MServerDateDAOTest.getDateTime failed:",GregorianCalendar.APRIL,cal.get(GregorianCalendar.MONTH));
		assertEquals("MServerDateDAOTest.getDateTime failed:",8,cal.get(GregorianCalendar.DAY_OF_MONTH));
		assertEquals("MServerDateDAOTest.getDateTime failed:",2003,cal.get(GregorianCalendar.YEAR));

		assertEquals("MServerDateDAOTest.getDateTime failed:",11,cal.get(GregorianCalendar.HOUR));
		assertEquals("MServerDateDAOTest.getDateTime failed:",56,cal.get(GregorianCalendar.MINUTE));
		assertEquals("MServerDateDAOTest.getDateTime failed:",37,cal.get(GregorianCalendar.SECOND));
		assertEquals("MServerDateDAOTest.getDateTime failed:",GregorianCalendar.AM,cal.get(GregorianCalendar.AM_PM));
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		serverDateDAO = (IServerDateDAO)daoRegistry.getDAO(IServerDateDAO.class.getName());
	}

}
