package gov.va.med.hds.util.m.test;

import gov.va.med.hds.util.dao.ISiteDAO;

/**
 * Tests the site Data Access Object implementation
 */
public class SiteDAOTest extends AbstractTestCase{
	private static final String EXPECTED_DIVISION_NAME_RESULT = "REGION 5";
	private static final String EXPECTED_INTEGRATION_NAME_RESULT = "Marcia's Mini Mole Hill";
	public SiteDAOTest(String arg0) {
		super(arg0);
	}
	public void testSiteDAOAccess() throws Exception{
		siteDAO = (ISiteDAO)daoRegistry.getDAO(ISiteDAO.class.getName());
		Thread.yield();
		assertEquals(EXPECTED_DIVISION_NAME_RESULT,siteDAO.getDivisionName());
		assertEquals(EXPECTED_INTEGRATION_NAME_RESULT,siteDAO.getIntegrationName());
	}
	private ISiteDAO siteDAO;
}
