package gov.va.med.hds.util.test;

import gov.va.med.hds.util.mumps.ArrayUtil;

import junit.framework.TestCase;

/**
 * @author vhaislmonsos
 *
 * Dec 17, 2002 10:50:28 AM
 */
public class ArrayUtilTest extends TestCase {

	/**
	 * Constructor for ArrayUtilTest.
	 * @param arg0
	 */
	public ArrayUtilTest(String arg0) {
		super(arg0);
	}

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ArrayUtilTest.class);
	}
	
	public void testSortNameValueStrings() {
		String[] items = new String[] {	"1^zebra",
											"2^lion",
											"3^bear",
											"4^tiger"	};
		ArrayUtil.sortNameValueStrings(items,'^');
		assertNotNull("ArrayUtil.sortNameValueStrings failed: null value returned.",items);
		assertEquals("ArrayUtil.sortNameValueStrings failed:",4,items.length);
		assertEquals("ArrayUtil.sortNameValueStrings failed:","3^bear",items[0]);
		assertEquals("ArrayUtil.sortNameValueStrings failed:","2^lion",items[1]);
		assertEquals("ArrayUtil.sortNameValueStrings failed:","4^tiger",items[2]);
		assertEquals("ArrayUtil.sortNameValueStrings failed:","1^zebra",items[3]);

	}

}
