package gov.va.med.hds.util.test;

import gov.va.med.hds.util.io.StreamUtilities;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

import junit.framework.TestCase;

/**
 * @author vhaislmerrij
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class StreamUtilitiesTest extends TestCase {

	/**
	 * Constructor for StreamUtilitiesTest.
	 * @param arg0
	 */
	public StreamUtilitiesTest(String arg0) {
		super(arg0);
	}

	/**
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/**
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public void testConvertStreamToByteArray() throws IOException {
		byte[] in = {1,2,3,0x6f, 37,2};
		InputStream stream = new ByteArrayInputStream(in);
		byte[] out = StreamUtilities.convertStreamToByteArray(stream);
		assertEquals(in.length, out.length);
		for(int i = 0; i< out.length; i++)
			assertEquals(in[i], out[i]);		
	}
}
