package gov.va.med.hds.util.io;

/**
 * Generally thrown for failed copies
  */
public class CopyFailedException extends Exception {

	/**
	 * @see java.lang.Object#Object()
	 */
	public CopyFailedException() {
		super();
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String)
	 */
	public CopyFailedException(String message) {
		super(message);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.String, java.lang.Throwable)
	 */
	public CopyFailedException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @see java.lang.Throwable#Throwable(java.lang.Throwable)
	 */
	public CopyFailedException(Throwable cause) {
		super(cause);
	}

}
