package junit.extensions.xml;

/**
 * This exception is thrown when the XML cannot be parsed properly.
 *
 * @author Kevin Wilson
 */
public class XMLException extends Exception {
    /**
     * Default constructor.
     *
     * @see java.lang.Throwable#Throwable()
     */
    public XMLException() {
        super();
    }

    /**
     * Constructor accepting a String message.
     *
     * @see java.lang.Throwable#Throwable(String)
     */
    public XMLException(String msg) {
        super(msg);
    }
}
